function stamp = date_stamp;
%
% function stamp = date_stamp;
%
% This function returns a GRIDS type date stamp.
%
% Output:
%
%    stamp...Date/time stamp of the form:
%            day of week - month day, year - time
%

date_info=datenum(now);

stamp = [datestr(date_info,'dddd'),' - ',datestr(date_info,'mmmm'),' ', ...
         datestr(date_info,'dd'),', ',datestr(date_info,'yyyy'),' - ', ...
         strjust(lower(datestr(date_info,'HH:MM:SSPM')),'left')];
