function ans = slopetest (crt_flg,bound,curr_fac);
%
% function ans = slopetest (crt_flg,bound,curr_fac);
%
% This function determines if the slope is in violation
% of the criteria.
%
% ------
% Input:
% ------
%
%    BOUND      Bounding value for slope parameter.
%    CRT_FLG    Criterion flag.  Indicates which quantity is bound.
%                  [0]  bound grad(h)/h  where h is the topography.
%                  [1]  bound grad(h)    where h is the topography.
%                  [2]  Bound both.
%    CURR_FAC   Slope factor for initial topography.
%
% -------
% Output:
% -------
%
%    ANS        Result of test.
%                  [0]  topography is NOT in violation.
%                  [1]  topography IS in violation.

if (crt_flg ~= 2),
   ans = max(max(curr_fac)) > bound;
  else
   ans = max(max(curr_fac)) > 1;
end;
