      program add_top
c
c-----------------------------------------------------------------------
c     Global variables.                                                |
c-----------------------------------------------------------------------
c
#include <param_hydro.h>
#include <hydro.h>
c
c-----------------------------------------------------------------------
c     Local variables.                                                 |
c-----------------------------------------------------------------------
c
      logical ifmed,ifsal,ifunf,ifmods
c
      real lat,lon,big,zcut
      real d(mhpts),t(mhpts),s(mhpts)
      real sstmp,sssal,apres,dtemp,wtemp,wvht,junk
c
      integer id,iday,imon,iyr,ihr,imin,maxc,maxd,npar,idisk,hum
      integer wspd,wdir,sstate,wvdir,ctype,camt,vis,pwthr,idd
      integer ip,ia,nrec,itime,idate,icc,n
#ifdef sunfpe
      integer ieeer,my_handler,ieee_handler
#endif
c
      character*64 comment(8)
      character*80 iname,oname
      character*1 answer
c
      parameter (big=1.0e+10)
c
      equivalence (d(1), hdat(1,1))
      equivalence (t(1), hdat(1,2))
      equivalence (s(1), hdat(1,3))
c
#ifdef sunfpe
       external   my_handler
c
#endif
      data ifmed,ifsal/.false.,.false./
      data ifunf,ifmods/.false.,.false./
c
c=======================================================================
c     Begin executable code.                                           #
c=======================================================================
#ifdef sunfpe
c
c-----------------------------------------------------------------------
c     Enable floating point error flags.                               |
c-----------------------------------------------------------------------
c
      ieeer = ieee_handler ('set','common',my_handler)
      if (ieeer .ne. 0) write (6,10000)
#endif
c
      print 1
      read 2,iname
      print 3
      read 2,oname
c
    1 format(1x,'Enter the input file name  : ',$)
    2 format(a)
    3 format(1x,'Enter the output file name : ',$)
c
      print 4
    4 format(1x,'Is this data in the POEM format (y/n): ',$)
      read 2,answer
      if(answer.eq.'Y' .or. answer.eq.'y')ifmed=.true.
c
      print 5
    5 format(1x,'Is this data in the MODS format (y/n): ',$)
      read 2,answer
      if(answer.eq.'Y' .or. answer.eq.'y')ifmods=.true.
c
      nhvar = 3
      if(.not.ifmed .and. .not.ifmods)then
         ifunf=.true.
         print 6
    6    format(1x,'Is salinity included in the data (y/n)? ',$)
         read 2,answer
         if(answer.eq.'Y' .or. answer.eq.'y')ifsal=.true.
         if (.not.ifsal) nhvar=2
      endif
c
      print 7
    7 format(1x,'What is the deepest level to extend up?: ',$)
      read (5,*) zcut
c
      if(ifmods)then
         open(unit=1,file=iname,status='old',form='formatted')
         open(unit=2,file=oname,status='new',form='formatted')
         open(unit=99,status='scratch',form='formatted')
      else if(ifunf .or. ifmed)then
         open(unit=1,file=iname,status='old',form='unformatted')
         open(unit=2,file=oname,status='new',form='unformatted')
      endif
c
      if(ifmods)call read_header(1)
c
   10 continue
      if(ifmods)then
         call read_hydro(1)
         if(eof)goto 999
c
         nrec=nhpts
      endif
c
      if(ifmed)then
         read(1,end=999)id,lat,lon,iday,imon,iyr,
     +              ihr,imin,maxc,maxd,nrec,npar
c
         read(1)sstmp,sssal,idisk,wspd,wdir,apres,dtemp,wtemp,hum
         read(1)sstate,wvdir,wvht,ctype,camt,vis,pwthr
         do n = 1, 8
            read(1)comment(n)
         enddo
         read(1)(d(idd),t(idd),s(idd),ia,idd=1,nrec)
c
         itime=ihr*100+imin
         if(iyr.lt.1900)iyr=iyr+1900
         call julian (iday,imon,iyr,htime,junk)
         idate=int(htime)
c
        else if(ifunf)then
         if(ifsal)then
            read(1,end=999)id,lat,lon,idate,itime
            read(1)nrec,(d(icc),t(icc),s(icc),icc=1,nrec)
         else
            read(1,end=999)id,lat,lon,idate,itime
            read(1)nrec,(d(icc),t(icc),icc=1,nrec)
         endif
      endif
c
      if ((hdat(1,1).ne.0).and.(hdat(1,1).le.zcut))then
         ip=nrec+1
         do icc=ip,2,-1
           do n = 1,nhvar
              hdat(icc,n) = hdat(icc-1,n)
           enddo
         enddo
         hdat(1,1)=0
      else
         ip=nrec
      endif
c
      if(ifmed)then
         write(2)id,lat,lon,iday,imon,iyr,
     +              ihr,imin,maxc,maxd,ip,npar
         write(2)sstmp,sssal,idisk,wspd,wdir,apres,dtemp,wtemp,hum
         write(2)sstate,wvdir,wvht,ctype,camt,vis,pwthr
         do n = 1, 8
            write(2)comment(n)
         enddo
         write(2)(d(idd),t(idd),s(idd),ia,idd=1,ip)
c
        else if(ifunf)then
         if(ifsal)then
            write(2)id,lat,lon,idate,itime
            write(2)ip,(d(icc),t(icc),s(icc),icc=1,ip)
         else
            write(2)id,lat,lon,idate,itime
            write(2)ip,(d(icc),t(icc),icc=1,ip)
         endif
      endif
c
      if(ifmods)then
         nhpts=ip
         call wrt_hydro(99)
      endif
c
      goto 10
c
  999 continue
c
      if(.not.ifmods)goto 9999
c
      call wrt_header(2)
      rewind(99)
      eof=.false.
c
      do while (.not.eof)
        call read_hydro(99)
        if(eof)goto 9999
        call wrt_hydro(2)
      enddo
c
 9999 continue
c
#ifdef sunfpe
10000 format(/'ADD_TOP - Warning:  ieee_handler cannot set my_handler'/)
c
#endif
      end
