      program bin_casts
c
c-----------------------------------------------------------------------
c     Global variables.                                                |
c-----------------------------------------------------------------------
c
#include <param_hydro.h>
#include <hydro.h>
c
c-----------------------------------------------------------------------
c     Local variables.                                                 |
c-----------------------------------------------------------------------
c
      integer max_bin
      parameter (max_bin=11524)
c
      integer k,n,nbin
#ifdef sunfpe
      integer ieeer,my_handler,ieee_handler
#endif
      integer nowk(max_bin)
      real    c0,c1,dbin,wt
      real         work(max_bin,mhvar)
      character*80 iname,oname
c
#ifdef sunfpe
       external   my_handler
c
#endif
      parameter (c0=0.0, c1=1.0)
c
c
c=======================================================================
c     Begin executable code.                                           #
c=======================================================================
#ifdef sunfpe
c
c-----------------------------------------------------------------------
c     Enable floating point error flags.                               |
c-----------------------------------------------------------------------
c
      ieeer = ieee_handler ('set','common',my_handler)
      if (ieeer .ne. 0) write (6,10000)
#endif
c
c-----------------------------------------------------------------------
c     Read basic information to start run.                             |
c-----------------------------------------------------------------------
c
      print 1
      read 2,iname
      print 3
      read 2,oname
c
    1 format(1x,'What is the name of the input file  : ',$)
    2 format(a)
    3 format(1x,'What is the name of the output file : ',$)
c
      print 4
    4 format (1x,'Enter bin width (m) : ',$)
      read *,dbin
c
c-----------------------------------------------------------------------
c     Open files and read any header information.                      |
c-----------------------------------------------------------------------
c
      open (unit=1,file=iname,status='old',form='formatted')
      open (unit=2,file=oname,status='new',form='formatted')
      open (unit=99,status='scratch',form='formatted')
c
      call read_header(1)
c
c-----------------------------------------------------------------------
c     Loop over all data, applying a smoothing filter.                 |
c-----------------------------------------------------------------------
c
c  read first cast
c
      call read_hydro(1)
c
c  Loop over all casts
c
      do 60 while (.not.eof)
c
c  Initialize counters
c
         do 10 k = 1, max_bin
            nowk(k) = 0
 10      continue
c
c  Average data into bins
c
         do 30 k = 1, nhpts
            nbin       = nint( hdat(k,1)/dbin ) + 1
            nowk(nbin) = nowk(nbin) + 1
            wt         = c1/float(nowk(nbin))
            do 20 n = 1, nhvar
               work(nbin,n) = (c1-wt)*work(nbin,n) + wt*hdat(k,n)
 20         continue
 30      continue
c
c  Moved binned data back into storage
c
         nhpts = 0
         do 50 k = 1, max_bin
            if (nowk(k).gt.0) then
               nhpts = nhpts + 1
               do 40 n = 1, nhvar
                  hdat(nhpts,n) = work(k,n)
 40            continue
            end if
 50      continue
c
c  write binned data
c
         call wrt_hydro(99)
c
c  read next data block
c
         call read_hydro(1)
c
 60   continue
c
c-----------------------------------------------------------------------
c     For MODS format, rewrite results to final file, with correct     |
c     header.                                                          |
c-----------------------------------------------------------------------
c
      call wrt_header(2)
      rewind(99)
      eof=.false.
      call read_hydro(99)
c
      do while (.not.eof)
        call wrt_hydro(2)
        call read_hydro(99)
      enddo
c
#ifdef sunfpe
10000 format (/'SMOOTH_CASTS - Warning:  ieee_handler cannot set ',
     &        'my_handler'/)
#endif
      end
