      program convcast
c
c-----------------------------------------------------------------------
c     Global variables.                                                |
c-----------------------------------------------------------------------
c
#include <param_hydro.h>
#include <hydro.h>
c
c-----------------------------------------------------------------------
c     Local variables.                                                 |
c-----------------------------------------------------------------------
c
      real    clat,clon,c100,c1440,c24,p5
      integer   joffset
      parameter (c100=100.0, c24=24.0, c1440=1440.0, p5=0.5,
     &           joffset=2440000)
c
      integer i,npt,ident,idate,iday,imon,iyday,iyr,itime,intype,outtype
#ifdef sunfpe
     &        ,ieeer,my_handler,ieee_handler
#endif
      real day,fracday
      real p(mhpts),s(mhpts),t(mhpts)
c
      logical ifisal,ifosal,zisz
      character*1 answer
      character*8 tchar
      character*11 dchar
      character*80 iname,oname
c
c-------------------------------------------
c--- Much data transfer via equivalence. ---
c-------------------------------------------
c
      equivalence (p(1),  hdat(1,1))
      equivalence (t(1),  hdat(1,2))
      equivalence (s(1),  hdat(1,3))
      equivalence (npt,   nhpts)
      equivalence (ident, castid)
      equivalence (clat,  hlat)
      equivalence (clon,  hlng)
c
#ifdef sunfpe
       external   my_handler
c
#endif
      data intype,outtype /2,1/
      data ifisal,ifosal /.false.,.false./
c
c=======================================================================
c     Begin executable code.                                           #
c=======================================================================
#ifdef sunfpe
c
c-----------------------------------------------------------------------
c     Enable floating point error flags.                               |
c-----------------------------------------------------------------------
c
      ieeer = ieee_handler ('set','common',my_handler)
      if (ieeer .ne. 0) write (6,1000)
#endif
c
c-----------------------------------------------------------------------
c     Read basic information to start run.                             |
c-----------------------------------------------------------------------
c
      print 1
      read 2,iname
      print 3
      read 2,oname
c
    1 format(1x,'What is the name of the input file  : ',$)
    2 format(a)
    3 format(1x,'What is the name of the output file : ',$)
c
      print 4
    4 format(/1x,'What is input file format:'/4x,'1:  MODS'/
     &        4x,'2:  ASCII'/4x,'3:  Unformatted'/
     &        4x,'4:  HydroBase formatted'/1x,'Enter type: ',$)
      read (5,*) intype
c
      if ((intype.eq.2).or.(intype.eq.3)) then
         print 5
    5    format(1x,'Is salinity included in the data (y/n)? ',$)
         read 2,answer
         ifisal = (answer.eq.'Y') .or. (answer.eq.'y')
        else
         ifisal = .true.
      endif
c
      print 7
    7 format(/1x,'What is output file format:'/4x,'1:  MODS'/
     &        4x,'2:  ASCII'/4x,'3:  Unformatted'/
     &        4x,'4:  HydroBase formatted'/1x,'Enter type: ',$)
      read (5,*) outtype
c
      if ( ((outtype.eq.2).or.(outtype.eq.3)) .and. ifisal) then
         print 8
    8    format(1x,'Is salinity to be included in the output (y/n)? ',$)
         read 2,answer
         ifosal = (answer.eq.'Y') .or. (answer.eq.'y')
        else
         ifosal=ifisal
         ctd = ifosal
         xbt = .not.ifosal
      endif
c
      if( (outtype.eq.1) .and. (intype.ne.1)) then
         print 9
    9    format(1x,'Enter title for MODS output file: ',$)
         read 2,htitle
      endif
c
      if( (outtype.eq.4) .and. (intype.ne.4)) then
         print 10
   10    format(1x,'Treat depth as depth or pressure (z|p)?: ',$)
         read 2,answer
         zisz = (answer.eq.'Z') .or. (answer.eq.'z')
      endif
c
c-----------------------------------------------------------------------
c     Open files and read any header information.                      |
c-----------------------------------------------------------------------
c
      if (intype.ne.3) then
         open(unit=1,file=iname,status='old',form='formatted')
      else
         open(unit=1,file=iname,status='old',form='unformatted')
      endif
c
      if (intype.eq.1) call read_header(1)
c
      if (outtype.ne.3) then
         open(unit=2,file=oname,status='new',form='formatted')
         if(outtype.eq.1)open(unit=99,status='scratch',form='formatted')
      else
         open(unit=2,file=oname,status='new',form='unformatted')
      endif
c
c-----------------------------------------------------------------------
c     Read casts from on file and write to another until end of file.  |
c-----------------------------------------------------------------------
c
  100 continue
c
c-----------------------------------------------------------------------
c     Read  a cast.                                                    |
c-----------------------------------------------------------------------
c
c     ----------------------
c     --- MODS formatted ---
c     ----------------------
c
      if(intype.eq.1)then
         call read_hydro(1)
         if(eof)goto 999
      endif
c
c     -----------------------
c     --- ASCII formatted ---
c     -----------------------
c
      if(intype.eq.2)then
         ident = ident + 1
         if(ifisal)then
            read(1,*,end=999)npt,clat,clon,htime
            read(1,*)(p(i),t(i),s(i),i=1,npt)
         else
            read(1,*,end=999)npt,clat,clon,htime
            read(1,*)(p(i),t(i),i=1,npt)
         endif
         if(ifosal) then
            nhvar=3
           else
            nhvar=2
         endif
         nhobs=nhobs+1
         hdpth=p(npt)
      endif
c
c     -------------------
c     --- Unformatted ---
c     -------------------
c
      if(intype.eq.3)then
         if(ifisal)then
            read(1,end=999)ident,clat,clon,idate,itime
            read(1)npt,(p(i),t(i),s(i),i=1,npt)
         else
            read(1,end=999)ident,clat,clon,idate,itime
            read(1)npt,(p(i),t(i),i=1,npt)
         endif
         if(ifosal) then
            nhvar=3
           else
            nhvar=2
         endif
         nhobs=nhobs+1
         hdpth=p(npt)
         htime=float(itime/100)/c24 + mod(float(itime),c100)/c1440 +
     &         float(idate)
      endif
c
c     ---------------------------
c     --- HydroBase formatted ---
c     ---------------------------
c
      if(intype.eq.4)then
         call rhydbase (1,iday,imon,iyr)
         if(eof)goto 999
         if (.not.ifosal)  nhvar=2
         nhobs=nhobs+1
         day = float(iday) + p5
         call julian (day,imon,iyr,jday,fracday)
         jday = jday - joffset
c         if (fracday.gt.p5) jday = jday + 1
c         htime=float(jday) + p5
         htime=float(jday)
      endif
c
c-----------------------------------------------------------------------
c     Write converted data:  directly for unformatted file             |
c                            in a scratch file for mods formatted data.|
c-----------------------------------------------------------------------
c
c     ----------------------
c     --- MODS formatted ---
c     ----------------------
c
      if ((outtype.eq.1).and.(nhpts.gt.0)) then
c         nhobs=nhobs+1
         if (nhobs.eq.1) then
            hstrday = htime
            hendday = htime
            hlng_min = hlng
            hlng_max = hlng
            hlat_min = hlat
            hlat_max = hlat
           else
            hstrday = min( htime, hstrday )
            hendday = max( htime, hendday )
            hlng_min = min( hlng, hlng_min )
            hlng_max = max( hlng, hlng_max )
            hlat_min = min( hlat, hlat_min )
            hlat_max = max( hlat, hlat_max )
         endif
         call wrt_hydro(99)
      endif
c
c     -----------------------
c     --- ASCII formatted ---
c     -----------------------
c
      if(outtype.eq.2)then
         if(ifosal)then
            write(2,*)npt,clat,clon,htime
            write(2,1010)(p(i),t(i),s(i),i=1,npt)
         else
            write(2,*)npt,clat,clon,htime
            write(2,1020)(p(i),t(i),i=1,npt)
         endif
      endif
c
c     -------------------
c     --- Unformatted ---
c     -------------------
c
      if(outtype.eq.3)then
         idate   = int(htime)
         fracday = htime - float(idate)
         itime   = int(fracday*c24)*100
         fracday = fracday - float(itime)/(c100*c24)
         itime   = itime + int(fracday*c1440)
         if(ifosal)then
            write(2)ident,clat,clon,idate,itime
            write(2)npt,(p(i),t(i),s(i),i=1,npt)
         else
            write(2)ident,clat,clon,idate,itime
            write(2)npt,(p(i),t(i),i=1,npt)
         endif
      endif
c
c     ---------------------------
c     --- HydroBase formatted ---
c     ---------------------------
c
      if(outtype.eq.4)then
         call caldate (htime,dchar,tchar,iday,imon,iyr,iyday)
         call whydbase (2,iday,imon,iyr,zisz)
      endif
c
      goto 100
c
  999 continue
c
      if(outtype.eq.1) then
c
c-----------------------------------------------------------------------
c     If data is in mods format, now rewrite data file.                |
c-----------------------------------------------------------------------
c
         call wrt_header(2)
         rewind(99)
         eof=.false.
c
         do while (.not.eof)
           call read_hydro(99)
           if(eof)goto 9999
           call wrt_hydro(2)
         enddo
      end if
9999  continue
c
#ifdef sunfpe
1000   format(/'CONVCAST - Warning:  ieee_handler cannot set ',
     &        'my_handler'/)
#endif
1010   format(f9.5,3x,f9.6,3x,f10.6)
1020   format(f9.5,3x,f9.6)
c
      end
