      subroutine flinear (f,np,nfilt)
c
c=======================================================================
c                                                                    ===
c  This routine applies a moving linear filter to smooth the data.   ===
c                                                                    ===
c  ------                                                            ===
c  Input:                                                            ===
c  ------                                                            ===
c                                                                    ===
c     f.......Raw data.                (real vector)                 ===
c     np......Number of data points.   (integer)                     ===
c     nfilt...Width of filter.         (integer)                     ===
c                                                                    ===
c  -------                                                           ===
c  Output:                                                           ===
c  -------                                                           ===
c                                                                    ===
c     f.......Smoothed data.           (real vector)                 ===
c                                                                    ===
c  Calls:  none                                                      ===
c                                                                    ===
c=======================================================================
c
      integer m,n,nbgn,nend,np,nfilt
      real    c0,sum
      real    f(np)
c
      parameter (c0=0.0)
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
      do 20 n = 1, np
c
         nbgn = max( 1,  n-nfilt )
         nend = min( np, n+nfilt )
         sum  = c0
c
         do 10 m = nbgn, nend
            sum = sum + f(m)
 10      continue
c
         f(n) = sum/float(nend-nbgn+1)
c
 20   continue
c
      return
      end
