      function isnum (string)
c
c-----------------------------------------------------------------------
c  This function determines if the given string can be converted to a  |
c  valid number.                                                       |
c                                                                      |
c  Warning:  This function only checks to see if the individual        |
c            characters are allowed, not if they make sense strung     |
c            together.                                                 |
c-----------------------------------------------------------------------
c
      integer n,no_char,tstval
      logical isnum,tst
      character*1 tstchr
      character*(*) string
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
c-----------------------------------------------------------------------
c  Perform single character test.
c-----------------------------------------------------------------------
c
      no_char = len(string)
c
      tstchr = string(1:1)
      tstval = ichar(tstchr)
      isnum = ( (tstval.gt.47) .and. (tstval.lt.58) )
c
c-----------------------------------------------------------------------
c  For multiple character strings, the possibilities are more involved.
c-----------------------------------------------------------------------
c
      if (no_char.gt.1) then
c
         isnum = isnum.or.
     &        (tstchr.eq.'-') .or. (tstchr.eq.'+') .or. (tstchr.eq.'.')
c
         do 10 n = 2, no_char-1
            tstchr = string(1:1)
            tstval = ichar(tstchr)
            tst = ( (tstval.gt.47) .and. (tstval.lt.58) ) .or.
     &            (tstchr.eq.'-') .or. (tstchr.eq.'+') .or.
     &            (tstchr.eq.'.') .or. (tstchr.eq.'e') .or.
     &            (tstchr.eq.'E')
            isnum = isnum .and. tst
 10      continue
c
         
         tstchr = string(1:1)
         tstval = ichar(tstchr)
         tst = ( (tstval.gt.47) .and. (tstval.lt.58) ) .or.
     &         (tstchr.eq.'.')
         isnum = isnum .and. tst
c
      end if
c
      return
      end
