      function p2z (p,lat)
c
c=======================================================================
c                                                                    ===
c  This function converts pressure to depth.                         ===
c  (cribbed from the Matlab SeaWater pack)                           ===
c                                                                    ===
c=======================================================================
c
      real c1,c2,c3,c4,deg2rad,denom,gam_dash,num,p,lat,x
      real p2z
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
      deg2rad = acos(-1.0)/180
      c1 = +9.72659
      c2 = -2.2512e-5
      c3 = +2.279e-10
      c4 = -1.82e-15
      gam_dash = 2.184e-6
c
      lat = abs(lat)
      x   = sin(lat*deg2rad)
      x   = x*x
      denom = 9.780318*(1.0+(5.2788e-3+2.36e-5*x)*x) + gam_dash*0.5*p
      num = (((c4*p+c3)*p+c2)*p+c1)*p
      p2z   = num/denom
c
      return
      end
