      program saclant2mods
c
c-----------------------------------------------------------------------
c     program to read/write SACLANT data
c-----------------------------------------------------------------------
c
c-----------------------------------------------------------------------
c     Global variables.                                                |
c-----------------------------------------------------------------------
c
#include <param_hydro.h>
#include <hydro.h>
c
c-----------------------------------------------------------------------
c     Local variables.                                                 |
c-----------------------------------------------------------------------
c
      character*80 iname,line,oname
c
      integer ios,ios2,ios3,no_line
#ifdef sunfpe
      integer ieeer,my_handler,ieee_handler
#endif
      logical done
c
#ifdef sunfpe
      external   my_handler
c
#endif
c=======================================================================
c  Begin executable code.
c=======================================================================
#ifdef sunfpe
c
c-----------------------------------------------------------------------
c     Enable floating point error flags.                               |
c-----------------------------------------------------------------------
c
      ieeer = ieee_handler ('set','common',my_handler)
      if (ieeer .ne. 0) write (6,40)
#endif
c
c-----------------------------------------------------------------------
c     Read first input file name, open scratch file.
c-----------------------------------------------------------------------
c
      read (5,50,iostat=ios) iname
      open (unit=99, form='formatted', status='scratch')
c
c-----------------------------------------------------------------------
c     Loop while input files to process, converting them to the MODS
c     format.
c-----------------------------------------------------------------------
c
      do 20 while (ios.eq.0)
c
c        -----------------------
c        --- Open data file. ---
c        -----------------------
c
         open (unit=1, file=iname, status='old', form='formatted',
     &                                                      iostat=ios2)
c
c        -------------------------
c        --- Read file header. ---
c        -------------------------
c
         call init_sac_head (done)
c
         if (ios2.eq.0) then
            no_line = 0
            ios3 = 0
            do 10 while ( (.not. done) .and. (ios3.eq.0) )
               read (1,50,iostat=ios3) line
               if (ios3.eq.0) call sac_head (line,done)
               no_line = no_line + 1
  10        continue
         end if
c
c        ----------------------
c        --- Read any data. ---
c        ----------------------
c
         if ( (ios2.eq.0) .and. done ) then
            no_line = no_line - 1
            rewind (1)
            call sac_data (1,no_line)
            call wrt_hydro(99)
         end if
c
c        ---------------------------------------------
c        --- Close file, read new input file name. ---
c        ---------------------------------------------
c
         close (1)
         read (5,50,iostat=ios) iname
c
  20  continue
c
c-----------------------------------------------------------------------
c     Read data from scratch file, write to final output file.
c-----------------------------------------------------------------------
c
      rewind (99)
      call set_outname (oname)
      open(unit=2,file=oname,status='new',form='formatted')
c
      call wrt_header(2)
      call read_hydro(99)
c
      do 30 while (.not.eof)
         call wrt_hydro(2)
         call read_hydro(99)
  30  continue
c
      close (2)
      close (99)
c
      stop
c
#ifdef sunfpe
 40   format(/'SACLANT2MODS - Warning:  ieee_handler cannot set ',
     &        'my_handler'/)
#endif
 50   format (a)
c
      end
