      program selpos
c
c --- program to sub-sample a region in a T/S file
c
c-----------------------------------------------------------------------
c     Global variables.                                                |
c-----------------------------------------------------------------------
c
#include <param_hydro.h>
#include <hydro.h>
c
c-----------------------------------------------------------------------
c     Local variables.                                                 |
c-----------------------------------------------------------------------
c
      real p(mhpts),t(mhpts),s(mhpts)
      real latmax,latmin,lonmax,lonmin
      real sstmp,sssal,apres,dtemp,wtemp,wvht
      real clat,clon,alat,alon,xlat,xlon,flat,flon
      real ddeg,degree,fminutes
c
      integer id,iday,imon,iyr,ihr,imin,maxc,maxd,npar,idisk,hum
      integer wspd,wdir,sstate,wvdir,ctype,camt,vis,pwthr,idd,i
      integer ip,ia,date,time
#ifdef sunfpe
      integer ieeer,my_handler,ieee_handler
#endif
c
      character*64 comment(8)
      character*80 iname,oname
      character*1 answer
      logical ifdecimal,ifsal,ifmed,ifmods,ifunf
c
      real big,c24,c100,c1440
      parameter (c24=24.0,c100=100.0,c1440=1440.0)
      parameter (big=1.0e+10)
c
      equivalence (p(1), hdat(1,1))
      equivalence (t(1), hdat(1,2))
      equivalence (s(1), hdat(1,3))
c
#ifdef sunfpe
       external   my_handler
c
#endif
      data ifdecimal,ifsal/.false.,.false./
      data ifunf,ifmed,ifmods/.false.,.false.,.false./
c
c=======================================================================
c     Begin executable code.                                           #
c=======================================================================
#ifdef sunfpe
c
c-----------------------------------------------------------------------
c     Enable floating point error flags.                               |
c-----------------------------------------------------------------------
c
      ieeer = ieee_handler ('set','common',my_handler)
      if (ieeer .ne. 0) write (6,1000)
#endif
c
      print 1
      read 2,iname
      print 3
      read 2,oname
c
    1 format(1x,'What is the name of the input file  : ',$)
    2 format(a)
    3 format(1x,'What is the name of the output file : ',$)
    4 format(1x,'Enter central LAT and LON of desired area: ',$)
    5 format(1x,'Enter #of degrees in LAT to include: ',$)
    6 format(1x,'Enter #of degrees in LON to include: ',$)
    7 format(1x,'Are the positions in decimal degrees (y/n)? ',$)
    8 format(1x,'Is salinity included in the data (y/n)? ',$)
    9 format(1x,'Is this data in the POEM format (y/n): ',$)
   10 format(1x,'Is this data in the MODS format (y/n): ',$)
c
      print 4
      read *,clat,clon
      print 5
      read *,alat
      print 6
      read *,alon
c
      print 7
      read 2,answer
      if(answer.eq.'Y' .or. answer.eq.'y')ifdecimal=.true.
c
      print 9
      read 2,answer
      if(answer.eq.'Y' .or. answer.eq.'y')ifmed=.true.
c
      print 10
      read 2,answer
      if(answer.eq.'Y' .or. answer.eq.'y')ifmods=.true.
c
      if(.not.ifmed .and. .not.ifmods)then
         ifunf=.true.
         print 8
         read 2,answer
         if(answer.eq.'Y' .or. answer.eq.'y')ifsal=.true.
      endif
c
      if(ifmods)then
         open(unit=1,file=iname,status='old',form='formatted')
         open(unit=2,file=oname,status='new',form='formatted')
         open(unit=99,status='scratch',form='formatted')
      else if(ifunf .or. ifmed)then
         open(unit=1,file=iname,status='old',form='unformatted')
         open(unit=2,file=oname,status='new',form='unformatted')
      endif
c
      latmin=clat-(alat/2.)
      latmax=clat+(alat/2.)
      if(clon.lt.0)clon=clon+360.
      lonmin=clon-(alon/2.)
      lonmax=clon+(alon/2.)
c
      print *,clat,clon,alat,alon
      print *,latmin,latmax
      print *,lonmin,lonmax
c
      if(ifmods)call read_header(1)
c
c --- re-initialize counters
c
      hstrday=big
      hendday=-big
      hlng_min=big
      hlng_max=-big
      hlat_min=big
      hlat_max=-big
      nhobs=0
c
      lhfield(1)=.true.
      hscle(1)=0.1
      lhfield(2)=.true.
      hscle(2)=0.001
      lhfield(3)=.true.
      hscle(3)=0.001
c
   20 continue
c
c --- read data in MODS ascii format
c
      if(ifmods)then
         call read_hydro(1)
         if(eof)goto 99
c
c --- concerned only with position
c
         xlat=hlat
         xlon=hlng
      endif
c
c --- read data in unformatted POEM format
c
      if(ifmed)then
         read(1,end=99)id,xlat,xlon,iday,imon,iyr,
     +              ihr,imin,maxc,maxd,ip,npar
         read(1)sstmp,sssal,idisk,wspd,wdir,apres,dtemp,wtemp,hum
         read(1)sstate,wvdir,wvht,ctype,camt,vis,pwthr
         do i = 1, 8
            read(1)comment(i)
         enddo
         read(1)(p(idd),t(idd),s(idd),ia,idd=1,ip)
c
c --- read data in unformatted wgl format
c
      else if(ifunf)then
         if(ifsal)then
           read(1,end=99)id,xlat,xlon,date,time
           read(1)ip,(p(i),t(i),s(i),i=1,ip)
         else
           read(1,end=99)id,xlat,xlon,date,time
           read(1)ip,(p(i),t(i),i=1,ip)
         endif
      endif
c
      if(ifdecimal)then
         ddeg=xlat
      else
         degree=float(int(xlat))
         fminutes=100.*(xlat-degree)/60.
         ddeg=degree+fminutes
      endif
c
      flat=ddeg
c
      if(ifdecimal)then
         ddeg=xlon
      else
         degree=float(int(xlon))
         fminutes=100.*(xlon-degree)/60.
         ddeg=degree+fminutes
      endif
c
      if(ddeg.lt.0)then
         flon=ddeg+360
      else
         flon=ddeg
      endif
c
      if(flat.gt.latmax)goto 20
      if(flat.lt.latmin)goto 20
      if(flon.gt.lonmax)goto 20
      if(flon.lt.lonmin)goto 20
c
c --- if the data is in the mods format, and we want to write an
c --- accurate header, we must store the data in a temporary file
c --- to be read later to calculate the statistics and then
c --- rewrite the data
c
      if(ifmods)then
         hstrday=min(hstrday,htime)
         hendday=max(hendday,htime)
         hlng_min=min(hlng_min,hlng)
         hlng_max=max(hlng_max,hlng)
         hlat_min=min(hlat_min,hlat)
         hlat_max=max(hlat_max,hlat)
         nhobs=nhobs+1
         call wrt_hydro(99)
      endif
c
      if(ifmed)then
         write(2)id,xlat,xlon,iday,imon,iyr,
     +           ihr,imin,maxc,maxd,ip,npar
         write(2)sstmp,sssal,idisk,wspd,wdir,apres,dtemp,wtemp,hum
         write(2)sstate,wvdir,wvht,ctype,camt,vis,pwthr
         do i = 1, 8
            write(2)comment(i)
         enddo
         write(2)(p(idd),t(idd),s(idd),ia,idd=1,ip)
c
      else if(ifunf)then
         if(ifsal)then
            write(2)id,xlat,xlon,date,time
            write(2)ip,(p(i),t(i),s(i),i=1,ip)
         else
            write(2)id,xlat,xlon,date,time
            write(2)ip,(p(i),t(i),i=1,ip)
         endif
      endif
c
      goto 20
c
   99 continue
c
      if(.not.ifmods)goto 999
      eof=.false.
c
c --- for POEM or WGL formatted data, we are done.  Must
c --- generate a new header for MODS formatted data.
c
      if(xbt)then
         lhfield(3)=.false.
         hscle(3)=1.00
      endif
      rewind(99)
c
c --- write the new header
c
      call wrt_header(2)
      do while (.not.eof)
        call read_hydro(99)
        if(eof)goto 999
        call wrt_hydro(2)
      enddo
c
  999 continue
#ifdef sunfpe
1000  format (/'SELPOS - Warning:  ieee_handler cannot set my_handler'/)
#endif
      end
