      program seltime
c
c --- program to sub-sample a region in a T/S file
c
c-----------------------------------------------------------------------
c     Global variables.                                                |
c-----------------------------------------------------------------------
c
#include <param_hydro.h>
#include <hydro.h>
c
c-----------------------------------------------------------------------
c     Local variables.                                                 |
c-----------------------------------------------------------------------
c
      real p(mhpts),t(mhpts),s(mhpts)
      real big,sstmp,sssal,apres,dtemp,wtemp,wvht
      real xlat,xlon,junk,dmin,dmax
c
      integer id,iday,imon,iyr,ihr,imin,maxc,maxd,npar,idisk,hum
      integer wspd,wdir,sstate,wvdir,ctype,camt,vis,pwthr,idd,i
      integer ip,ia,icc,iyear,imonth,nrec
      integer date,time,iyday
#ifdef sunfpe
      integer ieeer,my_handler,ieee_handler
#endif
c
      character*2 answer
      character*64 comment(8)
      character*80 iname,oname,dstr,tstr
c
      logical ifjulian,ifyear,ifmonth
      logical ifmed,ifsal,ifmods,ifunf
c
      parameter (big=1.0e+10)
c
      equivalence (p(1), hdat(1,1))
      equivalence (t(1), hdat(1,2))
      equivalence (s(1), hdat(1,3))
c
#ifdef sunfpe
       external   my_handler
c
#endif
      data ifjulian,ifyear,ifmonth/.false.,.false.,.false./
      data ifmed,ifsal,ifmods,ifunf/.false.,.false.,.false.,.false./
c
c=======================================================================
c     Begin executable code.                                           #
c=======================================================================
#ifdef sunfpe
c
c-----------------------------------------------------------------------
c     Enable floating point error flags.                               |
c-----------------------------------------------------------------------
c
      ieeer = ieee_handler ('set','common',my_handler)
      if (ieeer .ne. 0) write (6,1000)
#endif
c
      print 1
      read 2,iname
      print 3
      read 2,oname
c
    1 format(1x,'What is the name of the input file  : ',$)
    2 format(a)
    3 format(1x,'What is the name of the output file : ',$)
    4 format(1x,'Possible means of selection - ')
    5 format(1x,' Julian Day = JD or jd')
    6 format(1x,' Year = YR or yr')
    7 format(1x,' Month = MO or mo')
    8 format(1x,'Enter method of selection: ',$)
c
      print 4
      print 5
      print 6
      print 7
      print 8
c
      read 2,answer
c
      if(answer.eq.'JD' .or. answer.eq.'jd')then
         ifjulian=.true.
         print 9
    9    format(1x,'Enter MIN and MAX desired Julian dates : ',$)
         read *,dmin,dmax
      endif
c
      if(answer.eq.'YR' .or. answer.eq.'yr')then
         ifyear=.true.
         print 10
   10    format(1x,'Enter desired year (e.g. 83 for 1983) : ',$)
         read *,iyear
      endif
c
      if(answer.eq.'MO' .or. answer.eq.'mo')then
         ifmonth=.true.
         print 11
   11    format(1x,'Enter desired month (e.g. 3 for March) : ',$)
         read *,imonth
      endif
c
      print 12
   12 format(1x,'Is this data in the MODS format (y/n): ',$)
      read 2,answer
      if(answer.eq.'Y' .or. answer.eq.'y')ifmods=.true.
c
      if(.not.ifunf .and. .not.ifmods)then
         print 13
   13    format(1x,'Is this data in the POEM format (y/n): ',$)
         read 2,answer
         if(answer.eq.'Y' .or. answer.eq.'y')ifmed=.true.
      endif
c
      if(.not.ifmed .and. .not.ifmods)then
         ifunf=.true.
         print 14
   14    format(1x,'Is salinity included in the data (y/n)? ',$)
         read 2,answer
         if(answer.eq.'Y' .or. answer.eq.'y')then
            ifsal=.true.
         endif
      endif
c
      if(ifmods)then
         open(unit=1,file=iname,status='old',form='formatted')
         open(unit=2,file=oname,status='new',form='formatted')
         open(unit=99,status='scratch',form='formatted')
      else if(ifunf .or. ifmed)then
         open(unit=1,file=iname,status='old',form='unformatted')
         open(unit=2,file=oname,status='new',form='unformatted')
      endif
c
      if(ifmods)call read_header(1)
c
c --- re-initialize counters
c
      hstrday=big
      hendday=-big
      hlng_min=big
      hlng_max=-big
      hlat_min=big
      hlat_max=-big
      nhobs=0
c
      lhfield(1)=.true.
      hscle(1)=0.1
      lhfield(2)=.true.
      hscle(2)=0.001
      lhfield(3)=.true.
      hscle(3)=0.001
c
   50 continue
c
c --- read data in MODS ascii format
c
      if(ifmods)then
         call read_hydro(1)
         if(eof)goto 99
      endif
c
      if(ifmed)then
         read(1,end=99)id,xlat,xlon,iday,imon,iyr,
     +              ihr,imin,maxc,maxd,ip,npar
c
         read(1)sstmp,sssal,idisk,wspd,wdir,apres,dtemp,wtemp,hum
         read(1)sstate,wvdir,wvht,ctype,camt,vis,pwthr
         do i = 1, 8
            read(1)comment(i)
         enddo
         read(1)(p(i),t(i),s(i),ia,i=1,ip)
c
         time=ihr*100+imin
         if(iyr.lt.1900)iyr=iyr+1900
         call julian (iday,imon,iyr,htime,junk)
c
        else if(ifunf)then
         if(ifsal)then
            read(1,end=99)id,xlat,xlon,date,time
            read(1)ip,(p(i),t(i),s(i),i=1,ip)
         else
            read(1,end=99)id,xlat,xlon,date,time
            read(1)ip,(p(i),t(i),i=1,ip)
         endif
         htime=float(mod(time,100))
         htime=float(time/100) + htime/60.0
         htime=float(date) + htime/24.0
      endif
c
c --- convert the julian date to year,month,day and sort
c
      call caldate (htime,dstr,tstr,iday,imon,iyr,iyday)
      if(iyr.gt.1900)iyr=iyr-1900
c
      if(ifjulian)then
         if(htime.gt.dmax)goto 50
         if(htime.lt.dmin)goto 50
         goto 75
      endif
c
      if(ifyear)then
         if(iyr.ne.iyear)goto 50
         goto 75
      endif
c
      if(ifmonth)then
         if(imon.ne.imonth)goto 50
         goto 75
      endif
c
   75 continue
c
c --- if the data is in the mods format, and we want to write an
c --- accurate header, we must store the data in a temporary file
c --- to be read later to calculate the statistics and then
c --- rewrite the data
c
      if(ifmods)then
         hstrday=min(hstrday,htime)
         hendday=max(hendday,htime)
         hlng_min=min(hlng_min,hlng)
         hlng_max=max(hlng_max,hlng)
         hlat_min=min(hlat_min,hlat)
         hlat_max=max(hlat_max,hlat)
         nhobs=nhobs+1
         call wrt_hydro(99)
      endif
c
      nrec=ip
      if(ifmed)then
         write(2)id,xlat,xlon,iday,imon,iyr,
     +              ihr,imin,maxc,maxd,nrec,npar
         write(2)sstmp,sssal,idisk,wspd,wdir,apres,dtemp,wtemp,hum
         write(2)sstate,wvdir,wvht,ctype,camt,vis,pwthr
         do idd = 1, 8
            write(2)comment(idd)
         enddo
         write(2)(p(idd),t(idd),s(idd),ia,idd=1,nrec)
c
        else if(ifunf)then
         if(ifsal)then
            write(2)id,xlat,xlon,date,time
            write(2)nrec,(p(icc),t(icc),s(icc),icc=1,nrec)
         else
            write(2)id,xlat,xlon,date,time
            write(2)nrec,(p(icc),t(icc),icc=1,nrec)
         endif
      endif
c
      goto 50
c
   99 continue
c
      if(.not.ifmods)goto 999
      eof=.false.
c
c --- for POEM or WGL formatted data, we are done.  Must
c --- generate a new header for MODS formatted data.
c
      if(xbt)then
         lhfield(3)=.false.
         hscle(3)=1.00
      endif
      rewind(99)
c
c --- write the new header
c
      call wrt_header(2)
      do while (.not.eof)
        call read_hydro(99)
        if(eof)goto 999
        call wrt_hydro(2)
      enddo
c
  999 continue
c
#ifdef sunfpe
1000  format(/'SELTIME - Warning:  ieee_handler cannot set my_handler'/)
c
#endif
      end
