      subroutine set_outname (oname)
c
c-----------------------------------------------------------------------
c  This routine creates the name for the output file and the titles for|
c  the header.                                                         |
c  Calls:  LENGTH
c-----------------------------------------------------------------------
c
c-----------------------------------------------------------------------
c  Global data.
c-----------------------------------------------------------------------
c
#include <param_hydro.h>
#include <hydro.h>
#include <sac_stuff.h>
c
c-----------------------------------------------------------------------
c  Local data.
c-----------------------------------------------------------------------
c
      integer      n,ndig,no_digit,ntypes,sbgn,send,slen
      character*29  fmt
      character*(*) oname
c
      no_digit(n)=int(log10(float(max(abs(n),1))))+(1+max(-sign(1,n),0))
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
c-----------------------------------------------------------------------
c  Determine the number of types of data.
c-----------------------------------------------------------------------
c
      ntypes = 0
c
      if (any_chain) ntypes = ntypes + 1
      if (any_ctd)   ntypes = ntypes + 1
      if (any_xbt)   ntypes = ntypes + 1
      if (any_xctd)  ntypes = ntypes + 1
c
      ctd  = any_ctd .or. any_chain
      xctd = any_xctd
      xbt  = any_xbt
c
c-----------------------------------------------------------------------
c  Set file name
c-----------------------------------------------------------------------
c
      ndig = max ( no_digit(idmax), no_digit(idmin) )
      write (fmt,10) ndig,ndig,ndig,ndig
c
      if (ntypes.eq.1) then
         if (any_ctd) then
            write (oname,fmt) 'ctd',idmin,idmax
           else if (any_chain) then
            write (oname,fmt) 'chain',idmin,idmax
           else if (any_xbt) then
            write (oname,fmt) 'xbt',idmin,idmax
           else if (any_xctd) then
            write (oname,fmt) 'xctd',idmin,idmax
         end if
        else
         write (oname,fmt) 'saclant',idmin,idmax
      end if
c
c-----------------------------------------------------------------------
c  Set header title
c-----------------------------------------------------------------------
c
      call length (htitle,slen,sbgn,send)
c
      if (ntypes.eq.1) then
c
         if (any_ctd) then
            htitle = htitle(sbgn:send)//' CTD Data'
           else if (any_chain) then
            htitle = htitle(sbgn:send)//' CTD Chain Data'
           else if (any_xbt) then
            htitle = htitle(sbgn:send)//' XBT Data'
           else if (any_xctd) then
            htitle = htitle(sbgn:send)//' XCTD Data'
         end if
c
        else if (ntypes.gt.1) then
c
         n = 0
         if (any_ctd) then
            htitle = htitle(sbgn:send)//' CTD'
            call length (htitle,slen,sbgn,send)
            n = n + 1
            if ( n .lt. (ntypes-1) ) then
               htitle = htitle(sbgn:send)//','
              else if (n.eq.(ntypes-1)) then
               htitle = htitle(sbgn:send)//' and'
            end if
            call length (htitle,slen,sbgn,send)
         end if
c
         if (any_chain) then
            htitle = htitle(sbgn:send)//' CTD Chain'
            call length (htitle,slen,sbgn,send)
            n = n + 1
            if ( n .lt. (ntypes-1) ) then
               htitle = htitle(sbgn:send)//','
              else if (n.eq.(ntypes-1)) then
               htitle = htitle(sbgn:send)//' and'
            end if
            call length (htitle,slen,sbgn,send)
         end if
c
         if (any_xctd) then
            htitle = htitle(sbgn:send)//' XCTD'
            call length (htitle,slen,sbgn,send)
            n = n + 1
            if ( n .lt. (ntypes-1) ) then
               htitle = htitle(sbgn:send)//','
              else if (n.eq.(ntypes-1)) then
               htitle = htitle(sbgn:send)//' and'
            end if
            call length (htitle,slen,sbgn,send)
         end if
c
         if (any_xbt) then
            htitle = htitle(sbgn:send)//' XBT'
            call length (htitle,slen,sbgn,send)
         end if
         htitle = htitle(sbgn:send)//' Data'
c
      end if
c
      return
c
 10   format ('(a,i',i2,'.',i2,6h,'-',i,i2,'.',i2,9h,'.mods'))
c
      end
