      subroutine set_type (string)
c
c=======================================================================
c  This routine sets the tool flag indicated by the string.          ===
c                                                                    ===
c  ------                                                            ===
c  Input:                                                            ===
c  ------                                                            ===
c                                                                    ===
c     STRING...Character string containing tool type.                ===
c                                                                    ===
c  -------                                                           ===
c  Output:                                                           ===
c  -------                                                           ===
c                                                                    ===
c     Common Blocks:                                                 ===
c                                                                    ===
c     /HYDRO/                                                        ===
c                                                                    ===
c        AXBT...Flag for AXBT tool.   (logical)                      ===
c        CTD....Flag for CTD tool.    (logical)                      ===
c        XBT....Flag for XBT tool.    (logical)                      ===
c        XBTS...Flag for XBTS tool.   (logical)                      ===
c        XCTD...Flag for XCTD tool.   (logical)                      ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define global data.
c-----------------------------------------------------------------------
c
#include <param_hydro.h>
#include <hydro.h>
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
      character*(*) string
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
      if(string.eq.'CTD') then
        ctd=.true.
      elseif(string.eq.'XBTS') then
        xbts=.true.
      elseif(string.eq.'XBT') then
        xbt=.true.
      elseif(string.eq.'XCTD') then
        xctd=.true.
      elseif(string.eq.'AXBT') then
        axbt=.true.
      endif
c
      return
      end
