      program shifttime
c
c-----------------------------------------------------------------------
c     Global variables.                                                |
c-----------------------------------------------------------------------
c
#include <param_hydro.h>
#include <hydro.h>
c
c-----------------------------------------------------------------------
c     Local variables.                                                 |
c-----------------------------------------------------------------------
c
      real    p5
      parameter (p5=0.5)
c
      real p(mhpts),s(mhpts),t(mhpts)
      real clat,clon,tshift
c
      integer i,npt,ident,idate,itime
#ifdef sunfpe
      integer ieeer,my_handler,ieee_handler
#endif
c
      logical ifmods,ifunf,ifmed,ifsal
      character*1 answer
      character*80 iname,oname
c
      equivalence (p(1), hdat(1,1))
      equivalence (t(1), hdat(1,2))
      equivalence (s(1), hdat(1,3))
c
#ifdef sunfpe
       external   my_handler
c
#endif
      data ifmods,ifunf/.false.,.false./
      data ifmed,ifsal/.false.,.false./
c
c=======================================================================
c     Begin executable code.                                           #
c=======================================================================
#ifdef sunfpe
c
c-----------------------------------------------------------------------
c     Enable floating point error flags.                               |
c-----------------------------------------------------------------------
c
      ieeer = ieee_handler ('set','common',my_handler)
      if (ieeer .ne. 0) write (6,10000)
#endif
c
c-----------------------------------------------------------------------
c     Read basic information to start run.                             |
c-----------------------------------------------------------------------
c
      print 1
      read 2,iname
      print 3
      read 2,oname
c
    1 format(1x,'What is the name of the input file  : ',$)
    2 format(a)
    3 format(1x,'What is the name of the output file : ',$)
c
      print 4
    4 format(1x,'Is this data in the MODS format (y/n): ',$)
      read 2,answer
      if(answer.eq.'Y' .or. answer.eq.'y')ifmods=.true.
c
      if(.not.ifmods)then
         print 5
    5    format(1x,'Is this data in the POEM format (y/n): ',$)
         read 2,answer
         if(answer.eq.'Y' .or. answer.eq.'y')ifmed=.true.
      endif
c
      if(.not.ifmed .and. .not.ifmods)then
         ifunf=.true.
         print 6
    6    format(1x,'Is salinity included in the data (y/n)? ',$)
         read 2,answer
         if(answer.eq.'Y' .or. answer.eq.'y')ifsal=.true.
      endif
c
      print 7
    7 format(1x,'Enter the time shift (jdays) : ',$)
      read *,tshift
c
c-----------------------------------------------------------------------
c     Open files and read any header information.                      |
c-----------------------------------------------------------------------
c
      if(ifmods)then
         open(unit=1,file=iname,status='old',form='formatted')
         open(unit=2,file=oname,status='new',form='formatted')
         open(unit=99,status='scratch',form='formatted')
      else if(ifunf .or. ifmed)then
         open(unit=1,file=iname,status='old',form='unformatted')
         open(unit=2,file=oname,status='new',form='unformatted')
      endif
c
      if(ifmods) then
         call read_header(1)
         hstrday = hstrday + tshift
         hendday = hendday + tshift
      end if
c
c-----------------------------------------------------------------------
c     Read casts and shift time until end of file.                     |
c-----------------------------------------------------------------------
c
   10 continue
c
c-----------------------------------------------------------------------
c     Read a cast and shift its time.                                  |
c-----------------------------------------------------------------------
c
      if(ifmods)then
         call read_hydro(1)
         if(eof)goto 999
c
         htime = htime + tshift
c
      endif
c
      if(ifunf)then
         if(ifsal)then
            read(1,end=999)ident,clat,clon,idate,itime
            read(1)npt,(p(i),t(i),s(i),i=1,npt)
         else
            read(1,end=999)ident,clat,clon,idate,itime
            read(1)npt,(p(i),t(i),i=1,npt)
         endif
c
         idate = int( float(idate) + tshift + p5 )
c
      endif
c
c-----------------------------------------------------------------------
c     Write time shifted data:  directly for unformatted file          |
c                           in a scratched file for mods formatted data|
c-----------------------------------------------------------------------
c
      if(ifunf)then
         if(ifsal)then
            write(2)ident,clat,clon,idate,itime
            write(2)npt,(p(i),t(i),s(i),i=1,npt)
         else
            write(2)ident,clat,clon,idate,itime
            write(2)npt,(p(i),t(i),i=1,npt)
         endif
      endif
c
      if(ifmods)then
         call wrt_hydro(99)
      endif
c
      goto 10
c
  999 continue
c
      if(.not.ifmods)goto 9999
c
c-----------------------------------------------------------------------
c     If data is in mods format, now rewrite data file.                |
c-----------------------------------------------------------------------
c
      call wrt_header(2)
      rewind(99)
      eof=.false.
c
      do while (.not.eof)
        call read_hydro(99)
        if(eof)goto 9999
        call wrt_hydro(2)
      enddo
c
 9999 continue
c
#ifdef sunfpe
10000 format (/'SHIFTTIME - Warning:  ieee_handler cannot set ',
     &        'my_handler'/)
#endif
      end
