      program timestat
c
c-----------------------------------------------------------------------
c     Global variables.                                                |
c-----------------------------------------------------------------------
c
#include <param_hydro.h>
#include <hydro.h>
c
c-----------------------------------------------------------------------
c     Local variables.                                                 |
c-----------------------------------------------------------------------
c
      integer maxcast
      real    p5
      parameter (maxcast=10000, p5=0.5)
c
      real p(mhpts),s(mhpts),t(mhpts),work(maxcast)
      real clat,clon,tmed
c
      integer i,npt,ident,idate,itime,ncast,nmid
      integer iday,month,iyear,iyday
#ifdef sunfpe
      integer ieeer,my_handler,ieee_handler
#endif
c
      logical ifmods,ifunf,ifmed,ifsal
      character*1 answer
      character*8  tchar
      character*11 dchar
      character*80 iname
c
      equivalence (p(1), hdat(1,1))
      equivalence (t(1), hdat(1,2))
      equivalence (s(1), hdat(1,3))
c
#ifdef sunfpe
       external   my_handler
c
#endif
      data ifmods,ifunf/.false.,.false./
      data ifmed,ifsal/.false.,.false./
      data ncast/0/
c
c=======================================================================
c     Begin executable code.                                           #
c=======================================================================
#ifdef sunfpe
c
c-----------------------------------------------------------------------
c     Enable floating point error flags.                               |
c-----------------------------------------------------------------------
c
      ieeer = ieee_handler ('set','common',my_handler)
      if (ieeer .ne. 0) write (6,1000)
#endif
c
c-----------------------------------------------------------------------
c     Read basic information to start run.                             |
c-----------------------------------------------------------------------
c
      print 1
      read 2,iname
c
    1 format(1x,'What is the name of the input file  : ',$)
    2 format(a)
c
      print 4
    4 format(1x,'Is this data in the MODS format (y/n): ',$)
      read 2,answer
      if(answer.eq.'Y' .or. answer.eq.'y')ifmods=.true.
c
      if(.not.ifmods)then
         print 5
    5    format(1x,'Is this data in the POEM format (y/n): ',$)
         read 2,answer
         if(answer.eq.'Y' .or. answer.eq.'y')ifmed=.true.
      endif
c
      if(.not.ifmed .and. .not.ifmods)then
         ifunf=.true.
         print 6
    6    format(1x,'Is salinity included in the data (y/n)? ',$)
         read 2,answer
         if(answer.eq.'Y' .or. answer.eq.'y')ifsal=.true.
      endif
c
c-----------------------------------------------------------------------
c     Open files and read any header information.                      |
c-----------------------------------------------------------------------
c
      if(ifmods)then
         open(unit=1,file=iname,status='old',form='formatted')
      else if(ifunf .or. ifmed)then
         open(unit=1,file=iname,status='old',form='unformatted')
      endif
c
      if(ifmods)call read_header(1)
c
c-----------------------------------------------------------------------
c     Read casts and get date information until end of file or maximum |
c     number of casts read.                                            |
c-----------------------------------------------------------------------
c
   10 continue
c
      if(ifmods)then
         call read_hydro(1)
         if(eof)goto 999
c
         ncast = ncast + 1
         work(ncast) = htime
c
      endif
c
      if(ifunf)then
         if(ifsal)then
            read(1,end=999)ident,clat,clon,idate,itime
            read(1)npt,(p(i),t(i),s(i),i=1,npt)
         else
            read(1,end=999)ident,clat,clon,idate,itime
            read(1)npt,(p(i),t(i),i=1,npt)
         endif
c
         ncast = ncast + 1
         work(ncast) = float(idate)
c
      endif
c
      if (ncast.ge.maxcast) goto 999
c
      goto 10
c
  999 continue
c
c-----------------------------------------------------------------------
c     Finished reading casts, now sort time data and echo statistics.  |
c-----------------------------------------------------------------------
c
      call heap_sort (ncast,work)
c
      if (mod(ncast,2).eq.1) then
         nmid = (ncast+1)/2
         tmed = work(nmid)
        else
         nmid = ncast/2
         tmed = p5*( work(nmid) + work(nmid+1) )
      end if
c
      call caldate (work(1),dchar,tchar,iday,month,iyear,iyday)
      write (6,1010) ' First day:',work(1),dchar,tchar
      call caldate (tmed,dchar,tchar,iday,month,iyear,iyday)
      write (6,1020) 'Median day:',tmed,dchar,tchar
      call caldate (work(ncast),dchar,tchar,iday,month,iyear,iyday)
      write (6,1020) '  Last day:',work(ncast),dchar,tchar
c
#ifdef sunfpe
1000  format (/'TIMESTAT - Warning:  ieee_handler cannot set ',
     &        'my_handler'/)
#endif
1010  format (/1x,a,f11.4,', ',a,1x,a)
1020  format (1x,a,f11.4,', ',a,1x,a)
c
      end
