$ set verify
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!                                                                          !
$!  VMSmakefile.com:                                                        !
$!                                                                          !
$!  VAX VMS Script to compile and link the GRIDS Package.  Use the          !
$!  following command:                                                      !
$!                                                                          !
$!                @ VMSmakefile                                             !
$!                                                                          !
$!                                 Patrick J. Haley Jr.   01/16/2001        !
$!                                 Version                7.2               !
$!                                                                          !
$!  It uses file "compile.com" to C-preprocessing and compiling.            !
$!                                                                          !
$!  C-preprocessing options:                                                !
$!                                                                          !
$!  AIXDATE	AIX intrinsic date routine (IBM RS6000).                    !
$!  CRAYDATE	Using CRAY time/date intrinsic routines                     !
$!  DECDATE	Using DEC time/date intrinsic routines                      !
$!  FSMED	Filter step topography with integral-weighted median filter !
$!  FSMEN	Filter step topography with integral-weighted mean filter   !
$!  FTCLIP	Filter topography by clipping                               !
$!  FTMED	Filter topography with integral-weighted median filter      !
$!  FTSHAP	Filter topography with Shapiro filter                       !
$!  LNEXT	Use linear extrapolation of topography to edges.            !
$!  NOPLOT	Disables NCAR graphics plotting.                            !
$!  SUNDATE	Using SUN time/date intrinsic routines                      !
$!  SUNFLUSH	Flush output buffers on SUN systems.                        !
$!  SUNFPE	SUN's floating point exception trap                         !
$!                                                                          !
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!!!!!!!!!!!!!!!!!!!!!! USERS's tunable definitions !!!!!!!!!!!!!!!!!!!!!!!!!
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!
$!  Set directory paths
$!
$  define/nolog  gridsbin$dir   [...bin]
$  define/nolog  grids$bin      gridsbin$dir:grids.exe
$!
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!!!!!!!!!!!!!!!!!!!!!! End USERS's tunable definitions !!!!!!!!!!!!!!!!!!!!!
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$goto proceed
$!
$@compile align_mask.F
$@compile align_topo.F
$@compile all_lc.F
$@compile auto_iface.F
$@compile blkdat.F
$@compile c2f_dat.F
$@compile c2f_write.F
$@compile cf_blkdat.F
$@compile cf_exit.F
$@compile chk_cdf.F
$@compile chk_lev.F
$@compile chk_pwndo.F
$@compile chk_tfile.F
$@compile cntr_lbl.F
$@compile comp_fne.F
$@compile cont_data.F
$@compile cpmpxy.F
$@compile cpp_tell.F
$@compile crs2fne.F
$@compile day_code.F
$@compile defcdf.F
$@compile depth.F
$@compile depth_init.F
$@compile draw_map.F
$@compile eqvec.F
$@compile errio.F
$@compile extract_grids.F
$@compile f_fz.F
$@compile fill_map.F
$@compile filt_step.F
$@compile flat_top.F
$@compile gcircle.F
$@compile get_curr_filt.F
$@compile get_data.F
$@compile get_date.F
$@compile get_dom.F
$@compile get_ewpt.F
$@compile get_sigma.F
$@compile get_slope.F
$@compile get_vert.F
$@compile getsquare.F
$@compile gr_exit.F
$@compile great_int.F
$@compile grids.F
$@compile hcf_key.F
$@compile hcf_stat.F
$@compile hcntr_lbl.F
$@compile headln.F
$@compile heap_sort.F
$@compile hinit_cpack.F
$@compile hyb_sys.F
$@compile ibox_load_vec.F
$@compile icond_rep.F
$@compile iinsert.F
$@compile ilocal_mean.F
$@compile ilocal_median.F
$@compile init_cpack.F
$@compile interface.F
$@compile least_int.F
$@compile length.F
$@compile ll2xy.F
$@compile massage_topo.F
$@compile max_sigma.F
$@compile max_slope.F
$@compile new_depth.F
$@compile newton.F
$@compile no_digit.F
$@compile opn_tfile.F
$@compile pe_grid.F
$@compile plot_cst.F
$@compile plt_clos.F
$@compile plt_grid.F
$@compile plt_hcf.F
$@compile plt_init.F
$@compile plt_invalid.F
$@compile plt_step.F
$@compile plt_topo.F
$@compile pos_inq.F
$@compile prv_depth.F
$@compile rbox_load_vec.F
$@compile rcond_rep.F
$@compile read_grids.F
$@compile rescale_thick.F
$@compile rinsert.F
$@compile rlocal_median.F
$@compile rmblklines.FF
$@compile rotangle.F
$@compile rotparm.F
$@compile set60dvsr.F
$@compile set_blank.F
$@compile set_dash.F
$@compile set_edge.F
$@compile set_frame_geo.F
$@compile set_lltick.F
$@compile set_space.F
$@compile set_vgrid.F
$@compile setllstr.F
$@compile shap_filt.F
$@compile sig_fig.F
$@compile step_lines.F
$@compile step_sys.F
$@compile sub_sam2d.F
$@compile sub_sam_mask.F
$@compile sup_sam2d.F
$@compile sup_sam_mask.F
$@compile top_box.F
$@compile top_key.F
$@compile topo_stat.F
$@compile uv_depth.F
$@compile var_sigma.F
$@compile var_top.F
$@compile vec_read_f.F
$@compile wrt_lvl.F
$@compile xg_param.F
$@compile xy2ll.F
$!
$proceed:
$ set verify
$ DEFINE  LNK$LIBRARY  SYS$LIBRARY:VAXCRTL
$ link/executable=GRIDS		grids,					-
	all_lc,		auto_iface,	chk_cdf,	chk_lev,	-
	chk_pwndo,	chk_tfile,	cont_data,	cpp_tell,	-
	defcdf,		depth,		depth_init,	f_fz,		-
	filt_step,	flat_top,	gcircle,	get_curr_filt,	-
	get_data,	get_date,	get_ewpt,	get_sigma,	-
	get_slope,	get_vert,	getsquare,	gr_exit,	-
	great_int,	hcf_stat,	headln,		heap_sort,	-
	hyb_sys,	interface,	least_int,	length,		-
	ll2xy,		massage_topo,	max_sigma,	max_slope,	-
	new_depth,	newton,		no_digit,	opn_tfile,	-
	pe_grid,	pos_inq,	prv_depth,	rescale_thick,	-
	rotangle,	rotparm,	set60dvsr,	set_blank,	-
	set_lltick,	set_space,	set_vgrid,	setllstr,	-
	sig_fig,	step_sys,	topo_stat,	uv_depth,	-
	var_sigma,	var_top,	vec_read_f,	wrt_lvl,	-
	xy2ll,		set_edge,	day_code,	ilocal_mean,	-
	cntr_lbl,	cpmpxy,		draw_map,	eqvec,		-
	fill_map,	hcf_key,	hcntr_lbl,	hinit_cpack,	-
	init_cpack,	plot_cst,	plt_clos,	plt_grid,	-
	plt_hcf,	plt_init,	plt_invalid,	plt_step,	-
	plt_topo,	set_dash,	set_frame_geo,	step_lines,	-
	top_box,	top_key,	ilocal_median,	ibox_load_vec,	-
	iinsert,	icond_rep,	rlocal_median,	rbox_load_vec,	-
	rcond_rep,	rinsert,	shap_filt,			-
			SYS$USERROOT2:[...LIB]NETCDF.OLB/lib		-
			SYS$USERROOT2:[...LIB]NCARG.OLB/lib		-
			SYS$USERROOT2:[...LIB]NCARG_GKS.OLB/lib		-
			SYS$USERROOT2:[...LIB]NCARG_LOC.OLB/lib
$!
$ link/executable=CRS2FNE	crs2fne,				-
	c2f_dat,	c2f_write,	cf_blkdat,	cf_exit,	-
	comp_fne,	errio,		get_date,	get_ewpt,	-
	headln,		length,		ll2xy,		read_grids,	-
	rotparm,	day_code,					-
			SYS$USERROOT2:[...LIB]NETCDF.OLB/lib
$!
$ link/executable=EXTRACT_GRIDS		extract_grids,			-
	align_mask,	align_topo,	get_dom,	get_ewpt,	-
	length,		ll2xy,		rotparm,	sub_sam2d,	-
	sub_sam_mask,	sup_sam2d,	sup_sam_mask,	xg_param,	-
	xy2ll,								-
			SYS$USERROOT2:[...LIB]NETCDF.OLB/lib

$!
$ exit
