      subroutine cf_exit (name)
c
c=======================================================================
c                                                                    ===
c  This routine gently kills the program execution after an error    ===
c  has been detected.                                                ===
c                                                                    ===
c  ------                                                            ===
c  Input:                                                            ===
c  ------                                                            ===
c                                                                    ===
c     NAME........Name of the calling routine.           (character) ===
c                                                                    ===
c  Common Blocks:                                                    ===
c                                                                    ===
c  /C2FIO/                                                           ===
c                                                                    ===
c     NCINID...Identifier number for netCDF input file.  (integer)   ===
c     NCINST...Status flag for netCDF input file.        (integer)   ===
c     STDOUT...Unit number on which to write messages.   (integer)   ===
c                                                                    ===
c  ------                                                            ===
c  Calls:                                                            ===
c  ------                                                            ===
c                                                                    ===
c     HOPS:    LENGTH                                                ===
c     netCDF:  NF_CLOSE                                              ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define global data.
c-----------------------------------------------------------------------
c
#include <c2fio.h>
#include <netcdf.inc>
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
      integer       clen,cbgn,cend
      character*(*) name
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
c-----------------------------------------------------------------------
c  Close the netCDF file as needed.
c-----------------------------------------------------------------------
c
      if (ncinst.eq.2) then
         if (nf_close (ncinid) .ne. NF_NOERR) then
            write (stdout,10)
         end if
      end if
c
c-----------------------------------------------------------------------
c  Write final message and end program.
c-----------------------------------------------------------------------
c
      call length (name,clen,cbgn,cend)
c
      if (clen.lt.5) then
         write (stdout,20) name(cbgn:cend)
       elseif (name((cend-4):cend).eq.' DONE') then
         write (stdout,30) name(cbgn:cend)
       else
         write (stdout,20) name(cbgn:cend)
      end if
c
      stop
c
  10  format (/'+++Warning:  unable to close netCDF file.')
  20  format (/'*** Error:  CRS2FNE abnormally terminated in routine: ',
     &        a)
  30  format (/a)
c
      end
