      subroutine chk_lev (no_lev,dzt,st_lev,nd_lev,error)
c
c-------------------------------------------------------------------------------
c     This subroutine checks the model level thicknesses to ensure no trivial  |
c     or negative thicknesses.                                                 |
c                                                                              |
c     Calls:  none                                                             |
c                                                                              |
c     Arguments:                                                               |
c                                                                              |
c     dzt......Real vector.  Model level thicknesses.  (cm)   {input}          |
c     error....Logical.  Indicates whether a bad thickness was found.  {output}|
c                 error = .true.   =>  A bad thickness was found.              |
c                 error = .false.  =>  No bad thicknesses were found.          |
c     nd_lev...Integer.  Last level to check.   {input}                        |
c     no_lev...Integer.  Size of dzt.   {input}                                |
c     st_lev...Integer.  First level to check.   {input}                       |
c-------------------------------------------------------------------------------
c
#include <gridsio.h>
#include <gpconst.h>
c
      integer nd_lev,no_lev,st_lev,k
      real    dzt(no_lev)
      logical error
c
c=======================================================================
c     Begin executable code.                                           #
c=======================================================================
c
      error = .false.
c
      do 10 k = st_lev, nd_lev
c
         error = error .or. (dzt(k) .le. c0)
         if (error) write (out_unit,20) k
c
 10   continue
#ifdef sunflush
      call flush (out_unit)
#endif
c
      return
c
 20   format ('***Bad level:  dzt(',i10,') <= 0')
c
      end
