      subroutine cpmpxy (imap,xinp,yinp,xotp,yotp)
c
c=======================================================================
c                                                                    ===
c  This routine maps the grid position to the geographic position.   ===
c                                                                    ===
c  ------                                                            ===
c  Input:                                                            ===
c  ------                                                            ===
c                                                                    ===
c     IMAP         The CONPACK parameter 'MAP'.   (integer)          ===
c     XINP, YINP   The grid coordinates.          (real)             ===
c                                                                    ===
c  Common Blocks:                                                    ===
c                                                                    ===
c  /DOM/                                                             ===
c                                                                    ===
c     COORD    Horizontal coordinate type flag.          (integer)   ===
c                   [0]  cartesian grid.                             ===
c                   [1]  geographic spherical grid.                  ===
c                   [2]  rotated spherical grid.                     ===
c     DELX     X-offset between grid & trans. centers.   (real)      ===
c     DX       Grid x spacing.                           (real)      ===
c     DELY     Y-offset between grid & trans. centers.   (real)      ===
c     DY       Grid y spacing.                           (real)      ===
c     LATC     Latitude of transformation center.        (real)      ===
c     LONC     Longitude of transformation center.       (real)      ===
c     NO_X     Number of elements in the x direction.    (integer)   ===
c     NO_Y     Number of elements in the y direction.    (integer)   ===
c     ROTANG   Rotation angle.                           (real)      ===
c                                                                    ===
c  /HCFMAP/                                                          ===
c                                                                    ===
c     UV_FLAG   Indicates whether mapping uv or t grid.   (logical)  ===
c                                                                    ===
c  -------                                                           ===
c  Output:                                                           ===
c  -------                                                           ===
c                                                                    ===
c     XOTP, YOTP   The geographic coordinates.    (real)             ===
c                                                                    ===
c  ------                                                            ===
c  Calls:                                                            ===
c  ------                                                            ===
c                                                                    ===
c     HOPS:    XY2LL                                                 ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define global data
c-----------------------------------------------------------------------
c
#include <gridsparm.h>
#include <gpconst.h>
#include <dom.h>
#include <hcfmap.h>
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
      integer imap
      real    xinp,xotp,yinp,yotp
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
c-----------------------------------------------------------------------
c  Convert from XY to Lat/Lon
c-----------------------------------------------------------------------
c
      if (.not.uv_flag) then
         call xy2ll (xinp,yinp,coord,no_x,no_y,dx,dy,lonc,latc,
     &               delx,dely,rotang,xotp,yotp)
       else
         call xy2ll (xinp+p5,yinp+p5,coord,no_x,no_y,dx,dy,lonc,
     &               latc,delx,dely,rotang,xotp,yotp)
      end if
c
      return
      end
