      subroutine cpp_tell (out_unit)
c
c=======================================================================
c                                                                    ===
c  This routine echos which C Pre-Processing options were invoked.   ===
c                                                                    ===
c  ------                                                            ===
c  Input:                                                            ===
c  ------                                                            ===
c                                                                    ===
c  OUT_UNIT   Device on which to echo information.   (integer)       ===
c                                                                    ===
c  Calls:  none                                                      ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
      integer out_unit
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
      write (out_unit,10)
c
c-----------------------------------------------------------------------
c  Step topography filters.
c-----------------------------------------------------------------------
c
#ifdef fsmed
      write (out_unit,20) 'FSMED','Filter step topography with integral'
     &                    //'-weighted median filter'
#endif
#ifdef fsmen
      write (out_unit,20) 'FSMEN','Filter step topography with integral'
     &                    //'-weighted mean filter'
#endif
c
c-----------------------------------------------------------------------
c  Topography filters.
c-----------------------------------------------------------------------
c
#ifdef ftclip
      write (out_unit,20) 'FTCLIP','Filter topography by clipping'
#endif
#ifdef ftmed
      write (out_unit,20) 'FTMED','Filter topography with integral-'
     &                    //'weighted median filter'
#  ifdef lnext
      write (out_unit,20) 'LNEXT','Use linear extrapolation boundary '
     &                    //'conditions on median filter'
#  endif
#endif
#ifdef ftshap
      write (out_unit,20) 'FTSHAP','Filter topography with Shapiro '
     &                    //'filter'
#endif
c
c-----------------------------------------------------------------------
c  Debugging Aids.
c-----------------------------------------------------------------------
c
#ifdef sunfpe
      write (out_unit,20) 'SUNFPE','Using SUN floating point exception '
     &                    //'trap'
#endif
c
c-----------------------------------------------------------------------
c  Time Stamp.
c-----------------------------------------------------------------------
c
#if defined aixdate
      write (out_unit,20) 'AIXDATE','Using AIX time/date call'
# elif defined craydate
      write (out_unit,20) 'CRAYDATE','Using CRAY time/date call'
# elif defined decdate
      write (out_unit,20) 'DECDATE','Using DEC time/date call'
# elif defined sundate
      write (out_unit,20) 'SUNDATE','Using SUN time/date call'
# else
      write (out_unit,20) '(default)','No time/date information'
#endif
c
c-----------------------------------------------------------------------
c  Plotting.
c-----------------------------------------------------------------------
c
#ifdef noplot
      write (out_unit,20) 'NOPLOT','No plotting will be done'
#endif
c
c-----------------------------------------------------------------------
c  Echo file.
c-----------------------------------------------------------------------
c
#ifdef sunflush
      write (out_unit,20) 'SUNFLUSH','Flush output buffers on SUN '
     &                    //'systems'
      call flush (out_unit)
#endif
c
      return
c
  10  format (/'Active C Pre-Processing options:')
  20  format (3x,a,t19,a)
c
      end
