      program crs2fne
c
c=======================================================================
c                                                                    ===
c  This program computes the fine grid domain definition parameters  ===
c  based on the desired size of the grid and the desired center.     ===
c                                                                    ===
c  The rules for defining a valid fine grid are:                     ===
c                                                                    ===
c       (1) IMT_F + 1      must be divisible by 6. (checked at input)===
c                                                                    ===
c       (2) JMT_F          must be divisible by 6. (checked at input)===
c                                                                    ===
c       (3) COORD, THETA,                                            ===
c           LATC and LONC  are same for both grids. (imposed by code)===
c                                                                    ===
#ifndef sunfpe
c  Calls:  C2F_DAT,  C2F_WRITE,  CF_EXIT,  COMP_FNE,  READ_GRIDS     ===
# else
c  Calls:  C2F_DAT,     C2F_WRITE,  CF_EXIT,  COMP_FNE,  MY_HANDLER, ===
c          READ_GRIDS,                                               ===
#endif
c                                                                    ===
c=======================================================================
c
#ifdef sunfpe
c-----------------------------------------------------------------------
c  Define global data.
c-----------------------------------------------------------------------
c
# include <c2fio.h>
c
#endif
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
#ifdef sunfpe
      integer      ieeer,my_handler,ieee_handler
#endif
      character*80 gfile
c
#ifdef sunfpe
      external my_handler
c
#endif
c=======================================================================
c  Begin executable code.
c=======================================================================
c
#ifdef sunfpe
c-----------------------------------------------------------------------
c  Enable floating point error flags.
c-----------------------------------------------------------------------
c
      ieeer = ieee_handler ('set','common',my_handler)
      if (ieeer .ne. 0) write (stdout,10)
c
#endif
c-----------------------------------------------------------------------
c  Read data.
c-----------------------------------------------------------------------
c
      call c2f_dat (gfile)
      call read_grids (gfile)
c
c-----------------------------------------------------------------------
c  Compute fine grid parameters.
c-----------------------------------------------------------------------
c
      call comp_fne
c
c-----------------------------------------------------------------------
c  Write results.
c-----------------------------------------------------------------------
c
      call c2f_write
c
c-----------------------------------------------------------------------
c  End gracefully.
c-----------------------------------------------------------------------
c
      call cf_exit ('CRS2FNE DONE')
c
#ifdef sunfpe
 10   format (/'+++Warning:  CRS2FNE - ieee_handler cannot set ',
     &        'my_handler'/)
c
#endif
      end
