      subroutine draw_map
c
c=======================================================================
c                                                                    ===
c  This routine draws coastlines, islands and lakes for the          ===
c  specified domain.                                                 ===
c                                                                    ===
c  ------                                                            ===
c  Input:                                                            ===
c  ------                                                            ===
c                                                                    ===
c  Common Blocks:                                                    ===
c                                                                    ===
c  /GRIDSIO/                                                         ===
c                                                                    ===
c     CSTUNIT   Unit number: ASCII coastline data file.    (integer) ===
c                                                                    ===
c  ------                                                            ===
c  Calls:                                                            ===
c  ------                                                            ===
c                                                                    ===
c     NCAR:    FRSTPT,  VECTOR                                       ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define global data.
c-----------------------------------------------------------------------
c
#include <gridsio.h>
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
      real spval
      parameter (spval = 999.0)
c
      logical pen_down
      real    x,y
      integer ios
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
c-----------------------------------------------------------------------
c  Reset coastline data file.
c-----------------------------------------------------------------------
c
      rewind (cstunit)
c
c-----------------------------------------------------------------------
c  Draw coastlines, islands and lakes.
c-----------------------------------------------------------------------
c
      read (cstunit,*,iostat=ios) y,x
c
      do 10 while (ios.eq.0)
c
         if ( (x.eq.spval) .and. (y.eq.spval) ) then
            pen_down = .false.
          else
            if (pen_down) then
               call vector (x,y)
             else
               call frstpt (x,y)
               pen_down = .true.
            end if
         end if
c
         read (cstunit,*,iostat=ios) y,x
c
 10   continue
c
      return
      end
