      subroutine eqvec (lda,imt,jmt,kmt,geo_tlon,geo_tlat,i1,j1,i2,j2)
c
c=======================================================================
c                                                                    ===
c  This routine draws a line between the given points if they have   ===
c  equal numbers of vertical levels.  The pen is assumed to be at    ===
c  point (i1,j1).  A line is drawn to point (i2,j2) and the pen is   ===
c  moved back to point (i1,j1).                                      ===
c                                                                    ===
c  ------                                                            ===
c  Input:                                                            ===
c  ------                                                            ===
c                                                                    ===
c     GEO_TLAT   The latitudes of t grid points.   (real array; deg) ===
c     GEO_TLON   The longitudes of t grid points.  (real array; deg) ===
c     I1, J1     Location of the original point.   (integer)         ===
c     I2, J2     Location of the second point.     (integer)         ===
c     IMT        Number of x-points.               (integer)         ===
c     JMT        Number of y-points.               (integer)         ===
c     KMT        Number of levels at a point.      (integer array)   ===
c     LDA        Leading dimension of arrays.      (integer)         ===
c                                                                    ===
c  ------                                                            ===
c  Calls:                                                            ===
c  ------                                                            ===
c                                                                    ===
c     NCAR:    FRSTPT,  VECTOR                                       ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
      integer i1,i2,imt,j1,j2,jmt,lda
      integer kmt(lda,jmt)
      real    geo_tlon(lda,jmt),geo_tlat(lda,jmt)
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
      if (kmt(i1,j1) .eq. kmt(i2,j2)) then
         call vector (geo_tlon(i2,j2),geo_tlat(i2,j2))
         call frstpt (geo_tlon(i1,j1),geo_tlat(i1,j1))
      end if
c
      return
      end
