      subroutine fill_map (xrng,yrng,antind)
c
c=======================================================================
c                                                                    ===
c  This routine draws filled coastlines, islands and lakes for the   ===
c  specified domain.                                                 ===
c                                                                    ===
c  ------                                                            ===
c  Input:                                                            ===
c  ------                                                            ===
c                                                                    ===
c     ANTIND   Index for antarctica.               (integer)         ===
c     XRNG     Data range for x-coordinate axis.   (real vector)     ===
c     YRNG     Data range for y-coordinate axis.   (real vector)     ===
c                                                                    ===
c  ------                                                            ===
c  Calls:                                                            ===
c  ------                                                            ===
c                                                                    ===
c     HOPS:    PLOT_CST                                              ===
c     NCAR:    GSFACI                                                ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
      integer antind
      real    xrng(2),yrng(2)
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
c-----------------------------------------------------------------------
c  Draw coastlines for land boarding oceans.
c-----------------------------------------------------------------------
c
      call gsfais (1)
      call sflush
      call gsfaci (2)
      call plot_cst ('Land',antind,xrng(1),xrng(2),yrng(1),yrng(2))
c
c-----------------------------------------------------------------------
c  Draw coastlines for land-locked lakes.
c-----------------------------------------------------------------------
c
      call sflush
      call gsfaci (0)
      call plot_cst ('Lake',0,xrng(1),xrng(2),yrng(1),yrng(2))
c
c-----------------------------------------------------------------------
c  Draw coastlines for islands in lakes.
c-----------------------------------------------------------------------
c
      call sflush
      call gsfaci (2)
      call plot_cst ('Island',0,xrng(1),xrng(2),yrng(1),yrng(2))
c
c-----------------------------------------------------------------------
c  Draw coastlines for ponds within islands in lakes.
c-----------------------------------------------------------------------
c
      call sflush
      call gsfaci (0)
      call plot_cst ('Pond',0,xrng(1),xrng(2),yrng(1),yrng(2))
      call sflush
c
      return
      end
