      function fltsum (ratio)
c
c=======================================================================
c                                                                    ===
c  This function finds the difference between the sum of sigma       ===
c  thicknesses with the given ration between levels and one.         ===
c                                                                    ===
c  ------                                                            ===
c  Input:                                                            ===
c  ------                                                            ===
c                                                                    ===
c     RATIO    Ratio of adjacent sigma thicknesses.  (double prec.)  ===
c                                                                    ===
c  Common Blocks:                                                    ===
c                                                                    ===
c  /FLTSUM/                                                          ===
c                                                                    ===
c     NORDER    Polynomial order of sum.            (integer)        ===
c     SCALFAC   Scaling factor for sum.             (double prec.)   ===
c                                                                    ===
c  -------                                                           ===
c  Output:                                                           ===
c  -------                                                           ===
c                                                                    ===
c     FLTSUM   Difference between sums.              (double prec.)  ===
c                                                                    ===
c  ------                                                            ===
c  Calls:                                                            ===
c  ------                                                            ===
c                                                                    ===
c     none                                                           ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define global variables.
c-----------------------------------------------------------------------
c
#include <fltsum.h>
c
c-----------------------------------------------------------------------
c  Define local variables.
c-----------------------------------------------------------------------
c
      integer          n
      double precision cd1,ratio,sum
      double precision fltsum
c
      parameter (cd1=1.0d0)
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
c-----------------------------------------------------------------------
c  Sum spacings.
c-----------------------------------------------------------------------
c
      sum = cd1
c
      do 10 n = 1, norder
         sum = cd1 + ratio*sum
  10  continue
c
c-----------------------------------------------------------------------
c  Scale and difference.
c-----------------------------------------------------------------------
c
      fltsum = scalfac*sum - cd1
c
      return
      end
