c
c=======================================================================
c  Include file "fne_dat.h"
c=======================================================================
#ifndef rmdocinc
c
c  This file contains the fine grid parameters.
c
c  DDELX     Needed shift to collocate in x-direction.          (real; m | deg)
c  DDELY     Needed shift to collocate in y-direction.          (real; m | deg)
c  DELX_F    X-offset, grid-trans. centers, fine grid.          (real; m | deg)
c  DELY_F    Y-offset, grid-trans. centers, fine grid.          (real; m | deg)
c  GRIDX_F   Grid spacing in x-direction, fine grid.            (real; m | deg)
c  GRIDY_F   Grid spacing in y-direction, fine grid.            (real; m | deg)
c  I_LL_C,
c  J_LL_C    Lower left corner of fine grid in coarse grid.     (integer)
c  I_UR_C,
c  J_UR_C    Upper right corner of fine grid in coarse grid.    (integer)
c  IMT_F     Number of grid points in x direction, fine grid.   (integer)
c  IMT_FC    Number of nested coarse grid x-points.             (integer)
c  JMT_F     Number of grid points in y direction, fine grid.   (integer)
c  JMT_FC    Number of nested coarse grid y-points.             (integer)
c  LAT_F     Latitude of center of grid, fine grid.             (real; deg)
c  LON_F     Longitude of center of grid, fine grid.            (real; deg)
c  WKSP      Data passing work space size.                      (integer)
c
c=======================================================================
#endif
c
      integer i_ll_c,imt_f,imt_fc,i_ur_c,j_ll_c,jmt_f,j_ur_c,jmt_fc,
     &                  wksp
      common /ifne_dat/ i_ll_c,imt_f,imt_fc,i_ur_c,j_ll_c,jmt_f,j_ur_c,
     &                  jmt_fc,wksp
c
      real ddelx,ddely,delx_f,dely_f,gridx_f,gridy_f,lat_f,
     &                  lon_f
      common /ffne_dat/ ddelx,ddely,delx_f,dely_f,gridx_f,gridy_f,lat_f,
     &                  lon_f
