      subroutine get_vert (no_lvl,dzt)
c
c-------------------------------------------------------------------------------
c     This routine gets the thicknesses of T boxes.                            |
c                                                                              |
c     Calls:  vec_read_f                                                       |
c                                                                              |
c     Arguments:                                                               |
c                                                                              |
c     dzt......Real array.  Thicknesses of vertical levels.  (m)   {output}    |
c     no_lvl...Integer.  Number of vertical levels.   {output}                 |
c-------------------------------------------------------------------------------
c
#include <gridsparm.h>
#include <gridsio.h>
#include <gpconst.h>
c
      real    dzt(mx_lvl)
      integer no_lvl,n
c
c=======================================================================
c     Begin executable code.                                           #
c=======================================================================
c
c-----------------------------------------------------------------------
c     Read in depths at center of T-boxes (m).  Echo input.            |
c-----------------------------------------------------------------------
c
      read (in_unit,*) no_lvl
      call vec_read_f (dzt,mx_lvl,no_lvl,'Depths',in_unit,out_unit)
c
      write (out_unit,20) no_lvl
      do 10 n = 1, no_lvl
 10      write (out_unit,30) dzt(n)
#ifdef sunflush
      call flush (out_unit)
#endif
c
      return
c
 20   format (/'Number of vertical levels:  ',i10/'Thicknesses of',
     &        ' T-boxes:')
 30   format (3x,1pg15.8,'  (m)')
c
      end
