c
c=======================================================================
c  Include file "gpconst.h"
c=======================================================================
#ifndef rmdocinc
c
c  This file defines a number of useful parameter constants.
c
c     c0........Real.  Zero.
c     c1........Real.  One.
c     c2........Real.  Two.
c     cm1.......Real.  Negative one.
c     cm2.......Real.  Negative two.
c     deg2rad...Real.  Multiplicative conversion factor from degrees to radians
c     eps.......Real.  Approximate machine precision. ~ 2^-23
c     km2m......Real.  Multiplicative conversion factor from kilometers to
c                      meters.
c     p25.......Real.  One quarter.
c     p5........Real.  One half.
c     p9........Real.  Nine tenths.
c     pi........Real.  Pi:  The ratio of the circumference of a circle over its
c                           diameter.
c     rad2deg...Real.  Multiplicative conversion factor from radians to degrees
c     rearth....Real.  Mean radius of the earth.  (km)
c     root2.....Real.  Square root of two.
c     tgrid.....Integer.  Flag for tracer grid.
c     vgrid.....Integer.  Flag for velocity grid.
c
c  Values for Pi, the mean radius of the earth and the square root of two
c  were obtained from:
c
c  CRC Handbook of Chemistry and Physics, 62nd edition
c  Weast, R. C. & Astle, M. J.  (eds)
c  CRC Press, Inc      1981
c=======================================================================
#endif
c
      real c0,c1,c2,c3,c4,c5,c10,cm1,cm2,deg2rad,km2m,p1,p2,p25,p5,p75,
     &        p8,p9,pi,rad2deg,rearth,root2,eps
      integer tgrid,vgrid
c
      parameter (c0=0.0, c1=1.0, c2=2.0, c3=3.0, c4=4.0, c5=5.0,
     &           c10=10.0, cm1=-1.0, cm2=-2.0, p1=0.1, p2=0.2,
     &           p25=0.25, p5=0.5, p75=0.75, p8=0.8, p9=0.9,
     &             eps=1.19209 28955 07812 5 E-07,
     &              pi=3.14159 26535 89793 23846,
     &           root2=1.41421 35623 73095 04880,
     &           rearth=6371.315, deg2rad=pi/180.0, rad2deg=180.0/pi,
     &           km2m=1000.0)
      parameter (tgrid=1, vgrid=2)
c
      real re
c
      parameter (re=rearth*km2m)
