      subroutine ibox_load_vec (wk,wkvec,ibgn,iend,jbgn,jend,error)
c
c-------------------------------------------------------------------------------
c     This subroutine loads the integer work vector with the indicated sub-    |
c     array of the integer work array.  The work vector is loaded with elements|
c     sorted in ascending order.  The elements are taken in by "boxes".  On a  |
c     canonical 9-point sub-array, this means that the center point is loaded 4|
c     times, side points twice and corner points once.                         |
c                                                                              |
c     Calls:  iinsert                                                          |
c                                                                              |
c     Arguments:                                                               |
c                                                                              |
c     error........Logical.  Indicates whether an error occured while loading  |
c                     the sorted sub_array.   {output}                         |
c     ibgn, iend...Integers.  The starting and ending row indices of the       |
c                     subarray to be loaded.   {input}                         |
c     jbgn, jend...Integers.  The starting and ending column indices of the    |
c                     subarray to be loaded.   {input}                         |
c     wk...........Integer array.  The work array.   {input}                   |
c     wkvec........Integer array.  The sorted sub-array.   {output}            |
c-------------------------------------------------------------------------------
c
#include <gridsparm.h>
c
      integer wk(imt,jmt),wkvec(16),ibgn,iend,jbgn,jend,i,j,n
      logical error
c
c=======================================================================
c     Begin executable code.                                           #
c=======================================================================
c
      n = 0
c
      do 10 j = jbgn, jend
         do 10 i = ibgn,iend
            call iinsert (wk(i,j),wkvec,n,16,error)
            call iinsert (wk(i+1,j),wkvec,n,16,error)
            call iinsert (wk(i,j+1),wkvec,n,16,error)
            call iinsert (wk(i+1,j+1),wkvec,n,16,error)
 10   continue
c
      return
      end
