      subroutine max_sigma (kc,no_lvl,sigma,sig_fac)
c
c-------------------------------------------------------------------------------
c     This routine computes the maximal sigma contribution to the hydrostatic  |
c     consistency factor in the upper sigma system of a double system.         |
c                                                                              |
c     Calls:  none                                                             |
c                                                                              |
c     Arguments:                                                               |
c                                                                              |
c     kc........Integer.  The level at which to interface the cartesian system |
c                  with the sigma system.   {input}                            |
c     no_lvl....Integer.  Number of model levels.   {input}                    |
c     sig_fac...Real.  The maximal sigma contribution.   {output}              |
c     sigma.....Real array.  The sigma levels.   {input}                       |
c-------------------------------------------------------------------------------
c
#include <gpconst.h>
c
      integer no_lvl,kc,k
      real    sigma(no_lvl),sig_fac,sigk_fac
c
c=======================================================================
c     Begin executable code.                                           #
c=======================================================================
c
      sig_fac = p5
c
      do 10 k = 2, kc
         sigk_fac = c2*sigma(k) / (sigma(k+1) - sigma(k-1))
         sig_fac = max ( sig_fac , sigk_fac )
 10   continue
c
      return
      end
