      subroutine opn_tfile (top_err)
c
c=======================================================================
c                                                                    ===
c  This opens the archive topography input file.                     ===
c                                                                    ===
c  ------                                                            ===
c  Input:                                                            ===
c  ------                                                            ===
c                                                                    ===
c  Common Blocks:                                                    ===
c                                                                    ===
c  /GRIDSIO/                                                         ===
c                                                                    ===
c     TOPO_INFILE    Name of the topography input file.    (string)  ===
c                                                                    ===
c  -------                                                           ===
c  Output:                                                           ===
c  -------                                                           ===
c                                                                    ===
c     TOP_ERR   Error status.                         (logical)      ===
c                  [.true.]   an error occured                       ===
c                  [.false.]  no error occured                       ===
c                                                                    ===
c  Common Blocks:                                                    ===
c                                                                    ===
c  /GRIDSIO/                                                         ===
c                                                                    ===
c     NCTINID   Identifier for netCDF input topo. file.    (integer) ===
c     TOPSTAT   Status flag for topography archive file.   (integer) ===
c                                                                    ===
c  ------                                                            ===
c  Calls:                                                            ===
c  ------                                                            ===
c                                                                    ===
c     HOPS:    LENGTH                                                ===
c     netCDF:  NF_OPEN                                               ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define global data
c-----------------------------------------------------------------------
c
#include <gridsio.h>
#include <netcdf.inc>
c
c-----------------------------------------------------------------------
c  Define local data
c-----------------------------------------------------------------------
c
      logical top_err
      integer sbgn,send,slen
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
c-----------------------------------------------------------------------
c  Open topography input file.
c-----------------------------------------------------------------------
c
      call length (topo_infile,slen,sbgn,send)
c
      top_err = nf_open(topo_infile(sbgn:send),NF_NOWRITE,nctinid) .ne.
     &                                                          NF_NOERR
c
c-----------------------------------------------------------------------
c  Check results.
c-----------------------------------------------------------------------
c
      if (.not.top_err) then
         topstat = 1
       else
         write (out_unit,10) topo_infile(sbgn:send)
      end if
c
      return
c
  10  format (/'+++Warning:  OPN_TFILE - unable to open topography ',
     &        'input file.'/13x,'file:  ',1h",a,1h"/)
c
      end
