c-------------------------- include file "rotate.h" ----------------------------
c                                                                              |
c     This file contains the common block with the parameters needed to define |
c     the rotated spherical coordinates.                                       |
c                                                                              |
c     latc, lonc...Real.  The geographic coordinates of the center of the      |
c                     grid.   (degrees)                                        |
c     plat.........Real.  The latitude of the rotated pole in the original     |
c                     system.  (radians)                                       |
c     plon.........Real.  The longitude of the rotated pole in the original    |
c                     system.  (radians)                                       |
c     rnlon........Real.  The longitude of the original pole in the rotated    |
c                     system.  (radians)                                       |
c     rotang.......Real.  The angle the rotated "equator" makes with east at   |
c                     the center of the grid.  (degrees)                       |
c                     Note:  values of rotang outside the range [-360, 360]    |
c                            signal an unrotated grid.                         |
c-------------------------------------------------------------------------------
c
      real    lonc,latc,plat,plon,rnlon,rotang
c
      common /rotate/ plat,plon,rnlon,rotang,lonc,latc
c
