      function set60dvsr (dx)
c
c=======================================================================
c                                                                    ===
c  This function ensures that the given grid spacing is a divisor of ===
c  60.                                                               ===
c                                                                    ===
c  ------                                                            ===
c  Input:                                                            ===
c  ------                                                            ===
c                                                                    ===
c     DX         The original grid spacing.         (real)           ===
c                                                                    ===
c  -------                                                           ===
c  Output:                                                           ===
c  -------                                                           ===
c                                                                    ===
c     SET60DVSR  The nearest divisor of 60 to dx.   (real)           ===
c                                                                    ===
c  ------                                                            ===
c  Calls:                                                            ===
c  ------                                                            ===
c                                                                    ===
c     none                                                      ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
      real c1,c6,c8,c10,c11,c12,c13p5,c15,c17p5,c20,c25,c30,c45,c60,p5
      parameter (c1=1.0, c6=6.0, c8=8.0, c10=10.0, c11=11.0, c12=12.0,
     &           c13p5=13.5, c15=15.0, c17p5=17.5, c20=20.0, c25=25.0,
     &           c30=30.0, c45=45.0, c60=60.0, p5=0.5)
c
      real dx
      real set60dvsr
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
      if (dx.lt.p5) then
         set60dvsr = c1
       elseif (dx.lt.c6) then
         set60dvsr = float(nint(dx))
       elseif (dx.lt.c8) then
         set60dvsr = c6
       elseif (dx.lt.c11) then
         set60dvsr = c10
       elseif (dx.lt.c13p5) then
         set60dvsr = c12
       elseif (dx.lt.c17p5) then
         set60dvsr = c15
       elseif (dx.lt.c25) then
         set60dvsr = c20
       elseif (dx.lt.c45) then
         set60dvsr = c30
       else
         set60dvsr = c60
      end if
c
      return
      end
