      subroutine set_dash (level,cutval)
c
c=======================================================================
c                                                                    ===
c  This routine sets the current dash pattern based on the value of  ===
c  the supplied contour level.                                       ===
c                                                                    ===
c  ------                                                            ===
c  Input:                                                            ===
c  ------                                                            ===
c                                                                    ===
c     CUTVAL   Value above which contour lines are dashed.   (real)  ===
c     LEVEL    The value of the contour level.               (real)  ===
c                                                                    ===
c  ------                                                            ===
c  Calls:                                                            ===
c  ------                                                            ===
c                                                                    ===
c     NCAR:    CPSETI                                                ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
      real    level,cutval
      integer dash,short_dash,solid
c
      parameter (short_dash=43690, dash=61680, solid=65535)
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
      if (level .gt. cutval) then
c
         call cpseti ('CLD - Contour line dash pattern',short_dash)
c
        else
c
         call cpseti ('CLD - Contour line dash pattern',solid)
c
      end if
c
      return
      end
