      function set_space (intvl,ndiv)
c
c=======================================================================
c                                                                    ===
c  This function determines the spacing to sub-divide the given      ===
c  into approximately the requested number of sub-intervals.         ===
c  Approximately, because a "nice" number is chosen.                 ===
c                                                                    ===
c  ------                                                            ===
c  Input:                                                            ===
c  ------                                                            ===
c                                                                    ===
c     INTVL      Interval to be sub-divided.            (real)       ===
c     NDIV       Approximate number of sub-intervals.   (integer)    ===
c                                                                    ===
c  -------                                                           ===
c  Output:                                                           ===
c  -------                                                           ===
c                                                                    ===
c     SET_SPACE  Spacing for sub-intervals.             (real)       ===
c                                                                    ===
c  ------                                                            ===
c  Calls:                                                            ===
c  ------                                                            ===
c                                                                    ===
c     HOPS:    GREAT_INT,  SIG_FIG                                   ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
      real c10
      parameter (c10=10.0)
c
      integer digit,ndiv
      integer great_int
      real    ds,intvl,scl
      real    set_space,sig_fig
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
c-----------------------------------------------------------------------
c  Determine size for requested number of sub-divisions.
c-----------------------------------------------------------------------
c
      ds = sig_fig (intvl/float(ndiv),1)
c
c-----------------------------------------------------------------------
c  Set spacing to a divisor of 10
c-----------------------------------------------------------------------
c
      scl = c10**great_int(log10(abs(ds)))
c
      digit = nint(abs(ds)/scl)
c
      if (digit.eq.3) then
         digit = 2
       elseif ((digit.gt.3).and.(digit.le.7)) then
         digit = 5
       elseif (digit.gt.7) then
         digit = 10
      end if
c
      set_space = sign( float(digit)*scl, ds )
c
      return
      end
