      subroutine shap_filt (zz,ldz,m,n,nord)
c
c-------------------------------------------------------------------------------
c     Alternate Directions Shapiro filter for 2-D fields.  One pass only.      |
c                                                                              |
c     Calls:  none                                                             |
c                                                                              |
c     Arguments:                                                               |
c                                                                              |
c         ldz....Integer.  The first dimension of zz in the calling program.   |
c                   {input}                                                    |
c         m......Integer.  The number of points in the x-direction.   {input}  |
c         n......Integer.  The number of points in the y-direction.   {input}  |
c         nord...Integer.  The order of the Shapiro filter.   {input}          |
c         zz.....Real array.  The field to be filtered.   {input/output}       |
c-------------------------------------------------------------------------------
c
#include <gridsparm.h>
c
      integer i,idown,iend,ii,ldz,iodev,istr,iup,j,jend,jj,jstr,kord,
     &        m,n,nord
      real cm1,cm2,c2,fac,zz(ldz,n),g(0:ijmx+1,0:1)
c
      parameter(cm1=-1.0,cm2=-2.0,c2=2.0)
c
c=======================================================================
c  Begin executable code.                                              #
c=======================================================================
c
      iup=1
      iodev=(nord+1)/2-nord/2
      fac=cm1+c2*float(iodev)
      fac=fac/c2**(2*nord)
c
c-----------------------------------------------------------------------
c     Filter by rows                                                   |
c-----------------------------------------------------------------------
c
      do 50 j=1,n
        istr=1
        iend=m
        ii=0
        do 10 i=istr,iend
          ii=ii+1
          g(ii,iup)=zz(i,j)
  10    continue
        do 30 kord=1,nord
          g(0,iup)=g(2,iup)
          g(ii+1,iup)=g(ii-1,iup)
          idown=1-iup
          do 20 i=1,ii
            g(i,idown)=cm2*g(i,iup)+g(i+1,iup)+g(i-1,iup)
  20      continue
          iup=1-iup
  30    continue
        ii=0
        do 40 i=istr,iend
          ii=ii+1
          zz(i,j)=zz(i,j)+fac*g(ii,iup)
  40    continue
  50  continue
c
c-----------------------------------------------------------------------
c     Filter by columns.                                               |
c-----------------------------------------------------------------------
c
      do 100 i=1,m
        jstr=1
        jend=n
        jj=0
        do 60 j=jstr,jend
          jj=jj+1
          g(jj,iup)=zz(i,j)
  60    continue
        do 80 kord=1,nord
          g(0,iup)=g(2,iup)
          g(jj+1,iup)=g(jj-1,iup)
          idown=1-iup
          do 70 j=1,jj
            g(j,idown)=cm2*g(j,iup)+g(j+1,iup)+g(j-1,iup)
  70      continue
          iup=1-iup
  80    continue
        jj=0
        do 90 j=jstr,jend
          jj=jj+1
          zz(i,j)=zz(i,j)+fac*g(jj,iup)
  90    continue
 100  continue
      return
      end
