      function sig_fig (x,sig)
c
c=======================================================================
c                                                                    ===
c  This function return the value of x to sig significant figures.   ===
c                                                                    ===
c  ------                                                            ===
c  Input:                                                            ===
c  ------                                                            ===
c                                                                    ===
c  SIG...Integer.  Number of significant figures in the result.      ===
c  X.....Real.  Number to be expressed in sig significant digits.    ===
c                                                                    ===
c  ------                                                            ===
c  Calls:                                                            ===
c  ------                                                            ===
c                                                                    ===
c     HOPS:    GREAT_INT                                             ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define global data.
c-----------------------------------------------------------------------
c
#include <gpconst.h>
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
      integer sig,pwr
      integer great_int
      real    abs_x,scale,x
      real    sig_fig
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
      if (x .ne. c0) then
c
c-----------------------------------------------------------------------
c  If x is non-zero,  find power of ten to give x to 1 sig. fig.
c-----------------------------------------------------------------------
c
         abs_x = abs(x)
         pwr = great_int ( log10(abs_x) )
c
c-----------------------------------------------------------------------
c  Find power to give sig significant figures and fix abs_x.
c-----------------------------------------------------------------------
c
        pwr = pwr - sig + 1
        scale = c10**pwr
        abs_x = float ( int ( abs_x/(scale) + p5 ) ) * scale
c
c-----------------------------------------------------------------------
c  Return value to desired significant figures, recovering sign.
c-----------------------------------------------------------------------
c
         if (x .gt. c0) then
            sig_fig = abs_x
           else
            sig_fig = cm1*abs_x
         end if
c
        else
c
c-----------------------------------------------------------------------
c  X is zero, return this value.
c-----------------------------------------------------------------------
c
         sig_fig = c0
c
      end if
c
      return
      end
