      subroutine t2vgrd (lda,nx,ny,tfld,vfld)
c
c=======================================================================
c                                                                    ===
c  This routine averages the given T-grid field to its V-grid        ===
c  equivalent.                                                       ===
c                                                                    ===
c  ------                                                            ===
c  Input:                                                            ===
c  ------                                                            ===
c                                                                    ===
c     LDA      Leading dimension of arrays TFLD & VFLD.  (integer)   ===
c     NX       Number of grid points in x-direction.     (integer)   ===
c     NY       Number of grid points in y-direction.     (integer)   ===
c     TFLD     T-grid field.                             (real array)===
c                                                                    ===
c  ------                                                            ===
c  Input:                                                            ===
c  ------                                                            ===
c                                                                    ===
c     VFLD     V-grid field.                             (real array)===
c                                                                    ===
c  ------                                                            ===
c  Calls:                                                            ===
c  ------                                                            ===
c                                                                    ===
c     none                                                           ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define global data
c-----------------------------------------------------------------------
c
#include <gpconst.h>
c
c-----------------------------------------------------------------------
c  Define local data
c-----------------------------------------------------------------------
c
      integer i,j,lda,nx,ny
      real    tfld(lda,ny),vfld(lda,ny)
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
c-----------------------------------------------------------------------
c  Average T-grid field onto V-grid
c-----------------------------------------------------------------------
c
      do 10 j = 1, ny-1
         vfld(nx,j) = p5*(tfld(nx,j)+tfld(nx,j+1))
         do 10 i = 1, nx-1
            vfld(i,j) = p25*(tfld(i,j)+tfld(i,j+1)+tfld(i+1,j)+
     &                       tfld(i+1,j+1))
  10  continue
c
      do 20 i = 1, nx-1
         vfld(i,ny) = p5*(tfld(i,ny)+tfld(i+1,ny))
  20  continue
      vfld(nx,ny) = tfld(nx,ny)
c
      return
      end
