      subroutine top_box (geo_tlon,geo_tlat,ldg,imt,jmt)
c
c=======================================================================
c                                                                    ===
c  This routine draws a box around the area where the topography     ===
c  will be contoured.                                                ===
c                                                                    ===
c  ------                                                            ===
c  Input:                                                            ===
c  ------                                                            ===
c                                                                    ===
c     IMT        The x dimension of the arrays.     (integer)        ===
c     JMT        The y dimension of the arrays.     (integer)        ===
c     GEO_TLAT   Latitude of the grid points.       (real array; deg)===
c     GEO_TLON   Longitude of the grid points.      (real array; deg)===
c     LDG        Leading dimension of the arrays.   (integer)        ===
c                                                                    ===
c  ------                                                            ===
c  Calls:                                                            ===
c  ------                                                            ===
c                                                                    ===
c     NCAR:    FRSTPT,  VECTOR                                       ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
      integer imt,jmt,i,j,ldg
      real    geo_tlon(ldg,jmt),geo_tlat(ldg,jmt)
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
c-----------------------------------------------------------------------
c  Draw box around topography area, counterclockwise starting from
c  "southwest" corner.
c-----------------------------------------------------------------------
c
      call frstpt (geo_tlon(1,1),geo_tlon(1,1))
c
      do 10 i = 2, imt
         call vector (geo_tlon(i,1),geo_tlat(i,1))
 10   continue
c
      do 20 j = 2, jmt
         call vector (geo_tlon(imt,j),geo_tlat(imt,j))
 20   continue
c
      do 30 i = imt-1, 1, -1
         call vector (geo_tlon(i,jmt),geo_tlat(i,jmt))
 30   continue
c
      do 40 j = jmt-1, 1, -1
         call vector (geo_tlon(1,j),geo_tlat(1,j))
 40   continue
c
      return
      end
