      subroutine top_key (grfl,grfr,grfb,grft)
c
c=======================================================================
c                                                                    ===
c  This provides a key for the dash patterns on the topography plot. ===
c                                                                    ===
c  ------                                                            ===
c  Input:                                                            ===
c  ------                                                            ===
c                                                                    ===
c     GRFB   Device coordinate of bottom of graph area.   (real)     ===
c     GRFL   Device coordinate of left of graph area.     (real)     ===
c     GRFR   Device coordinate of right of graph area.    (real)     ===
c     GRFT   Device coordinate of top of graph area.      (real)     ===
c                                                                    ===
c  ------                                                            ===
c  Calls:                                                            ===
c  ------                                                            ===
c                                                                    ===
c     NCAR:    DASHDB,  LINED,  PLCHHQ,  SET,  SFLUSH                ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define global data.
c-----------------------------------------------------------------------
c
#include <gpconst.h>
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
      real    grfb,grfl,grfr,grft,y
      integer      dash,short_dash,solid
      character*15 gtc0,lec0
c
      parameter (short_dash=43690, dash=61680, solid=65535,
     &           lec0 = '$PRL$+$PRU$ 0', gtc0 = '> 0')
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
c-----------------------------------------------------------------------
c  Set sub-window for providing pattern key data.
c-----------------------------------------------------------------------
c
      y = grfb + (grft-grfb)/c3
      y = min (y, (grfb+p1))
      call set (grfr,grfr+p1,grfb,y,c0,c1,c0,c5,1)
c
c-----------------------------------------------------------------------
c  Determine horizontal label positionings and initial vertical
c  positioning.
c-----------------------------------------------------------------------
c
      call plchhq (p5,c4,'Key',c5,c0,c0)
c
c-----------------------------------------------------------------------
c  Write key for the range greater than zero.
c-----------------------------------------------------------------------
c
      call dashdb (short_dash)
      call lined (p25,c3,p75,c3)
      call plchhq (p8,c3,gtc0,c5,c0,cm1)
c
c-----------------------------------------------------------------------
c  Write key for the range less than or equal to zero.
c-----------------------------------------------------------------------
c
      call dashdb (solid)
      call lined (p25,c2,p75,c2)
      call plchhq (p8,c2,lec0,c5,c0,cm1)
c
      call sflush
c
      return
      end
