      subroutine var_sigma (kc,no_lvl,dsig,sigma,fx,fy,hx,hy,sigij)
c
c-------------------------------------------------------------------------------
c     This routine computes the maximum contribution in the vertical to:       |
c                                                                              |
c                 |(2-sigma)df + (sigma-1)dh|                                  |
c                 ---------------------------                                  |
c                           |dsigma|                                           |
c                                                                              |
c     (sigma/dsigma for double sigma system)                                   |
c                                                                              |
c     Calls:  none                                                             |
c                                                                              |
c     Arguments:                                                               |
c                                                                              |
c     dsig.....Real vector.  The sigma thicknesses.   {input}                  |
c     fx, fy...Real.  The gradient of the coordinate interface.   {input}      |
c     hx, hy...Real.  The gradient of the topography.   {input}                |
c     kc.......Integer.  The number of levels in the upper system.   {input}   |
c     no_lvl...Integer.  The total number of vertical levels.   {input}        |
c     sigij....Real.  The generalization of sigma/dsigma.   {output}           |
c     sigma....Real vector.  The sigma levels.   {input}                       |
c-------------------------------------------------------------------------------
c
#include <gpconst.h>
c
      integer kc,no_lvl,k
      real    sigma(no_lvl),dsig(no_lvl),fx,fy,hx,hy,sigij,sigx,sigy
c
c=======================================================================
c     Begin executable code.                                           #
c=======================================================================
c
c-----------------------------------------------------------------------
c     For each level, evaluate the numerator at both the top and bottom|
c     Keep only the maximum result for the column.                     |
c-----------------------------------------------------------------------
c
      sigx = ((c2-sigma(kc+1))*fx + (sigma(kc+1)-c1)*hx) / dsig(kc+1)
      sigy = ((c2-sigma(kc+1))*fy + (sigma(kc+1)-c1)*hy) / dsig(kc+1)
      sigij = max (sigx, sigy)
c
      do 10 k = kc+2, no_lvl
c
         sigx = ((c2 - sigma(k))*fx + (sigma(k) - c1)*hx) / dsig(k)
         sigy = ((c2 - sigma(k))*fy + (sigma(k) - c1)*hy) / dsig(k)
         sigij = max (sigij, sigx, sigy)
c
 10   continue
c
      return
      end
