       subroutine down_shift (fobs,xobs,yobs,tobs,mask,j,nobs)
c
c=======================================================================
c                                                                    ===
c  This routine removes the indicated elements from the given arrays ===
c  by shifting the higher elements down one.                         ===
c                                                                    ===
c  Arguments:                                                        ===
c                                                                    ===
c     FOBS     observation field (real array; input/output)          ===
c     XOBS     X position of observation (real array; input/output)  ===
c     YOBS     Y position of observation (real array; input/output)  ===
c     TOBS     time of observation (real array; input/output)        ===
c     MASK     indicates whether or not to remove an element from    ===
c              each of the arrays (integer array; input/output):     ===
c              MASK =  0  =>  remove the corresponding elements      ===
c                             from each array.                       ===
c              MASK <> 0  =>  do NOT remove.                         ===
c     J        the element to be removed (integer; input)            ===
c     NOBS     number of observations (integer; input/output)        ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
       integer i,j,mask(*),nobs
       real fobs(*),tobs(*),xobs(*),yobs(*)
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
c  Update the number of elements.
c
       nobs=nobs-1
c
c-----------------------------------------------------------------------
c  Shift the elements in positions higher than the one to be removed
c  down one place.
c-----------------------------------------------------------------------
c
       do 10 i=j,nobs
         fobs(i)=fobs(i+1)
         xobs(i)=xobs(i+1)
         yobs(i)=yobs(i+1)
         tobs(i)=tobs(i+1)
         mask(i)=mask(i+1)
 10    continue
       return
       end
