c
c=======================================================================
c  Include file "hydobs.h" (OA package).
c=======================================================================
c
c  HDATA     hydrographic data (real 3-D array)
c  HVARS     number and type of hydrographic variables available per
c            cast (integer 2-D array)
c  IDFLD     field type(s) to objectively analize (integer array)
c            Field classification:  [0] oceanic field
c                                   [1] pressure
c                                   [2] temperature
c                                   [3] salinity
c                                   [4] dynamic height
c                                   [5] density
c                                   [6] sigma-t
c                                   [7] sound speed
c  IDHOPT    specific volume anomaly integration option (integer):
c            [1] integrate from ZREF to the surface
c            [2] integrate from ZREF to the bottom
c            [3] integrate in both [1] and [2] directions
c            [4] integrate from local bottom of profile to the surface
c            [5] integrate from surface to local bottom of the profile
c  IHFRMT    input format type which determines type and
c            number and order of variables to read (integer):
c            [0] unformatted: depth, temperature, salinity and
c                dynamic height
c            [1] unformatted: depth, temperature and salinity
c            [2] unformatted: depth and temperature
c            [3] unformatted: depth and dynamic height
c            [4] unformatted: depth and any oceanic field
c            [5] unformatted: any field (a single value)
c            [6] MODS hydrography ASCII format
c  LDYNHT    switch for computation of dynamic height (logical).
c  NFLD      number of field types to objectively analize (integer)
c  NHYDOBS   number of hydrographic observations (integer)
c  NHYDVAR   number of hydrographic variables (integer)
c  NLEV      number of depth levels to objectively analyze (integer)
c  SPVAL     special value to flag out missing data (real)
c  T         hydrography time of observation (real 1-D array)
c  X         hydrography zonal position (real 1-D array)
c  Y         hydrography meridional position (real 1-D array)
c  Z         level depth(s) to objectively analize (real 1-D array)
c  ZREF      level of no motion (real; meters)
c
c=======================================================================
c
       logical ldynht
       integer ihfrmt,nhydobs,nlev,nhydvar,nfld,idhopt
       integer          idfld(mvar),hvars(mobs,0:mvar)
       common /ihydobs/ ldynht,ihfrmt,nhydobs,nlev,nhydvar,nfld,idhopt,
     &                  idfld,hvars 
c
       real spval,zref
       real hdata(mobs,mlev,mvar),t(mobs),x(mobs),y(mobs),
     &                  z(mlev)
       common /fhydobs/ spval,zref,hdata,t,x,y,z 
c
       integer densid,dpthid,dynhid,saltid,sigtid,sndsid,tempid
       parameter (densid=5,dpthid=1,dynhid=4,saltid=3,sigtid=6,sndsid=7,
     &            tempid=2)
