       function ierinv (n,na,nv)
c
c=======================================================================
c                                                                    ===
c  Error handling routine for matrix inversion INVMTX.               ===
c                                                                    ===
c  On Input:                                                         ===
c                                                                    ===
c     N        order of the matrix to be inverted (integer)          ===
c     NA       row (first) dimension of A (integer)                  ===
c     NV       row (first) dimension of V (integer)                  ===
c                                                                    ===
c  On Output:                                                        ===
c                                                                    ===
c     IERINV   error flag:                                           ===
c                                                                    ===
c              IERINV=34  N  < 1                                     ===
c              IERINV=34  NA < N                                     ===
c              IERINV=34  NV < N                                     ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
       integer ierinv,n,na,nv
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
       ierinv=0
       if (n.lt.1) then
         ierinv=34
         print 1
 1       format(' INVMTX: N < 1')
       elseif (na.lt.n) then
         ierinv=35
         print 2
 2       format(' INVMTX: NA < N')
       elseif (nv.lt.n) then
         ierinv=36
         print 3
 3       format(' INVMTX: NV < N')
       endif
       return
       end
