       subroutine qtrap (func,a,b,s)
c
c=======================================================================
c                                                                    ===
c  This routine returns as S the intergral of the function FUNC from ===
c  A to B. The parameters  EPS  can be set to the desired fractional ===
c  accuracy and  NMAX  so that  2^(NMAX-1)  is the  maximum  allowed ===
c  number of steps.  Integration is performed by trapezoidal rule.   ===
c                                                                    ===
c  Calls:  TRAPZD, FUNC                                              ===
c                                                                    ===
c  Reference :                                                       ===
c                                                                    ===
c  Press, W.H, B.P. Flannery, S.A. Teukolsky, and W.T. Vetterling,   ===
c        1986: Numerical Recipes, the art of scientific computing.   ===
c        Cambridge University Press.                                 ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
       integer n,nmax
       real a,b,eps,func,olds,s,ss
       parameter (eps=1.e-2,nmax=5)
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c 
       olds=-1.e+30
       do 10 n=1,nmax
         call trapzd (func,a,b,s,n) 
         ss=abs(s-olds)
         if ((s.eq.0.).or.(ss.lt.eps*abs(olds))) return
         olds=s
 10    continue
c      print *, ' QTRAP - too many steps:'
c      print *, '      ',n,a,b,s,ss,olds,eps*abs(olds)
       return
       end
