      block data blkdat
c
c=======================================================================
c                                                                    ===
c  Sub-program to initialize some variables and arrays in named      ===
c  common blocks  (preferred method of some FORTRAN compiliers).     ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define global data.
c-----------------------------------------------------------------------
c
#include <param.h>
#include <cdescent.h>
#include <inppar.h>
#include <oa_netcdf.h>
#include <version.h>
c
c=======================================================================
c  Initialize some common block data.
c=======================================================================
c
c-----------------------------------------------------------------------
c  Set the model name, closing date of current version & version number.
c-----------------------------------------------------------------------
c
      data model /'OA        '/
      data vdate /'03/02/2000'/
      data vnum  /'5.6       '/
c
c-----------------------------------------------------------------------
c  Set IO units.
c-----------------------------------------------------------------------
c
      data iprt /10/
      data iinp /11/
      data iclm /12/
c
c-----------------------------------------------------------------------
c  Set maximum number of iterations ITMAX for conjugate gradient.  Set
c  small number EPS to rectify special case of converging to exactly
c  zero function value. Set convergence tolerance FTOL on the function
c  value.
c-----------------------------------------------------------------------
c
      data itmax    /100/
      data eps,ftol /1.0e-10,1.0e-3/
c
c-----------------------------------------------------------------------
c  Set field names and their attributes.
c-----------------------------------------------------------------------
c
      data fldnam(1,0) /'generic                                      '/
      data fldnam(2,0) /'generic                                      '/
      data fldnam(3,0) /'generic                                      '/
      data fldnam(4,0) /'generic, scalar                              '/
      data fldnam(1,1) /'press                                        '/
      data fldnam(2,1) /'pressure                                     '/
      data fldnam(3,1) /'decibar                                      '/
      data fldnam(4,1) /'pressure, scalar                             '/
      data fldnam(1,2) /'temp                                         '/
      data fldnam(2,2) /'temperature                                  '/
      data fldnam(3,2) /'Celsius                                      '/
      data fldnam(4,2) /'temperature, scalar                          '/
      data fldnam(1,3) /'salt                                         '/
      data fldnam(2,3) /'salinity                                     '/
      data fldnam(3,3) /'PSU                                          '/
      data fldnam(4,3) /'salinity, scalar                             '/
      data fldnam(1,4) /'dynht                                        '/
      data fldnam(2,4) /'dynamic height                               '/
      data fldnam(3,4) /'dynamic meter                                '/
      data fldnam(4,4) /'dynamic height, scalar                       '/
      data fldnam(1,5) /'dena                                         '/
      data fldnam(2,5) /'density anomaly                              '/
      data fldnam(3,5) /'kilogram meter-3                             '/
      data fldnam(4,5) /'density anomaly, scalar                      '/
      data fldnam(1,6) /'sigmat                                       '/
      data fldnam(2,6) /'density anomaly referenced to the surface    '/
      data fldnam(3,6) /'kilogram meter-3                             '/
      data fldnam(4,6) /'sigma-t, scalar                              '/
      data fldnam(1,7) /'sndsp                                        '/
      data fldnam(2,7) /'sound speed                                  '/
      data fldnam(3,7) /'meter second-1                               '/
      data fldnam(4,7) /'sound speed, scalar                          '/
c
      end
