c
c=======================================================================
c  Include file "clima.h" (OA package).
c=======================================================================
c
c  CDATA     climatological data (real 3-D array)
c  CVARS     number and type of climatology variables available per
c            cast (integer 2-D array)
c  ICFRMT    input format type which determines type and
c            number and order of variables to read (integer):
c            [0] depth (pressure), temperature, salinity, and
c                dynamic height
c            [1] depth (pressure), temperature, and salinity
c            [2] depth (pressure) and temperature
c            [3] depth (pressure) and dynamic height
c            [4] depth (pressure) and any oceanic field
c            [5] any field (a single value)
c  ICLIMA    weighted mean computation option:
c            [0] use hydrographic observations only
c            [1] use climatologic observations only
c            [2] use both hydrographic and climatologic observations
c  NCLMOBS   number of climatological observations (integer)
c  NCLMVAR   number of climatological variables (integer)
c  TC        climatology time of observation (real 1-D array)
c  XC        climatology zonal position (real 1-D array)
c  YC        climatology meridional position (real 1-D array)
c
c=======================================================================
c
       integer iclima,icfrmt,nclmobs,nclmvar
       integer         cvars(mobs,0:mvar)
       common /iclima/ iclima,icfrmt,nclmobs,nclmvar,cvars
c
       real cdata(mobs,mlev,mvar),tc(mobs),xc(mobs),
     &                 yc(mobs)
       common /fclima/ cdata,tc,xc,yc
