c
c=======================================================================
c  Include file "corscl.h" (OA package).
c=======================================================================
c
c  CCOOR    OA coordinates: [0] Cartesian, 
c                           [1] unrotated spherical
c                           [2] rotated spherical
c  ICORR    analytical correlation type
c           [1]  rotated or non-rotated, time-displaced or not,
c                isotropic (symmetric: circular) or anisotropic
c                (asymmetric: elliptical) Gaussian correlation
c  XDCAY    x-direction decorrelation scale (km or degrees)
c  XDCAYM   x-direction decorrelation scale for mean (km or degrees)
c  YDCAY    y-direction decorrelation scale (km or degrees)
c  YDCAYM   y-direction decorrelation scale for mean (km or degrees)
c  TDCAYM   temporal decorrelation scale for mean (days)
c  UPHSE    x-direction phase speed (km/day or degrees/day)
c  UPHSEM   x-direction phase speed for mean (km/day or degrees/day)
c  VPHSE    y-direction phase speed (km/day or degrees/day)
c  VPHSEM   y-direction phase speed for mean (km/day or degrees/day)
c  XZERO    x-direction zero crossing (km or degrees)
c  XZEROM   x-direction zero crossing for mean (km or degrees)
c  YZERO    y-direction zero crossing (km or degrees)
c  YZEROM   y-direction zero crossing for mean (km or degrees)
c  CORANG   correlation rotation angle (degrees) counterclockwise
c           from true EAST (not to be confused with the domain
c           rotation angle THETAD in the Cartesian case)
c  CORANGM  correlation rotation angle (degrees) counterclockwise
c           from true EAST for mean (not to be confused with the domain
c           rotation angle THETAD)
c  COSANG   if Cartesian correlation coordinates: cos(CORANG-THETAD)
c           if spherical correlation coordinates: cos(CORANG)
c  COSANGM  if Cartesian correlation coordinates: cos(CORANGM-THETAD)
c           if spherical correlation coordinates: cos(CORANGM)
c  SINANG   if Cartesian correlation coordinates: sin(CORANG-THETAD)
c           if spherical correlation coordinates: sin(CORANG)
c  SINANGM  if Cartesian correlation coordinates: sin(CORANGM-THETAD)
c           if spherical correlation coordinates: sin(CORANGM)
c  DEG2RAD  scale to convert from degrees to radians
c
c=======================================================================
c
       integer ccoor,icorr
       common /icorscl/ ccoor,icorr
c
       real corang,corangm,cosang,cosangm,deg2rad,sinang,sinangm,tdcay,
     &      tdcaym,uphse,uphsem,vphse,vphsem,xdcay,xdcaym,xzero,xzerom,
     &                 ydcay,ydcaym,yzero,yzerom
       common /fcorscl/ corang,corangm,cosang,cosangm,deg2rad,sinang,
     &                 sinangm,tdcay,tdcaym,uphse,uphsem,vphse,vphsem,
     &      xdcay,xdcaym,xzero,xzerom,ydcay,ydcaym,yzero,yzerom
