      function costfun(a,x,b,n,rhs)
c
c=======================================================================
c                                                                    ===
c  This routine evaluates the cost function:                         ===
c                                                                    ===
c                COSTFUN(x) = 0.5 x~ A x - b x                       ===
c                                                                    ===
c  On Input:                                                         ===
c                                                                    ===
c     A        NxN matrix                                            ===
c     X        solution vector (real array).                         ===
c     B        right-hand side vector (real array).                  ===
c     N        length of vector (integer).                           ===
c     RHS      1: include RHS 0: exclude RHS(integer)                ===
c                                                                    ===
c  On Output:                                                        ===
c                                                                    ===
c     COSTFUN  value of cost funtion at X (real).                    ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
      integer i,j,n,rhs
      real c0,p5,val,val1
      real a(n,n),b(n),x(n)
      real costfun
      parameter (c0=0.0,p5=0.5)
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
      val=c0
      if(rhs.eq.1) then
         do 20 j=1,n
            val1=c0
            do 10 i=1,n
               val1=val1+x(i)*a(i,j)
 10         continue
            val=val+(val1*p5-b(j))*x(j)
 20      continue
      else
         do 40 j=1,n
            val1=c0
            do 30 i=1,n
               val1=val1+x(i)*a(i,j)
 30         continue
            val=val+val1*p5*x(j)
 40      continue
      endif
      costfun=val
      return
      end
