      subroutine dcostfun(a,x,b,xi,n)
c
c=======================================================================
c                                                                    ===
c  This routine evaluates the gradient:                              ===
c                                                                    ===
c                        GRAD(x) = A x - b                           ===
c  of the cost function                                              ===
c                                                                    ===
c                        COSTFUN(x) = 0.5 x~ A x - b x.              ===
c                                                                    ===
c  On Input:                                                         ===
c                                                                    ===
c     A      NxN matrix                                              ===
c     X      solution vector (real array).                           ===      
c     B      right-hand side vector (real array).                    ===
c     N      length of vector (integer).                             ===
c                                                                    ===
c  On Output:                                                        ===
c                                                                    ===
c     XI     gradient of cost function at X (real array).            ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
      integer i,j,n
      real a(n,n),b(n),x(n),xi(n)
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
      do 20 j=1,n
        xi(j)=-b(j)
        do 10 i=1,n
          xi(j)=xi(j)+a(j,i)*x(i)
  10    continue
  20  continue
      return
      end
