      function f1dim(amat,x,bmat,pcom,xicom,xt,n)
c
c=======================================================================
c                                                                    ===
c  cost function along the line going through the point  PCOM  in    ===
c  the direction of XICOM                                            ===
c                                                                    ===
c  On Input:                                                         ===
c                                                                    ===
c     AMAT   NxN matrix (real array).                                ===
c     X      value to evaluate (real).                               ===
c     BMAT   right-hand side vector (real array).                    ===
c     N      length of vector (integer).                             ===
c     PCOM   initial point (real array)                              ===
c     XICOM  direction (real array)                                  ===
c                                                                    ===
c  On Output:                                                        ===
c                                                                    ===
c     F1DIM  value of cost function at X (real).                     ===
c     XT     end point PCOM + x XICOM                                ===
c                                                                    ===
c  Calls:    COSTFUN                                                 ===
c                                                                    ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
      integer j,n
      real x
      real amat(n,n),bmat(n),xt(n)
      real pcom(n),xicom(n)
      real costfun,f1dim
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
      do 10 j=1,n
        xt(j)=pcom(j)+x*xicom(j)
  10  continue
      f1dim=costfun(amat,xt,bmat,n,1)
      return
      end
