       subroutine lintrp (n,x,y,ni,xi,yi,spval)
c
c=======================================================================
c                                                                    ===
c  Given arrays  X  and  Y  of length N, which tabulate a function,  ===
c  Y = F(X), and given array XI of length NI, this routine returns   ===
c  a linear interpolated array YI.  If  XI is outside of the range   ===
c  of X, all the YI values will be set to SPVAL.                     ===
c                                                                    ===
c  Calls:  LOCATE                                                    ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
       integer i,j,n,ni
       real spval,d1,d2,x(n),y(n),xi(ni),yi(ni)
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
       do 10 j=1,ni
c
c  Use bisection method to locate the XIs in the tabulated X table.
c
c
c  Check for first and last element of x.
c
         if(xi(j).eq.x(1)) then
            yi(j)=y(1)
         elseif(xi(j).eq.x(n)) then
            yi(j)=y(n)
         else
           call locate (x,n,xi(j),i)
c
c  Set out of range values.
c
           if ((i.eq.0).or.(i.eq.n)) then
              yi(j)=spval
c
c  Linearly interpolate.
c
           else
             d1=xi(j)-x(i)
             d2=x(i+1)-xi(j)
             yi(j)=(d1*y(i+1)+d2*y(i))/(d1+d2)
           endif
         endif
 10    continue
       return
       end
