       subroutine locate (xx,n,x,j)
c
c====================================================================
c                                                                 ===
c  Given an array XX of length N, and given a value X, returns a  ===
c  values J such that X is between XX(J) and XX(J+1). XX must be  ===
c  monotonic, either increasing or decreasing. J = 0 or J = N is  ===
c  returned to indicate that X is out of range.                   ===
c                                                                 ===
c  Reference: Press, W.H, et al., 1989: Numerical Recipes,        ===
c             The Art of Scientific Computing, pp 90.             ===
c                                                                 ===
c====================================================================
c
c--------------------------------------------------------------------
c  Define local data.
c--------------------------------------------------------------------
c
       integer j,jl,jm,ju,n
       real x,xx(n)
c
c====================================================================
c  Begin executable code.
c====================================================================
c
c  Initialize lower and upper limits.

       jl=0
       ju=n+1
c
c  If we are not yet done,  compute a midpoint,  and replace
c  either the lower limit or the upper limit, as appropriate.
c
 10    if (ju-jl.gt.1) then
         jm=(ju+jl)/2
         if ((xx(n).gt.xx(1)).eqv.(x.gt.xx(jm))) then
           jl=jm
         else
           ju=jm
         endif
         goto 10
       endif
       j=jl
       return
       end
