c
c=======================================================================
c  Include file "obscor.h" (OA package).
c=======================================================================
c
c  ACLM    correlation matrix for mean at climatology positions and
c          latter its associated LU decomposition.
c  ACOSB   correlation matrix for mean at observation positions and
c          latter its associated LU decomposition.
c  AOBS    correlation matrix for data at observation positions and
c          latter its associated LU decomposition.
c  CCLM    correlation matrix for mean at climatology positions.
c  CCOSB   correlation matrix for mean at observation positions.
c  CLMERR  input climatology error.
c  COBS    correlation matrix for data at observation positions.
c  METHOD  solution methodology
c              METHOD=0  =>  direct, LU decomposition.               
c              METHOD=1  =>  minimization, conjugate gradient.       
c              METHOD=2  =>  1D inversion.                           
c  WCLM    working vector which stores the permutation indices of ACLM
c          during LU decomposition.
c  WCOBS   working vector which stores the permutation indices of ACOBS
c          during LU decomposition.
c  WOBS    working vector which stores the permutation indices of AOBS
c          during LU decomposition.
c  OBSERR  input observation error (instrumentation, etc.).
c  SYNOPTIC flag to select OA scales (used in method=2)
c
c=======================================================================
c
       integer method,synoptic
       integer          wclm(mobs),wcobs(mobs),wobs(mobs)
       common /iobscor/ method,synoptic,wclm,wcobs,wobs
c
       real clmerr,obserr
       real aclm(mcmtx),acobs(mcmtx),aobs(mcmtx),cclm(mcmtx),
     &                  ccobs(mcmtx),cobs(mcmtx)
       common /fobscor/ clmerr,obserr,aclm,acobs,aobs,cclm,ccobs,cobs
