       subroutine trapzd (func,a,b,s,n)
c
c=======================================================================
c                                                                    ===
c  This subroutine computes the  N-th  stage of refinement of an     ===
c  extended trapezoidal rule.  FUNC is input  as the name of the     ===
c  function to be integrated between limits A and B, also input.     ===
c  When called with  N=1,  the routine returns as  S the crudest     ===
c  estimate of the integral.  Subsequent  calls with  N=2, 3,...     ===
c  (in that sequential order) will improve the accuracy of  S by     ===
c  adding  2^(N-2)  additional interior points.  S should not be     ===
c  modified between sequential calls.                                ===
c                                                                    ===
c  Calls:  FUNC                                                      ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
       integer it,j,n
       real a,b,del,func,s,sum,tnm,x
       save it
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
       if (n.eq.1) then
         s=0.5*(b-a)*(func(a)+func(b))
         it=1
       else
         tnm=it
         del=(b-a)/tnm
         x=a+0.5*del
         sum=0.
         do 10 j=1,it
           sum=sum+func(x)
           x=x+del
 10      continue
         s=0.5*(s+(b-a)*sum/tnm)
         it=2*it
       endif
       return
       end
