c
c=======================================================================
c  Include file "cppmix.h".
c=======================================================================
c
#ifndef rmdocinc
c  Variables for vertical mixing scheme of Pacanowski and Philander.
c
c  FRICMX   vertical eddy viscosity coefficient (cm^2/s) for momentum
c           used when the Richardson Number (Ri) is zero; that is, the
c           maximum value used in the stable regime, before transition
c           to the unstable regime.  This parameter thus controls the
c           dependency of the viscosity and diffusion coefficients on
c           Richardson Number. (FRICMX is "nu0" in Pacanowski and
c           Philander (1981) notation, who suggest a value of about 50
c           cm^2/s for the upper Equatorial Pacific).
c  RIU      Richardson number for row J   at U,V grid box bottoms
c  RIUM     Richardson number for row J-1 at U,V grid box bottoms
c  WRIUM    mask for RIUM
c
c=======================================================================
c
#endif
      common /cppmix/ fricmx,riu,rium,wrium
      FLOAT
     *      fricmx
      FLOAT
     *      riu(imt,km),rium(imt,km),wrium(imt,km)
