c
c=======================================================================
c  Include file "options.h"
c=======================================================================
#ifndef rmdocinc
c
c  IFLAG   initialization flags:
c
c          IFLAG(1)   diagnostic initialization switch:
c                     [0] no, [1] yes
c          IFLAG(2)   interpolation switch:
c                     [0] linear, [1] cubic-spline
c          IFLAG(3)   persistent boundary conditions switch:
c                     [0] no, [1] yes
c          IFLAG(4)   boundary condition on PSI:
c                     [1] PSI, [2] d(vort)/dt
c          IFLAG(8)   hybrid coordinates interface level, KC.
c          IFLAG(9)   hybrid coordinates transformation:
c                     [0] single, [1] double
c          IFLAG(10)  coastal setup switch:
c                     [0] no, [1] coast(s) only, 
c                     [2] coast(s) and island(s)
c  IOPT    various switches from standard input:
c
c          IOPT(1)  type of boundary conditions on tracers.
c          IOPT(2)  type of boundary conditions on velocity.
c          IOPT(3)  type of boundary conditions on transport.
c          IOPT(4)  type of boundary conditions on vorticity.
c                   [0] closed boundary conditions.
c                   [1] provided values in boundary data.
c                   [2] Spall and Robinson boundary conditions (CFvN).
c                   [3] Orlanski radiation (implicit).
c                   [4] modified Orlanski radiation (implicit).
c                   [5] one time level, spatial extrapolation.
c                   [6] reduced physics.
c          IOPT(5)  "diagnostic" printing control:
c                   [0] Terse output.
c                   [1] Verbose output.
c          IOPT(6)  CFL limitations:
c                   [0] examine full CFL.
c                   [1] disable examination of vertical component to CFL.
c                   [2] disable examination of CFL.
c          IOPT(7)  Representation of Coriolis term: 
c                   [0] full curvature, 
c                   [1] f-plane, 
c                   [2] beta-plane
c          IOPT(8)  Number of tracers exchanged with larger domain.
c          IOPT(9)  Number of tracers exchanged with smaller domain.
c  IOUT    switch to activate writting of output fields (0: no, 1:yes):
c
# ifndef surfpress
c          IOUT(1):  transport streamfunction (cm^3/s).
# else
c          IOUT(1):  surface pressure (cm^2/s^2).
# endif
c          IOUT(2):  total (internal+external) velocity Ut,Vt (cm/s).
c          IOUT(3):  internal mode velocity Ui,Vi (cm/s).
c          IOUT(4):  external mode velocity Ub,Vb (cm/s).
c          IOUT(5):  internal mode, geostrophic shear Ug,Vg (cm/s).
c          IOUT(6):  omega vertical velocity at velocity points (cm/s).
c          IOUT(7):  omega vertical velocity at tracer points (cm/s).
c          IOUT(8):  vertical velocity at velocity points (cm/s).
c          IOUT(9):  vertical velocity at tracer points (cm/s).
c          IOUT(10):  kinetic energy components.
# ifndef surfpress
c          IOUT(11): rate of change of barotropic vorticity (s-2).
# else
c          IOUT(11): divergence of transport (cm/s).
# endif
c          IOUT(12): temperature (deg C).
c          IOUT(13): salinity (PSU).
c          IOUT(14): density anomaly (sigma-1000) kg/m^3.
c          IOUT(15): buoyancy work (gigaWatts).
c          IOUT(16): mixed-layer depth (meters);  written if MLDOPT>0.
c          IOUT(17): tidal velocity Utide,Vtide (cm/s).
c          IOUT(18): tidal surface elevation (m).
c          IOUT(19): residual tidal stress tensor (cm/s^2).
c          IOUT(20): tracer term balance components.
c          IOUT(21): forecast errors;
c                    written if IOBSERR~=0 & CPP(OIAS & FCSTERR).
c  NLEV    number of levels at which to write out information.
c  LEV     levels to write out information (ascending order). Requested
c          values greater than KM to activate interpolation to a flat
c          level; in this case LEV is the depth in meters.
c
c=======================================================================
#endif
c
      common /options/ iopt,iflag,iout,lev,nlev
      integer iopt(10),iflag(10),iout(30),lev(100),nlev
