      subroutine putpbry (wk)
c
c=======================================================================
c                                                                    ===
c  This routine places the pressure/transport boundary data onto a   ===
c  2D array for extraction by the boundary filter.                   ===
c                                                                    ===
c  ------                                                            ===
c  Input:                                                            ===
c  ------                                                            ===
c                                                                    ===
c  Common Blocks:                                                    ===
c                                                                    ===
c  /BNDATA/                                                          ===
c                                                                    ===
c     PO  Pressure/transport boundary data.  (real array)            ===
c                                                                    ===
c  -------                                                           ===
c  Output:                                                           ===
c  -------                                                           ===
c                                                                    ===
c     WK  2D array with boundary data on its edges.  (real array)    ===
c                                                                    ===
c  ------                                                            ===
c  Calls:                                                            ===
c  ------                                                            ===
c                                                                    ===
c     none                                                           ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define global data
c-----------------------------------------------------------------------
c
#include <cdefs.h>
#include <param.h>
#include <bndata.h>
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
      integer i
#ifndef cyclic
     &        ,j
#endif
      FLOAT
     &     wk(imt,jmt)
c
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
c-----------------------------------------------------------------------
c  Put the boundary data onto 2D array for extraction.
c-----------------------------------------------------------------------
c
c  Southern and northern boundaries.
c
      do 10 i = 2, imtm1
        wk(i,1)   = po(i,1,south)
        wk(i,jmt) = po(i,1,north)
  10  continue
c
#ifndef cyclic
c  Western and eastern boundaries.
c
      do 20 j = 1, jmt
        wk(1,j)   = po(j,1,west)
        wk(imt,j) = po(j,1,east)
  20  continue
c
#endif
      return
      end
