      program make_transbdy
c
c=======================================================================
c                                                                    ===
c  This program extracts boundary conditions for the initial         ===
c  estimate of the transport streamfunction from the results         ===
c  for a larger domain.                                              ===
c                                                                    ===
c  ------                                                            ===
c  Calls:                                                            ===
c  ------                                                            ===
c                                                                    ===
#ifndef sunfpe
c     EXITUS,    GET_ISVAL,  MKTBY_DATA,  MKTBY_PARM,  WRT_TRANSBDY, ===
c     XTR_PSIBY                                                      ===
#else
c     EXITUS,      GET_ISVAL,     MKTBY_DATA,  MKTBY_PARM,           ===
c     MY_HANDLER,  WRT_TRANSBDY,  XTR_PSIBY                          ===
#endif
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define global data.
c-----------------------------------------------------------------------
c
#include <param.h>
#include <fne_dom.h>
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
      integer nopn,psflag
#ifdef sunfpe
       integer ieeer,my_handler,ieee_handler
#endif
      integer corrcst(mcseg),lenopn(mcseg)
      real         pbar(np),popn(mpseg,mcseg),psisl(mcseg)
      character*80 gcrsfil,gfnefil,pifile,trnsfile
c
#ifdef sunfpe
       external my_handler
c
#endif
c=======================================================================
c  Begin executable code.
c=======================================================================
c
#ifdef sunfpe
c-----------------------------------------------------------------------
c  Set trap for floating point exceptions.
c-----------------------------------------------------------------------
c
      ieeer=ieee_handler('set','common',my_handler)
      if(ieeer.ne.0) print *,' IEEE_HANDLER cannot set my_handler'
c
#endif
c-----------------------------------------------------------------------
c  Get run parameters.
c-----------------------------------------------------------------------
c
      call mktby_parm (psflag,gcrsfil,gfnefil,pifile,trnsfile)
c
c-----------------------------------------------------------------------
c  Get data.
c-----------------------------------------------------------------------
c
      call mktby_data (psflag,gcrsfil,gfnefil,pifile,pbar)
c
c-----------------------------------------------------------------------
c  Extract boundary conditions.
c-----------------------------------------------------------------------
c
      call xtr_psiby (psflag,pbar,nopn,lenopn,popn)
c
c-----------------------------------------------------------------------
c  Extract island values.
c-----------------------------------------------------------------------
c
      if (psflag.ne.1) call get_isval (pbar,corrcst,psisl)
c
c-----------------------------------------------------------------------
c  Write results.
c-----------------------------------------------------------------------
c
      call wrt_transbdy (psflag,trnsfile,nopn,fnisl,lenopn,mpseg,popn,
     &                   corrcst,psisl)
c
c-----------------------------------------------------------------------
c  End program.
c-----------------------------------------------------------------------
c
      call exitus ('MAKE_TRANSBDY DONE')
c
      end
