c
c=======================================================================
c  Include file "moddat.h".
c=======================================================================
#ifndef rmdocinc
c
c  BETA       rotation "beta" parameter.
c  COORD      flag for grid coordinate type:
c             [0] Cartesian.
c             [1] unrotated spherical.
c             [2] rotated spherical.
c  DELX       offset domain-trans. centers.      (cm|deg; real)
c  DELY       offset domain-trans. centers.      (cm|deg; real)
c  DHOR       horizontal length scale (cm).
c  DX         mean grid spacing in the x-direction (cm).
c  DY         mean grid spacing in the y-direction (cm),
c  F0         mean Coriolis parameter (1/sec).
c  HT         vertical length scale (cm).
c  R0         Rossby number (nondimensional).
c  RLAT0      domain centroid latitude (degrees, positive North).
c  RLNG0      domain centroid longitude (degrees, negative West).
c  T0         time scale (seconds).
c  THETAD     domain rotation angle (degrees, positive counter-clockwise
c             from true EAST).
c  TIDTSTART  starting time for linear tidal model. (days)
c  TIME0      time assigned to model initial fields (usually, days).
c  TSKIP      time interval (days) for scanning input data.
c  TSTART     input day assigned for initialization/assimilation.
c  TSTOP      last input day to process (TSTOP=TSTART for persistent
c             boundary conditions).
c  V0         horizontal velocity scale (cm/s).
c  XBASIN     domain length in the x-direction (cm).
c  YBASIN     domain length in the y-direction (cm).
c
c=======================================================================
#endif
c
      integer coord
      common /imoddat/ coord
c
      real beta,delx,dely,dhor,dx,dy,f0,ht,rlat0,rlng0,r0,tidtstart,
     &               time0,thetad,tskip,tstart,tstop,t0,v0,xbasin,ybasin
      common /fmoddat/ rlat0,rlng0,thetad,xbasin,ybasin,dhor,ht,delx,
     &                 dely,dx,dy,r0,v0,t0,tidtstart,time0,f0,beta,
     &                 tstart,tstop,tskip
