c
c=======================================================================
c  Include file "oldflds.h".
c=======================================================================
c
#ifndef rmdocinc
c  Read and/or computed (previous) fields to time DOLD.
c
c  DOLD     current time (Julian day or year day).
c  DWDZOLD  vertical gradient of QG vertical velocity.
c  PBAROLD  vertically integrated streamfunction (barotropic transport).
c  TOLD     tracer type of variables (temperature, salinity, other).
c  UOLD     total u-velocity component.
c  UBAROLD  vertically integrated, total u-velocity component.
c  UIOLD    internal mode (baroclinic) u-velocity component.
c  VOLD     total v-velocity component.
c  VBAROLD  vertically integrated, total v-velocity component.
c  VIOLD    internal mode (baroclinic) v-velocity component.
c
c=======================================================================
c
#endif
      common /oldflds/ dold,told,pbarold,uold,ubarold,uiold,vold,
     *       vbarold,viold,dwdzold
      real dold
      real dwdzold(np,nz),pbarold(np),told(np,nz,mt),ubarold(np),
     *     uiold(np,nz),uold(np,nz),vbarold(np),viold(np,nz),vold(np,nz)
