  function [lon,lat]=rcoastline(cstfile)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                               %
%  function [lon,lat]=rcoastline(cstfile)                       %
%                                                               %
%  This function opens and reads a coastline file.              %
%                                                               %
%  On Input:                                                    %
%                                                               %
%     cstfile    coastline filename.                            %
%                                                               %
%  On Output                                                    %
%                                                               %
%     lon        longitude of coastlines.                       %
%     lat        longitude of coastlines.                       %
%                                                               %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%  Open coastline file.

   cid=fopen(cstfile,'r');
   if(cid<0) error(['Cannot open ' cstfile '.']), end

%  Read coastline data.

   c=fscanf(cid,'%g %g',[2 inf]);
   c=c';
   lon=c(:,2);
   lat=c(:,1);
   clear c

   return
