$ set verify
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!                                                                          !
$!  VMSmakefile.com:                                                        !
$!                                                                          !
$!  VAX VMS Script to compile and link the program PE_MASK which appends    !
$!  the Land/Sea mask to the GRIDS NetCDF file.  It uses script file        !
$!  "compile.com" for C-preprocessing and compiling.  To compile and        !
$!  link use the following command:                                         !
$!                                                                          !
$!                @ VMSmakefile                                             !
$!                                                                          !
$!                                 Patrick J. Haley Jr.    08/03/2000       !
$!                                 PE_MASK Version         4.1              !
$!                                                                          !
$!                                                                          !
$! C-preprocessing options:                                                 !
$!                                                                          !
$! AIXDATE	AIX intrinsic date routine (IBM RS6000).                    !
$! CRAYDATE	CRAY's intrinsic date routines                              !
$! DECDATE	Using DEC time/date intrinsic routines                      !
$! SUNDATE	Using SUN time/date intrinsic routines                      !
$! SUNFPE	SUN's floating point exception trap                         !
$!                                                                          !
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!!!!!!!!!!!!!!!!!!!!!! USERS's tunable definitions !!!!!!!!!!!!!!!!!!!!!!!!!
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!
$!  Set directory paths
$!
$  define/nolog  pemskbin$dir   [...bin]
$  define/nolog  pemsk$bin      pemskbin$dir:pe_mask.exe
$!
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!!!!!!!!!!!!!!!!!!!!!! End USERS's tunable definitions !!!!!!!!!!!!!!!!!!!!!
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$goto proceed
$!
$@Compile pe_mask.F
$@Compile blkdat.F
$@Compile clean_bndy.F
$@Compile cst_seg.F
$@Compile day_code.F
$@Compile edt_mask.F
$@Compile exitus.F
$@Compile find_st.F
$@Compile get_date.F
$@Compile init_ilist.F
$@Compile ins_ilist.F
$@Compile length.F
$@Compile lnblk.F
$@Compile load_bndy.F
$@Compile load_coast.F
$@Compile nxt_bpt.F
$@Compile pe_seaseg.F
$@Compile prt_mask.F
$@Compile read_grids.F
$@Compile rem_ilist.F
$@Compile set_mask.F
$@Compile valid_st.F
$@Compile write_mask.F
$@Compile xtr_cst.F
$!
$proceed:
$ set verify
$ DEFINE  LNK$LIBRARY   SYS$LIBRARY:VAXCRTL
$ link/executable=PE_MASK		pe_mask,			-
	blkdat,		clean_bndy,	cst_seg,	day_code,	-
	edt_mask,	exitus,		find_st,	get_date,	-
	init_ilist,	ins_ilist,	length,		lnblk,		-
	load_bndy,	load_coast,	nxt_bpt,	pe_seaseg,	-
	prt_mask,	read_grids,	rem_ilist,	set_mask,	-
	valid_st,	write_mask,	xtr_cst,			-
			SYS$USERROOT2:[...LIB]NETCDF.OLB/lib
$!
$ exit
