      subroutine clean_bndy (ist,jst,ind,jnd,im,jm,bndptr,wkptr,mxlst,
     &                       nfld,bndnodes)
c
c=======================================================================
c                                                                    ===
c  This routine cleans the boundary linked-list between the requested===
c  limits.                                                           ===
c                                                                    ===
c  ------                                                            ===
c  Input:                                                            ===
c  ------                                                            ===
c                                                                    ===
c     IST        X-index of starting point.       (integer)          ===
c     JST        Y-index of starting point.       (integer)          ===
c     IND        X-index of ending point.         (integer)          ===
c     JND        Y-index of ending point.         (integer)          ===
c     IM         Size of domain in Y-direction.   (integer)          ===
c     JM         Size of domain in Y-direction.   (integer)          ===
c     BNDPTR     Pointer to boundary nodes.       (integer)          ===
c     WKPTR      Pointer to work space.           (integer)          ===
c     MXLST      Maximum length of BNDNODES.      (integer)          ===
c     NFLD       Number of fields in BNDNODES.    (integer)          ===
c     BNDNODES   List of boundary nodes.          (integer array)    ===
c                                                                    ===
c  -------                                                           ===
c  Output:                                                           ===
c  -------                                                           ===
c                                                                    ===
c     BNDPTR     Updated boundary pointer.        (integer)          ===
c     WKPTR      Updated work space pointer.      (integer)          ===
c     BNDNODES   Updated boundary list.           (integer array)    ===
c                                                                    ===
c  ------                                                            ===
c  Calls:                                                            ===
c  ------                                                            ===
c                                                                    ===
c     HOPS:  NXT_BPT,  REM_ILIST                                     ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
      integer bndptr,icur,im,ind,inxt,ist,jcur,jm,jnd,jnxt,jst,mxlst,
     &        nfld,wkptr
      integer bndnodes(mxlst,nfld),vals(2)
      logical found
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
      call nxt_bpt (im,jm,ist,jst,inxt,jnxt)
c
      do 10 while ( (inxt.ne.ind) .or. (jnxt.ne.jnd) )
c
         vals(1) = inxt
         vals(2) = jnxt
         call rem_ilist (mxlst,nfld,bndptr,wkptr,bndnodes,vals,found)
c
         icur = inxt
         jcur = jnxt
         call nxt_bpt (im,jm,icur,jcur,inxt,jnxt)
c
  10  continue
c
      return
      end
