c
c=======================================================================
c  Include file "cstmsk.h".
c=======================================================================
c
c  BATHID     NetCDF variable ID for raw bathymery.
c  CSEGXID    NetCDF variable ID for coastal segment CSTSEGX.
c  CSEGYID    NetCDF variable ID for coastal segment CSTSEGY.
c  CSTSEGX    x-index coordinate for each coastal segment.
c  CSTSEGY    y-index coordinate for each coastal segment.
c  IEIS       ending I-index for each island box.
c  IEISID     NetCDF variable ID island box IEIS.
c  IM         number of point in the x-direction.
c  ISIS       starting I-index for each island box.
c  ISISID     NetCDF variable ID island box ISIS.
c  ISLEDIM    NetCDF dimension ID for number of islands.
c  ISMASK     mask at the velocity points used for segments extraction.
c  JEIS       ending J-index for each island box.
c  JEISID     NetCDF variable ID island box JEIS.
c  JM         number of points in the y-direction.
c  JSIS       starting J-index for each island box.
c  JSISID     NetCDF variable ID island box JSIS.
c  LANDT      mask at the tracer points:
c             LANDT=0 land, LANDT=1 sea.
c  LANDTID    NetCDF variable ID for land/sea mask LANDT.
c  LANDV      Land/Sea mask at the velocity points:
c             LNADV=0 land, LANDV=1 boundary, LANDV=2 sea.
c  LANDTID    NetCDF variable ID for land/sea mask LANDV.
c  LCSEGDIM   NetCDF dimension ID for length of coastal segments.
c  LCSTSEG    logical switch for the availabilty of coastal segments.
c  LENSEG     number of points in each coastal segment.
c  LISBOX     logical switch for the availabilty of islands corners.
c  LLANDT     logical switch for the availabilty of land/sea mask LANDT.
c  LLANDV     logical switch for the availabilty of land/sea mask LANDV.
c  LLENSEG    logical switch for the availabilty of segments length.
c  LSEGMX     current maximum number of points per coastal segment.
c  NCID       NetCDF ID for opened GRIDS file.
c  NCSEGDIM   NetCDF dimension ID for number coastal segments.
c  NCSTAT     Status for opened GRIDS file.
c  NISLE      number of islands in the model basin.
c  NSEG       number of coastal segments.
c  TLATDIM    NetCDF dimension ID for latitude at the tracer points.
c  TLONDIM    NetCDF dimension ID for longitude at the tracer points.
c  TOPO       raw bottom topography.
c  VLATDIM    NetCDF dimension ID for latitude at the velocity points.
c  VLONDIM    NetCDF dimension ID for longitude at the velocity points.
c
c=======================================================================
c
      common /cstmsk/ lcstseg,lisbox,llandt,llandv,llenseg,bathid,
     *       csegxid,csegyid,ieisid,isisid,isledim,jeisid,jsisid,
     *       landtid,landvid,lcsegdim,ncid,ncstat,ncsegdim,tlatdim,
     *       tlondim,vlatdim,vlondim,im,jm,nseg,nisle,lsegmx,lenseg,
     *       cstsegx,cstsegy,isis,ieis,jsis,jeis,landt,landv,ismask,topo
      logical lcstseg,lisbox,llandt,llandv,llenseg
      integer bathid,csegxid,csegyid,ieisid,im,isisid,isledim,jeisid,jm,
     *        jsisid,landtid,landvid,lcsegdim,lsegmx,ncid,ncstat,
     *        ncsegdim,nisle,nseg,tlatdim,tlondim,vlatdim,vlondim
      integer cstsegx(mpseg,mcseg),cstsegy(mpseg,mcseg),ieis(misle),
     *        ismask(np),isis(misle),jeis(misle),jsis(misle),landt(np),
     *        landv(np),lenseg(mcseg)
      real topo(np)
