      subroutine exitus(module)
c
c=======================================================================
c                                                                    ===
c  This routine is used to terminate execution during abnormal       ===
c  computations.   All output units  are properly  flushed and       ===
c  closed.                                                           ===
c                                                                    ===
c  On Input:                                                         ===
c                                                                    ===
c     MODULE   routine issuing termination (character)               ===
c                                                                    ===
c  Calls:  LENGTH                                                    ===
c                                                                    ===
c=======================================================================
c
c=======================================================================
c  Define global data.
c=======================================================================
c
#include <param.h>
#include <cstmsk.h>
#include <netcdf.inc>
c
c=======================================================================
c  Define local data.
c=======================================================================
c
      integer rcode,sbgn,send,slen
      character*(*) module
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
c  Close opened NetCDF file.
c
      if (ncstat.eq.2) then
        rcode = nf_close (ncid)
       elseif (ncstat.eq.1) then
        rcode = nf_abort (ncid)
      endif
c
c  Indicate which routine issued abnormal termination.
c
      call length (module,slen,sbgn,send)
      if(module(sbgn:send).eq.'PE_MASK DONE') then
        write(stdout,10) module(sbgn:send)
  10    format(a)
      else
        write(stdout,20) module(sbgn:send)
  20    format(/,' Execution abnormally terminated in module: ',a,/)
      endif
      stop
      end
