      subroutine find_st (nx,im,jm,ismask,bndptr,wkptr,mxlst,nfld,
     &                    bndnodes)
c
c=======================================================================
c                                                                    ===
c  This routine finds a starting point along the domain boundary for ===
c  a coastline.                                                      ===
c                                                                    ===
c  ------                                                            ===
c  Input:                                                            ===
c  ------                                                            ===
c                                                                    ===
c     NX         Leading dimension of ISMASK.     (integer)          ===
c     IM         Number of x-points in mask.      (integer)          ===
c     JM         Number of y-points in mask.      (integer)          ===
c     ISMASK     Land/Sea/Coast mask.             (integer array)    ===
c     BNDPTR     Pointer to boundary nodes.       (integer)          ===
c     WKPTR      Pointer to work space.           (integer)          ===
c     MXLST      Maximum length of BNDNODES.      (integer)          ===
c     NFLD       Number of fields in BNDNODES.    (integer)          ===
c     BNDNODES   List of boundary nodes.          (integer array)    ===
c                                                                    ===
c  -------                                                           ===
c  Output:                                                           ===
c  -------                                                           ===
c                                                                    ===
c     BNDPTR     Updated boundary pointer.        (integer)          ===
c     WKPTR      Updated work space pointer.      (integer)          ===
c     BNDNODES   Updated boundary list.           (integer array)    ===
c                                                                    ===
c  ------                                                            ===
c  Calls:                                                            ===
c  ------                                                            ===
c                                                                    ===
c     HOPS:  REM_ILIST,  VALID_ST                                    ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
      integer bndptr,im,jm,mxlst,n,nfld,nx,wkptr
      integer bndnodes(mxlst,nfld),ismask(nx,jm),vals(2)
      logical found
      logical valid_st
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
      do 20 while ( (.not. valid_st (nx,im,jm,ismask,bndptr,mxlst,nfld,
     &                               bndnodes)) .and. (bndptr.ne.0) )
c
         do 10 n = 1, (nfld-1)
            vals(n) = bndnodes(bndptr,n)
  10     continue
c
         call rem_ilist (mxlst,nfld,bndptr,wkptr,bndnodes,vals,found)
c
  20  continue
c
      return
      end
