      subroutine init_ilist (mxlst,nfld,lstptr,wkptr,list)
c
c=======================================================================
c                                                                    ===
c  This routine initializes the data structure for a linked list of  ===
c  integer values.                                                   ===
c                                                                    ===
c  ------                                                            ===
c  Input:                                                            ===
c  ------                                                            ===
c                                                                    ===
c     MXLST    Maximum length of list.                (integer)      ===
c     NFLD     Total number of fields.                (integer)      ===
c                                                                    ===
c  -------                                                           ===
c  Output:                                                           ===
c  -------                                                           ===
c                                                                    ===
c     LSTPTR   Pointer to beginning of linked list.   (integer)      ===
c     WKPTR    Pointer to beginning of work space.    (integer)      ===
c     LIST     Linked list & work space.              (integer array)===
c                                                                    ===
c  ------                                                            ===
c  Calls:                                                            ===
c  ------                                                            ===
c                                                                    ===
c     none                                                           ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
      integer lstptr,mxlst,n,nfld,wkptr
      integer list(mxlst,nfld)
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
c-----------------------------------------------------------------------
c  Initialize pointers.
c-----------------------------------------------------------------------
c
c  Initialize pointers for empty list.
c
      lstptr = 0
      wkptr  = 1
c
c  Link work space nodes.
c
      do 10 n = 1, (mxlst-1)
         list(n,nfld) = n + 1
  10  continue
c
      list(mxlst,nfld) = 0
c
      return
      end
