      subroutine ins_ilist (mxlst,nfld,lstptr,wkptr,list,vals,error)
c
c=======================================================================
c                                                                    ===
c  This routine inserts a node into a linked list of integer values. ===
c                                                                    ===
c  ------                                                            ===
c  Input:                                                            ===
c  ------                                                            ===
c                                                                    ===
c     MXLST    Maximum length of list.               (integer)       ===
c     NFLD     Total number of fields.               (integer)       ===
c     LSTPTR   Pointer to beginning of linked list.  (integer)       ===
c     WKPTR    Pointer to beginning of work space.   (integer)       ===
c     LIST     Linked list & work space.             (integer array) ===
c     VALS     values to add to linked list.         (integer vector)===
c                                                                    ===
c  -------                                                           ===
c  Output:                                                           ===
c  -------                                                           ===
c                                                                    ===
c     LSTPTR   Updated list pointer.                 (integer)       ===
c     WKPTR    Updated work space pointer.           (integer)       ===
c     LIST     Updated linked list & work space.     (integer array) ===
c     ERROR    Exit status.                          (logical)       ===
c                                                                    ===
c  ------                                                            ===
c  Calls:                                                            ===
c  ------                                                            ===
c                                                                    ===
c     none                                                           ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
      integer lstptr,mxlst,n,newptr,nfld,wkptr
      integer list(mxlst,nfld),vals(nfld-1)
      logical error
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
      if (wkptr.ne.0) then
c
c  Remove node from work list.
c
         newptr = wkptr
         wkptr  = list(newptr,nfld)
c
c  Attach to linked list & insert values.
c
         list(newptr,nfld) = lstptr
c
         do 10 n = 1, (nfld-1)
            list(newptr,n) = vals(n)
  10     continue
c
         lstptr = newptr
         error  = .false.
c
       else
c
c  No room left.
c
         error = .true.
c
      end if
c
      return
      end
