      subroutine nxt_bpt (im,jm,icur,jcur,inxt,jnxt)
c
c=======================================================================
c                                                                    ===
c  This routine finds the next point on the outer boundary going in  ===
c  the counter clockwise direction.                                  ===
c                                                                    ===
c  ------                                                            ===
c  Input:                                                            ===
c  ------                                                            ===
c                                                                    ===
c     IM     Size of domain in Y-direction.       (integer)          ===
c     JM     Size of domain in Y-direction.       (integer)          ===
c     ICUR   X-index of current boundary point.   (integer)          ===
c     JCUR   Y-index of current boundary point.   (integer)          ===
c                                                                    ===
c  -------                                                           ===
c  Output:                                                           ===
c  -------                                                           ===
c                                                                    ===
c     INXT   X-index of next boundary point.      (integer)          ===
c     JNXT   Y-index of next boundary point.      (integer)          ===
c                                                                    ===
c  ------                                                            ===
c  Calls:                                                            ===
c  ------                                                            ===
c                                                                    ===
c     none                                                           ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
      integer icur,im,inxt,jcur,jm,jnxt
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
      if ( (jcur.eq.1) .and. (icur.lt.im) ) then
         inxt = icur + 1
         jnxt = jcur
c
       elseif ((icur.eq.im).and.(jcur.lt.jm)) then
         inxt = icur
         jnxt = jcur + 1
c
       elseif ((jcur.eq.jm).and.(icur.gt.1)) then
         inxt = icur - 1
         jnxt = jcur
c
       elseif ((icur.eq.1).and.(jcur.gt.1)) then
         inxt = icur
         jnxt = jcur - 1
      end if
c
      return
      end
