      subroutine prt_mask (mask,nx,im,jm,nrow,ncol,fname)
c
c=======================================================================
c                                                                    ===
c  Write mask field according to the number of rows and columns per  ===
c  page into an ASCII file.                                          ===
c                                                                    ===
c  On Input:                                                         ===
c                                                                    ===
c     MASK    Land/Sea mask (integer array).                         ===
c     NX      length of first dimension for MASK and LANDT in the    ===
c             calling program (integer).                             ===
c     IM      number of points in the x-direction (integer).         ===
c     JM      number of points in the y-direction (integer).         ===
c     NROW    number of rows per page for printing.                  ===
c     NCOL    number of columns per page for printing.               ===
c     FNAME   output file name (character string).                   ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
      integer i,ic1,ic2,iend,ii,im,istr,iunit,j,jend,jm,jstr,l,len,m,n,
     *        ncol,nrow,nx,nxpages,nypages,nxplab,nyplab
      integer mask(nx,jm)
      real xpages,ypages,xpglab,ypglab
      character*4   xlab
      character*9   frmt
      character*240 line1,line2,line3
      character*(*) fname
      parameter (iunit=10)
c
c=======================================================================
c  Begin the executable code.
c=======================================================================
c
c  Detemine number of pages to print.
c
      xpglab=float(im)/float(ncol)
      nxplab=int(xpglab)
      if ((xpglab-float(nxplab)).ne.0.0) nxplab=nxplab+1
      xpages=float(im+4*nxplab)/float(ncol)
      nxpages=int(xpages)
      if ((xpages-float(nxpages)).ne.0.0) nxpages=nxpages+1
c
      ypglab=float(jm)/float(nrow)
      nyplab=int(ypglab)
      if ((ypglab-float(nyplab)).ne.0.0) nyplab=nyplab+1
      ypages=float(jm+4*nyplab)/float(nrow)
      nypages=int(ypages)
      if ((ypages-float(nypages)).ne.0.0) nypages=nypages+1
c
c  Print out mask file.
c
      open(iunit,file=fname,form='formatted')
c
      jstr=(jm+1)+(nrow-4)
      do 90 l=1,nypages
        jstr=(jstr-1)-(nrow-4)
        jend=jstr-(nrow-4)
        if (jend.lt.1) jend=1
        ic1=0
        ic2=0
        do 80 n=1,nxpages
          istr=1+(n-1)*(ncol-4)
          iend=n*(ncol-4)
          if (im.lt.iend) iend=im
          m=0
          do 20 i=istr,iend
            m=m+1
            write(line3(m:m),10) mod(i,10)
  10        format(i1)
            if (mod(i,10).eq.0) then
              ic1=ic1+1
              write(line2(m:m),10) mod(ic1,10)
            else
              line2(m:m)=' '
            endif
            if (mod(i,100).eq.0) then
              ic2=ic2+1
              write(line1(m:m),10) mod(ic2,10)
            elseif (mod(i,10).eq.0) then
              line1(m:m)='0'
            else
              line1(m:m)=' '
            endif
  20      continue
          len=iend-istr+1
          write(iunit,30) line1(1:len)
          write(iunit,30) line2(1:len)
          write(iunit,30) line3(1:len)
  30      format(4x,a)
          write(iunit,40)
  40      format()
c
          write(frmt,50) iend-istr+1
  50      format('(a,',i3,'i1)')
          do 70 j=jstr,jend,-1
            write(xlab,60) j
  60        format(i3.3,' ')
            write(iunit,frmt) xlab,(mask(ii,j),ii=istr,iend)
  70      continue
  80    continue
  90  continue
      close(iunit)
      return
      end
