      subroutine rem_ilist (mxlst,nfld,lstptr,wkptr,list,vals,found)
c
c=======================================================================
c                                                                    ===
c  This routine removes a node from a linked list of integer values. ===
c                                                                    ===
c  ------                                                            ===
c  Input:                                                            ===
c  ------                                                            ===
c                                                                    ===
c     MXLST    Maximum length of list.               (integer)       ===
c     NFLD     Total number of fields.               (integer)       ===
c     LSTPTR   Pointer to beginning of linked list.  (integer)       ===
c     WKPTR    Pointer to beginning of work space.   (integer)       ===
c     LIST     Linked list & work space.             (integer array) ===
c     VALS     values to add to linked list.         (integer vector)===
c                                                                    ===
c  -------                                                           ===
c  Output:                                                           ===
c  -------                                                           ===
c                                                                    ===
c     LSTPTR   Updated list pointer.                 (integer)       ===
c     WKPTR    Updated work space pointer.           (integer)       ===
c     LIST     Updated linked list & work space.     (integer array) ===
c     FOUND    Indicates if node was in list.        (integer)       ===
c                                                                    ===
c  ------                                                            ===
c  Calls:                                                            ===
c  ------                                                            ===
c                                                                    ===
c     none                                                           ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
      integer bkptr,lstptr,mxlst,n,nfld,rmptr,wkptr
      integer list(mxlst,nfld),vals(nfld-1)
      logical found
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
c-----------------------------------------------------------------------
c  Find node to remove from list.
c-----------------------------------------------------------------------
c
c  Initialize pointer to enter loop.
c
      bkptr = 0
      rmptr = lstptr
      found = .false.
c
c  Loop through list until desired node is found.
c
      do 20 while ( (rmptr.ne.0) .and. (.not.found) )
c
c     See if current node is desired node.
c
         found = list(rmptr,1) .eq. vals(1)
         do 10 n = 2, (nfld-1)
            found = found .and. (list(rmptr,n).eq.vals(n))
  10     continue
c
c     If not found, set to check next node.
c
         if (.not.found) then
            bkptr = rmptr
            rmptr = list(bkptr,nfld)
         end if
c
  20  continue
c
c-----------------------------------------------------------------------
c  If the node is found, remove it.
c-----------------------------------------------------------------------
c
      if (found) then
c
         if (bkptr.ne.0) then
            list(bkptr,nfld) = list(rmptr,nfld)
          else
            lstptr = list(rmptr,nfld)
         end if
c
         list(rmptr,nfld) = wkptr
         wkptr            = rmptr
c
      end if
c
      return
      end
