$ set verify
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!                                                                          !
$! This VAX VMS script is used to compile and link the plotting programs    !
$! that  use  NCAR's  GKS  primitive  routines.  The input data to these    !
$! programs are  NetCDF  files generated by HOPS.These plotting programs    !
$! are:                                                                     !
$!                                                                          !
$!            CNT_NCAR      horizontal contours, noncolor version           !
$!            CCNT_NCAR     horizontal contours, color version              !
$!            CCNTMD_NCAR   horizontal contours, color version, multi-domain!
$!            SEC_NCAR      cross-section, noncolor version                 !
$!            CSEC_NCAR     cross-section, color version                    !
$!                                                                          !
$!                               Patrick J Haley Jr.    10/28/97            !
$!                                   Version            3.2                 !
$!                                                                          !
$!                                                                          !
$! To compile and link these programs, Use the following command:           !
$!                                                                          !
$!                @ VMSmakefile                                             !
$!                                                                          !
$! It uses file "compile.com" to C-preprocessing and compiling.             !
$!                                                                          !
$! C-preprocessing options:                                                 !
$!                                                                          !
$!  CRAYDATE     CRAY's intrinsic date routines.                            !
$!  DECDATE      DEC's VMS intrinsic date routine.                          !
$!  RMDOCINC     Remove documentation in all include files.                 !
$!  SUNDATE      SUN's intrinsic date routine.                              !
$!  SUNFPE       SUN's floating point exception trap.                       !
$!                                                                          !
$!  CJTOPO       CJL's re-averaging of model topography                     !
$!  DIFFSTA      Differentiate station types when plotting cruise tracks.   !
$!  MEDIUMFONT   Increase font sizes of some items                          !
$!  NO_XTRP      Prevent averaging of filled points to fill active nodes    !
$!  SACLANT      Draw SACLANT logo to right of header crap.                 !
$!                                                                          !
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!!!!!!!!!!!!!!!!!!!!!! USERS's tunable definitions !!!!!!!!!!!!!!!!!!!!!!!!!
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!
$!  Set directory paths
$!
$  define/nolog  pltbin$dir   [...bin]
$  define/nolog  plt1$bin      pltbin$dir:cnt_ncar.exe
$  define/nolog  plt2$bin      pltbin$dir:ccnt_ncar.exe
$  define/nolog  plt2$bin      pltbin$dir:sec_ncar.exe
$  define/nolog  plt2$bin      pltbin$dir:csec_ncar.exe
$!
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$!!!!!!!!!!!!!!!!!!!!!! End USERS's tunable definitions !!!!!!!!!!!!!!!!!!!!!
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$goto proceed
$!
$@Compile cnt_ncar.F
$@Compile ccnt_ncar.F
$@Compile ccntmd_ncar.F
$@Compile sec_ncar.F
$@Compile csec_ncar.F
$!
$@Compile all_lc.F
$@Compile areafill.F
$@Compile areamask.F
$@Compile arrow.F
$@Compile assem_unit.F
$@Compile barlab.F
$@Compile bes1d.F
$@Compile bes2d.F
$@Compile bes2de.F
$@Compile bilin.F
$@Compile blkdat.F
$@Compile book.F
$@Compile box.F
$@Compile caldate.F
$@Compile cell.F
$@Compile clrbox.F
$@Compile cmast_seal.F
$@Compile cnt_frame.F
$@Compile cntcolor.F
$@Compile cntint.F
$@Compile cntpack.F
$@Compile colorbar.F
$@Compile colram.F
$@Compile cpmpxy2d.F
$@Compile cpmpxz2d.F
$@Compile datestr.F
$@Compile day_code.F
$@Compile depth_lab.F
$@Compile dombox.F
$@Compile draw_line.F
$@Compile draw_user.F
$@Compile drawcl.F
$@Compile exitus.F
$@Compile external.F
$@Compile extrap.F
$@Compile fdiag.F
$@Compile fld_type.F
$@Compile flddif.F
$@Compile fldnam2id.F
$@Compile gcircle.F
$@Compile get_2dpos.F
$@Compile get_3dpos.F
$@Compile get_cdf2dat.F
$@Compile get_cdf3dat.F
$@Compile get_date.F
$@Compile get_ewpt.F
$@Compile get_pe2dat.F
$@Compile get_pe3dat.F
$@Compile get_pltday.F
$@Compile get_qg2dat.F
$@Compile get_qg3dat.F
$@Compile get_scoor.F
$@Compile gksinit.F
$@Compile great_int.F
$@Compile hbackground.F
$@Compile headln.F
$@Compile id2fldnam.F
$@Compile interp32.F
$@Compile intrpindx.F
$@Compile landmask.F
$@Compile length.F
$@Compile lintrp.F
$@Compile lintrp_sp.F
$@Compile ll2xy.F
$@Compile lnblk.F
$@Compile mapeod.F
$@Compile maptitles.F
$@Compile mskscl.F
$@Compile my_handler.F
$@Compile ncvget.F
$@Compile ncvget1.F
$@Compile opencdf.F
$@Compile pltvec.F
$@Compile psi2dynh.F
$@Compile readpal.F
$@Compile readtopo.F
$@Compile rotparm.F
$@Compile sac.F
$@Compile sea_elev.F
$@Compile sec_axis.F
$@Compile sec_frame.F
$@Compile set_units.F
$@Compile setcolpal.F
$@Compile sig_fig.F
$@Compile smooth_under.F
$@Compile smoother.F
$@Compile spline.F
$@Compile splint.F
$@Compile svan.F
$@Compile svel.F
$@Compile time_indx.F
$@Compile vbackground.F
$@Compile vecmag.F
$@Compile vel_nt.F
$@Compile velocity.F
$@Compile veritas.F
$@Compile vernum.F
$@Compile viewport.F
$@Compile what_flds.F
$@Compile xsection.F
$@Compile xtr_exp.F
$@Compile xtr_prefix.F
$@Compile xtr_units.F
$@Compile xy2ll.F
$!
$proceed:
$ set verify
$ DEFINE  LNK$LIBRARY  SYS$LIBRARY:VAXCRTL
$!
$ link/executable=CNT_NCAR		cnt_ncar,	cpmpxy2d,	-
	all_lc,		areafill,	areamask,	arrow,		-
	assem_unit,	barlab,		bes1d,		bes2d,		-
	bes2de,		bilin,		blkdat,		book,		-
	box,		caldate,	cell,		clrbox,		-
	cmast_seal,	cnt_frame,	cntcolor,	cntint,		-
	cntpack,	colorbar,	colram,		datestr,	-
	day_code,	depth_lab,	dombox,		draw_line,	-
	draw_user,	drawcl,		exitus,		external,	-
	extrap,		fdiag,		fld_type,	flddif,		-
	fldnam2id,	gcircle,	get_2dpos,	get_3dpos,	-
	get_cdf2dat,	get_cdf3dat,	get_date,	get_ewpt,	-
	get_pe2dat,	get_pe3dat,	get_pltday,	get_qg2dat,	-
	get_qg3dat,	get_scoor,	gksinit,	great_int,	-
	hbackground,	headln,		id2fldnam,	interp32,	-
	intrpindx,	landmask,	length,		lintrp,		-
	lintrp_sp,	ll2xy,		lnblk,		mapeod,		-
	maptitles,	mskscl,		my_handler,	ncvget,		-
	ncvget1,	opencdf,	pltvec,		psi2dynh,	-
	readpal,	readtopo,	rotparm,	sac,		-
	sea_elev,	sec_axis,	sec_frame,	set_units,	-
	setcolpal,	sig_fig,	smooth_under,	smoother,	-
	spline,		splint,		svan,		svel,		-
	time_indx,	vbackground,	vecmag,		vel_nt,		-
	velocity,	veritas,	vernum,		viewport,	-
	what_flds,	xsection,	xtr_exp,	xtr_prefix,	-
	xtr_units,	xy2ll,						-
			SYS$USERROOT2:[...LIB]NETCDF.OLB/lib,		-
			SYS$USERROOT2:[...LIB]NCARG.OLB/lib,		-
			SYS$USERROOT2:[...LIB]NCARG_GKS.OLB/lib,	-
			SYS$USERROOT2:[...LIB]NCARG_LOC.OLB/lib
$!
$ link/executable=CCNT_NCAR		ccnt_ncar,	cpmpxy2d,	-
	all_lc,		areafill,	areamask,	arrow,		-
	assem_unit,	barlab,		bes1d,		bes2d,		-
	bes2de,		bilin,		blkdat,		book,		-
	box,		caldate,	cell,		clrbox,		-
	cmast_seal,	cnt_frame,	cntcolor,	cntint,		-
	cntpack,	colorbar,	colram,		datestr,	-
	day_code,	depth_lab,	dombox,		draw_line,	-
	draw_user,	drawcl,		exitus,		external,	-
	extrap,		fdiag,		fld_type,	flddif,		-
	fldnam2id,	gcircle,	get_2dpos,	get_3dpos,	-
	get_cdf2dat,	get_cdf3dat,	get_date,	get_ewpt,	-
	get_pe2dat,	get_pe3dat,	get_pltday,	get_qg2dat,	-
	get_qg3dat,	get_scoor,	gksinit,	great_int,	-
	hbackground,	headln,		id2fldnam,	interp32,	-
	intrpindx,	landmask,	length,		lintrp,		-
	lintrp_sp,	ll2xy,		lnblk,		mapeod,		-
	maptitles,	mskscl,		my_handler,	ncvget,		-
	ncvget1,	opencdf,	pltvec,		psi2dynh,	-
	readpal,	readtopo,	rotparm,	sac,		-
	sea_elev,	sec_axis,	sec_frame,	set_units,	-
	setcolpal,	sig_fig,	smooth_under,	smoother,	-
	spline,		splint,		svan,		svel,		-
	time_indx,	vbackground,	vecmag,		vel_nt,		-
	velocity,	veritas,	vernum,		viewport,	-
	what_flds,	xsection,	xtr_exp,	xtr_prefix,	-
	xtr_units,	xy2ll,						-
			SYS$USERROOT2:[...LIB]NETCDF.OLB/lib,		-
			SYS$USERROOT2:[...LIB]NCARG.OLB/lib,		-
			SYS$USERROOT2:[...LIB]NCARG_GKS.OLB/lib,	-
			SYS$USERROOT2:[...LIB]NCARG_LOC.OLB/lib
$!
$ link/executable=CCNTMD_NCAR		ccntmd_ncar,	cpmpxy2d,	-
	all_lc,		areafill,	areamask,	arrow,		-
	assem_unit,	barlab,		bes1d,		bes2d,		-
	bes2de,		bilin,		blkdat,		book,		-
	box,		caldate,	cell,		clrbox,		-
	cmast_seal,	cnt_frame,	cntcolor,	cntint,		-
	cntpack,	colorbar,	colram,		datestr,	-
	day_code,	depth_lab,	dombox,		draw_line,	-
	draw_user,	drawcl,		exitus,		external,	-
	extrap,		fdiag,		fld_type,	flddif,		-
	fldnam2id,	gcircle,	get_2dpos,	get_3dpos,	-
	get_cdf2dat,	get_cdf3dat,	get_date,	get_ewpt,	-
	get_pe2dat,	get_pe3dat,	get_pltday,	get_qg2dat,	-
	get_qg3dat,	get_scoor,	gksinit,	great_int,	-
	hbackground,	headln,		id2fldnam,	interp32,	-
	intrpindx,	landmask,	length,		lintrp,		-
	lintrp_sp,	ll2xy,		lnblk,		mapeod,		-
	maptitles,	mskscl,		my_handler,	ncvget,		-
	ncvget1,	opencdf,	pltvec,		psi2dynh,	-
	readpal,	readtopo,	rotparm,	sac,		-
	sea_elev,	sec_axis,	sec_frame,	set_units,	-
	setcolpal,	sig_fig,	smooth_under,	smoother,	-
	spline,		splint,		svan,		svel,		-
	time_indx,	vbackground,	vecmag,		vel_nt,		-
	velocity,	veritas,	vernum,		viewport,	-
	what_flds,	xsection,	xtr_exp,	xtr_prefix,	-
	xtr_units,	xy2ll,						-
			SYS$USERROOT2:[...LIB]NETCDF.OLB/lib,		-
			SYS$USERROOT2:[...LIB]NCARG.OLB/lib,		-
			SYS$USERROOT2:[...LIB]NCARG_GKS.OLB/lib,	-
			SYS$USERROOT2:[...LIB]NCARG_LOC.OLB/lib
$!
$ link/executable=SEC_NCAR		sec_ncar,	cpmpxz2d,	-
	all_lc,		areafill,	areamask,	arrow,		-
	assem_unit,	barlab,		bes1d,		bes2d,		-
	bes2de,		bilin,		blkdat,		book,		-
	box,		caldate,	cell,		clrbox,		-
	cmast_seal,	cnt_frame,	cntcolor,	cntint,		-
	cntpack,	colorbar,	colram,		datestr,	-
	day_code,	depth_lab,	dombox,		draw_line,	-
	draw_user,	drawcl,		exitus,		external,	-
	extrap,		fdiag,		fld_type,	flddif,		-
	fldnam2id,	gcircle,	get_2dpos,	get_3dpos,	-
	get_cdf2dat,	get_cdf3dat,	get_date,	get_ewpt,	-
	get_pe2dat,	get_pe3dat,	get_pltday,	get_qg2dat,	-
	get_qg3dat,	get_scoor,	gksinit,	great_int,	-
	hbackground,	headln,		id2fldnam,	interp32,	-
	intrpindx,	landmask,	length,		lintrp,		-
	lintrp_sp,	ll2xy,		lnblk,		mapeod,		-
	maptitles,	mskscl,		my_handler,	ncvget,		-
	ncvget1,	opencdf,	pltvec,		psi2dynh,	-
	readpal,	readtopo,	rotparm,	sac,		-
	sea_elev,	sec_axis,	sec_frame,	set_units,	-
	setcolpal,	sig_fig,	smooth_under,	smoother,	-
	spline,		splint,		svan,		svel,		-
	time_indx,	vbackground,	vecmag,		vel_nt,		-
	velocity,	veritas,	vernum,		viewport,	-
	what_flds,	xsection,	xtr_exp,	xtr_prefix,	-
	xtr_units,	xy2ll,						-
			SYS$USERROOT2:[...LIB]NETCDF.OLB/lib,		-
			SYS$USERROOT2:[...LIB]NCARG.OLB/lib,		-
			SYS$USERROOT2:[...LIB]NCARG_GKS.OLB/lib,	-
			SYS$USERROOT2:[...LIB]NCARG_LOC.OLB/lib
$!
$ link/executable=CSEC_NCAR		csec_ncar,	cpmpxz2d,	-
	all_lc,		areafill,	areamask,	arrow,		-
	assem_unit,	barlab,		bes1d,		bes2d,		-
	bes2de,		bilin,		blkdat,		book,		-
	box,		caldate,	cell,		clrbox,		-
	cmast_seal,	cnt_frame,	cntcolor,	cntint,		-
	cntpack,	colorbar,	colram,		datestr,	-
	day_code,	depth_lab,	dombox,		draw_line,	-
	draw_user,	drawcl,		exitus,		external,	-
	extrap,		fdiag,		fld_type,	flddif,		-
	fldnam2id,	gcircle,	get_2dpos,	get_3dpos,	-
	get_cdf2dat,	get_cdf3dat,	get_date,	get_ewpt,	-
	get_pe2dat,	get_pe3dat,	get_pltday,	get_qg2dat,	-
	get_qg3dat,	get_scoor,	gksinit,	great_int,	-
	hbackground,	headln,		id2fldnam,	interp32,	-
	intrpindx,	landmask,	length,		lintrp,		-
	lintrp_sp,	ll2xy,		lnblk,		mapeod,		-
	maptitles,	mskscl,		my_handler,	ncvget,		-
	ncvget1,	opencdf,	pltvec,		psi2dynh,	-
	readpal,	readtopo,	rotparm,	sac,		-
	sea_elev,	sec_axis,	sec_frame,	set_units,	-
	setcolpal,	sig_fig,	smooth_under,	smoother,	-
	spline,		splint,		svan,		svel,		-
	time_indx,	vbackground,	vecmag,		vel_nt,		-
	velocity,	veritas,	vernum,		viewport,	-
	what_flds,	xsection,	xtr_exp,	xtr_prefix,	-
	xtr_units,	xy2ll,						-
			SYS$USERROOT2:[...LIB]NETCDF.OLB/lib,		-
			SYS$USERROOT2:[...LIB]NCARG.OLB/lib,		-
			SYS$USERROOT2:[...LIB]NCARG_GKS.OLB/lib,	-
			SYS$USERROOT2:[...LIB]NCARG_LOC.OLB/lib
$!
$ exit
