       subroutine arrow(x0,y0,x1,y1,headang,vhls)
c
c=======================================================================
c                                                                    ===
c  This routine draws an arrow, using NCAR plotting software,        ===
c  between the following coordinates:                                ===
c                                                                    ===
c                                (x2,y2)                             ===
c                                     \                              ===
c                 (x0,y0) =============> (x1,y1)                     ===
c                    tail             /     head                     ===
c                                (x3,y3)                             ===
c                                                                    ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define global data.
c-----------------------------------------------------------------------
c
#include <pconst.h>
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
      real alpha,angle,dx,dy,headang,vhls,x0,x1,x2,x3,y0,y1,y2,y3
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
c  Determine arrow direction.
c
      dx=x1-x0
      dy=y1-y0
      alpha=c0
      if((dx.eq.c0).and.(dy.gt.c0)) then
        alpha=c90*deg2rad
      elseif((dx.eq.c0).and.(dy.lt.c0)) then
        alpha=-c90*deg2rad
      else
        alpha=atan(dy/dx)
      endif
c
c  Determine arrow coordinates.
c
      if(((dx.ge.c0).and.(dy.ge.c0)).or.
     *   ((dx.ge.c0).and.(dy.le.c0))) then
        angle=alpha-headang
        x2=x1-vhls*cos(angle)
        y2=y1-vhls*sin(angle)
        angle=(c90*deg2rad-alpha)-headang
        x3=x1-vhls*sin(angle)
        y3=y1-vhls*cos(angle)
      else
        angle=(c90*deg2rad-alpha)-headang
        x2=x1+vhls*sin(angle)
        y2=y1+vhls*cos(angle)
        angle=alpha-headang
        x3=x1+vhls*cos(angle)
        y3=y1+vhls*sin(angle)
      endif
c
c  Draw arrow.
c
      call frstpt(x0,y0)
      call vector(x1,y1)
      call vector(x2,y2)
      call frstpt(x1,y1)
      call vector(x3,y3)
      return
      end
