      subroutine assem_unit (basestr,no_item,prfstr,fndprf,unitstr,
     &                                                    expstr,fndexp)
c
c=======================================================================
c                                                                    ===
c  This routine assembles the pieces of a units string and           ===
c  concatenates it to a running accumulator.                         ===
c                                                                    ===
c  ------                                                            ===
c  Input:                                                            ===
c  ------                                                            ===
c                                                                    ===
c  basestr...Accumulator string of units.                            ===
c  no_item...Number of items in accumulator.                         ===
c  prfstr....Prefix string.                                          ===
c  fndprf....Flag indicating whether prefix was found.               ===
c  unitstr...Base units string.                                      ===
c  expstr....Exponential string.                                     ===
c  fndexp....Flag indicating whether exponent was found.             ===
c                                                                    ===
c  -------                                                           ===
c  Output:                                                           ===
c  -------                                                           ===
c                                                                    ===
c  basestr...Accumulator string of units.                            ===
c  no_item...Number of items in accumulator.                         ===
c                                                                    ===
c=======================================================================
c
      integer no_item,sb1,sb2,se1,se2,sl1,sl2
      logical       fndexp,fndprf
      character*(*) basestr,expstr,prfstr,unitstr
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
c-----------------------------------------------------------------------
c  Increment item counter.  Get pointers to beginning & end of
c  accumulator.
c-----------------------------------------------------------------------
c
      no_item = no_item + 1
c
      call length (basestr,sl1,sb1,se1)
c
c-----------------------------------------------------------------------
c  Tack prefix onto accumulator.
c-----------------------------------------------------------------------
c
      if (fndprf) then
c
         call length (prfstr,sl2,sb2,se2)
         if (sl1.gt.0) then
            basestr = basestr(sb1:se1)//' '//prfstr(sb2:se2)
           else
            basestr = prfstr(sb2:se2)
         end if
         call length (basestr,sl1,sb1,se1)
c
        elseif (sl1.gt.0) then
c
         basestr = basestr(sb1:se1)//' '
         se1    = se1 + 1
c
      end if
c
c-----------------------------------------------------------------------
c  Tack basic units onto accumulator.
c-----------------------------------------------------------------------
c
      call length (unitstr,sl2,sb2,se2)
      if (sl1.gt.0) then
         basestr = basestr(sb1:se1)//unitstr(sb2:se2)
        else
         basestr = unitstr(sb2:se2)
      end if
      call length (basestr,sl1,sb1,se1)
c
c-----------------------------------------------------------------------
c  Tack exponent onto accumulator.
c-----------------------------------------------------------------------
c
      if (fndexp) then
         call length (expstr,sl2,sb2,se2)
         basestr = basestr(sb1:se1)//expstr(sb2:se2)
      end if
c
      return
      end
