      subroutine barlab (lab,lenlab,fval,cint,scl)
c
c=======================================================================
c                                                                    ===
c  This routine sets label LAB for the color bar.                    ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define Global data.
c-----------------------------------------------------------------------
c
#include <pconst.h>
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
      integer idec,idot,ibgn,iend,lenlab,sgnsp
      integer great_int
      real cint,cintwk,fval,fwrk,scl
      real         sig_fig
      character*4  frmt1
      character*6  frmt2
      character*10 lab
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
c-----------------------------------------------------------------------
c  Determine scaled value for color bar numeric label.
c-----------------------------------------------------------------------
c
      fwrk   = fval*scl
      cintwk = cint*scl
c
c-----------------------------------------------------------------------
c  Determine field widths color bar numeric label.
c-----------------------------------------------------------------------
c
      if (fwrk.ge.c0) then
         sgnsp = 0
       else
         sgnsp = 1
      endif
c
      if (fwrk.ne.c0) then
         idot = max(int(log10(abs(fwrk)))+1,1)
      else
         idot = 1
      endif
c
      if (cintwk.ne.c0) then
         idec = max(-great_int(log10(abs(cintwk))),0)
      else
         idec = 0
      endif
c
c-----------------------------------------------------------------------
c  Prevent label "overflow".
c-----------------------------------------------------------------------
c
      idec = min( idec, (len(lab)-(idot+1+sgnsp)) )
c
c-----------------------------------------------------------------------
c  Round the results based on the output accuracy.
c-----------------------------------------------------------------------
c
      fwrk = sig_fig (fwrk,(idot+idec))
c
      if (fwrk.ne.c0) then
         idot = max(int(log10(abs(fwrk)))+1,1)
      else
         idot = 1
      endif
c
c-----------------------------------------------------------------------
c  Determine color bar numeric label.
c-----------------------------------------------------------------------
c
      if(idec.eq.0) then
        if((nint(fwrk)).gt.(int(fwrk))) then
          write(frmt1,10) idot+1+sgnsp
        else
          write(frmt1,10) idot+sgnsp
        endif
  10    format('(i',i1,')')
        write(lab,frmt1) nint(fwrk)
      else
        write(frmt2,20) idot+idec+1+sgnsp,idec
  20    format('(f',i1,'.',i1,')')
        write(lab,frmt2) fwrk
      endif
c
c-----------------------------------------------------------------------
c  Make sure label starts at beginning of variable.
c-----------------------------------------------------------------------
c
      call length (lab,lenlab,ibgn,iend)
      lab=lab(ibgn:iend)
      call length (lab,lenlab,ibgn,iend)
c
      return
      end
