      block data blkdat
c
c=======================================================================
c                                                                    ===
c  Sub-program to initialize some variables and arrays in named      ===
c  common blocks when the ANALYTICAL option is activated.            ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define global data.
c-----------------------------------------------------------------------
c
#include <param.h>
#include <pefldid.h>
#include <pltio.h>
#include <pltncar.h>
#include <qgfldid.h>
#include <version.h>
c
c=======================================================================
c  Initialize some common block data.
c=======================================================================
c
c-----------------------------------------------------------------------
c  Set the model name, closing date of current version & version number.
c-----------------------------------------------------------------------
c
      data model /'HOPS Plot '/
      data vdate /'08/03/2005'/
      data vnum  /'3.6       '/
c
c-----------------------------------------------------------------------
c  Set I/O logical units.
c-----------------------------------------------------------------------
c
      data stdinp /5/
      data stdout /6/
      data inppal /9/
      data inppar /10/
      data inpcst /13/
      data inpbth /14/
      data inpgeo /15/
      data inptrk /16/
      data inprng /17/
c
c-----------------------------------------------------------------------
c  Set NCAR escape character.
c-----------------------------------------------------------------------
c
      data esc_char /'$'/
c
c-----------------------------------------------------------------------
c  Set tracer id vectors.
c-----------------------------------------------------------------------
c
      data tid    /petemp,pesalt,petrc1,petrc2,petrc3,petrc4,petrc5,
     &             petrc6,petrc7,petrc8,petrc9,ptrc10,ptrc11,ptrc12,
     &             ptrc13,ptrc14,ptrc15,ptrc16,ptrc17,ptrc18,ptrc19,
     &             ptrc20,ptrc21,ptrc22,ptrc23,ptrc24,ptrc25,ptrc26,
     &             ptrc27,ptrc28,ptrc29,ptrc30,ptrc31,ptrc32,ptrc33,
     &             ptrc34,ptrc35,ptrc36,ptrc37,ptrc38,ptrc39,ptrc40,
     &             ptrc41,ptrc42,ptrc43,ptrc44,ptrc45/
      data tbalid /pettb1,pettb2,pettb3,pettb4,pettb5,pettb6,pettb7,
     *             pettb8,pettb9,petsb1,petsb2,petsb3,petsb4,petsb5,
     *             petsb6,petsb7,petsb8,petsb9,pet1b1,pet1b2,pet1b3,
     *             pet1b4,pet1b5,pet1b6,pet1b7,pet1b8,pet1b9,pet2b1,
     *             pet2b2,pet2b3,pet2b4,pet2b5,pet2b6,pet2b7,pet2b8,
     *             pet2b9,pet3b1,pet3b2,pet3b3,pet3b4,pet3b5,pet3b6,
     *             pet3b7,pet3b8,pet3b9,pet4b1,pet4b2,pet4b3,pet4b4,
     *             pet4b5,pet4b6,pet4b7,pet4b8,pet4b9,pet5b1,pet5b2,
     *             pet5b3,pet5b4,pet5b5,pet5b6,pet5b7,pet5b8,pet5b9,
     *             pet6b1,pet6b2,pet6b3,pet6b4,pet6b5,pet6b6,pet6b7,
     *             pet6b8,pet6b9,pet7b1,pet7b2,pet7b3,pet7b4,pet7b5,
     *             pet7b6,pet7b7,pet7b8,pet7b9,pet8b1,pet8b2,pet8b3,
     *             pet8b4,pet8b5,pet8b6,pet8b7,pet8b8,pet8b9,pet9b1,
     *             pet9b2,pet9b3,pet9b4,pet9b5,pet9b6,pet9b7,pet9b8,
     *             pet9b9,pt10b1,pt10b2,pt10b3,pt10b4,pt10b5,pt10b6,
     *             pt10b7,pt10b8,pt10b9,pt11b1,pt11b2,pt11b3,pt11b4,
     *             pt11b5,pt11b6,pt11b7,pt11b8,pt11b9,pt12b1,pt12b2,
     *             pt12b3,pt12b4,pt12b5,pt12b6,pt12b7,pt12b8,pt12b9,
     &             297*0/
      data toerid /petoer,pesoer,pet1oe,pet2oe,pet3oe,pet4oe,pet5oe,
     &             pet6oe,pet7oe,pet8oe,pet9oe,pt10oe,pt11oe,pt12oe,
     &             33*0/
      data tferid /petfer,pesfer,pet1fe,pet2fe,pet3fe,pet4fe,pet5fe,
     &             pet6fe,pet7fe,pet8fe,pet9fe,pt10fe,pt11fe,pt12fe,
     &             33*0/
c
      data qtid   /qgtemp,qgsalt,qgsbl1,qgsbl2,qgsbl3,qgsbl4,qgsbl5,
     &             qgsbl6,qgsbl7,qgsbl8,qgsbl9,qgsb10,qgsb11,qgsb12,
     &             33*0/
      data qterid /qgtoer,qgsoer,qg1oer,qg2oer,qg3oer,qg4oer,qg5oer,
     &             qg6oer,qg7oer,qg8oer,qg9oer,qg10oe,qg11oe,qg12oe,
     &             33*0/
      data qtmnid /qgtomn,qgsomn,qg1omn,qg2omn,qg3omn,qg4omn,qg5omn,
     &             qg6omn,qg7omn,qg8omn,qg9omn,qg10om,qg11om,qg12om,
     &             33*0/
      data qserid /qgtser,qgsser,qg1ser,qg2ser,qg3ser,qg4ser,qg5ser,
     &             qg6ser,qg7ser,qg8ser,qg9ser,qg10se,qg11se,qg12se,
     &             33*0/
      data qrmsid /qgters,qgsers,qg1ers,qg2ers,qg3ers,qg4ers,qg5ers,
     &             qg6ers,qg7ers,qg8ers,qg9ers,qg10er,qg11er,qg12er,
     &             33*0/
c
c-----------------------------------------------------------------------
c  Set names of possible PE tracer variables.
c-----------------------------------------------------------------------
c
      data tname(1,1) /'temp                                        '/
      data tname(2,1) /'Temperature                                 '/
      data tname(3,1) /'Celsius                                     '/
      data tname(1,2) /'salt                                        '/
      data tname(2,2) /'Salinity                                    '/
      data tname(3,2) /'PSU                                         '/
      data tname(1,3) /'phyto                                       '/
      data tname(2,3) /'Phytoplankton Concentration                 '/
      data tname(3,3) /'millimole nitrogen meter-3                  '/
      data tname(1,4) /'zoo                                         '/
      data tname(2,4) /'Zooplankton Concentration                   '/
      data tname(3,4) /'millimole nitrogen meter-3                  '/
      data tname(1,5) /'NO3                                         '/
      data tname(2,5) /'Nitrate Concentration                       '/
      data tname(3,5) /'millimole nitrogen meter-3                  '/
      data tname(1,6) /'NH4                                         '/
      data tname(2,6) /'Ammonium Concentration                      '/
      data tname(3,6) /'millimole nitrogen meter-3                  '/
      data tname(1,7) /'detritus                                    '/
      data tname(2,7) /'Detritus Concentration                      '/
      data tname(3,7) /'millimole nitrogen meter-3                  '/
      data tname(1,8) /'PON                                         '/
      data tname(2,8) /'Particulate Organic Nitrogen Concentration  '/
      data tname(3,8) /'millimole nitrogen meter-3                  '/
      data tname(1,9) /'DON                                         '/
      data tname(2,9) /'Dissolved Organic Nitrogen Concentration    '/
      data tname(3,9) /'millimole nitrogen meter-3                  '/
      data tname(1,10)/'bacteria                                    '/
      data tname(2,10)/'Bacteria Concentration                      '/
      data tname(3,10)/'millimole nitrogen meter-3                  '/
      data tname(1,11)/'CHL                                         '/
      data tname(2,11)/'chlorophyll concentration                   '/
      data tname(3,11)/'milligram meter-3                           '/
      data tname(1,12)/'cod                                         '/
      data tname(2,12)/'cod concentration                           '/
      data tname(3,12)/'millimole nitrogen meter-3                  '/
      data tname(1,13)/'CELLNO3                                     '/
      data tname(2,13)/'cellular nitrogen (from nitrate)            '/
      data tname(3,13)/'millimole nitrogen meter-3                  '/
      data tname(1,14)/'CELLNH4                                     '/
      data tname(2,14)/'cellular nitrogen (from ammonia)            '/
      data tname(3,14)/'millimole nitrogen meter-3                  '/
      data tname(1,15)/'PO4                                         '/
      data tname(2,15)/'Phosphate                                   '/
      data tname(3,15)/'milimole P meter-3                          '/
      data tname(1,16)/'SiO4                                        '/
      data tname(2,16)/'Silicate                                    '/
      data tname(3,16)/'millimole Si meter-3                        '/
      data tname(1,17)/'Fe                                          '/
      data tname(2,17)/'Iron                                        '/
      data tname(3,17)/'micromole Fe meter-3                        '/
      data tname(1,18)/'S_phyto                                     '/
      data tname(2,18)/'Small phytoplankton                         '/
      data tname(3,18)/'millimole nitrogen meter-3                  '/
      data tname(1,19)/'L_phyto                                     '/
      data tname(2,19)/'Large phytoplankton                         '/
      data tname(3,19)/'millimole C meter-3                         '/
      data tname(1,20)/'Microzoo                                    '/
      data tname(2,20)/'microzooplankton concentration              '/
      data tname(3,20)/'millimole C meter-3                         '/
      data tname(1,21)/'Mesozoo                                     '/
      data tname(2,21)/'Mesozooplankton concentration               '/
      data tname(3,21)/'millimole C meter-3                         '/
      data tname(1,22)/'DOM                                         '/
      data tname(2,22)/'Dissolved Organic Matter                    '/
      data tname(3,22)/'millimole C meter-3                         '/
      data tname(1,23)/'Bacteria                                    '/
      data tname(2,23)/'Bacteria concentration                      '/
      data tname(3,23)/'millimole C meter-3                         '/
      data tname(1,24)/'S_detritus                                  '/
      data tname(2,24)/'Small detritus concentration                '/
      data tname(3,24)/'millimole C meter-3                         '/
      data tname(1,25)/'L_detritus                                  '/
      data tname(2,25)/'Large detritus concentration                '/
      data tname(3,25)/'millimole C meter-3                         '/
      data tname(1,26)/'S_chlor                                     '/
      data tname(2,26)/'Prokaryote Chlorophyll concentration        '/
      data tname(3,26)/'milligram meter-3                           '/
      data tname(1,27)/'L_chlor                                     '/
      data tname(2,27)/'Eukaryote chlorophyll concentration         '/
      data tname(3,27)/'milligram meter-3                           '/
      data tname(1,28)/'T_chlor                                     '/
      data tname(2,28)/'Total chlorophyll concentration             '/
      data tname(3,28)/'milligram meter-3                           '/
      data tname(1,29)/'Bioluminescence                             '/
      data tname(2,29)/'Bioluminescence potenital                   '/
      data tname(3,29)/'nanovolt meter-3                            '/
      data tname(1,30)/'N12CD1                                      '/
      data tname(2,30)/'N1:C in detritus 1                          '/
      data tname(3,30)/'Dimensionless                               '/
      data tname(1,31)/'N32CD1                                      '/
      data tname(2,31)/'N3:C in detritus 1                          '/
      data tname(3,31)/'Dimensionless                               '/
      data tname(1,32)/'N42CD1                                      '/
      data tname(2,32)/'N4:C in detritus 1                          '/
      data tname(3,32)/'Dimensionless                               '/
      data tname(1,33)/'N52CD1                                      '/
      data tname(2,33)/'N5:C in detritus 1                          '/
      data tname(3,33)/'Dimensionless                               '/
      data tname(1,34)/'N12CD2                                      '/
      data tname(2,34)/'N1:C in detritus 2                          '/
      data tname(3,34)/'Dimensionless                               '/
      data tname(1,35)/'N32CD2                                      '/
      data tname(2,35)/'N3:C in detritus 2                          '/
      data tname(3,35)/'Dimensionless                               '/
      data tname(1,36)/'N42CD2                                      '/
      data tname(2,36)/'N4:C in detritus 2                          '/
      data tname(3,36)/'Dimensionless                               '/
      data tname(1,37)/'N52CD2                                      '/
      data tname(2,37)/'N5:C in detritus 2                          '/
      data tname(3,37)/'Dimensionless                               '/
      data tname(1,38)/'N12CDOM1                                    '/
      data tname(2,38)/'N1:C in DOM1                                '/
      data tname(3,38)/'Dimensionless                               '/
      data tname(1,39)/'N32CDOM1                                    '/
      data tname(2,39)/'N3:C in DOM1                                '/
      data tname(3,39)/'Dimensionless                               '/
      data tname(1,40)/'N42CDOM1                                    '/
      data tname(2,40)/'N4:C in DOM1                                '/
      data tname(3,40)/'Dimensionless                               '/
      data tname(1,41)/'N52CDOM1                                    '/
      data tname(2,41)/'N5:C in DOM1                                '/
      data tname(3,41)/'Dimensionless                               '/
      data tname(1,42)/'Chl2CP1                                     '/
      data tname(2,42)/'Chl:C in Small phyto                        '/
      data tname(3,42)/'Dimensionless                               '/
      data tname(1,43)/'Chl2CP2                                     '/
      data tname(2,43)/'Chl:C in Large phyto                        '/
      data tname(3,43)/'Dimensionless                               '/
      data tname(1,44)/'T_phyto                                     '/
      data tname(2,44)/'Total phytoplankton                         '/
      data tname(3,44)/'millimole C meter-3                         '/
      data tname(1,45)/'Totalzoo                                    '/
      data tname(2,45)/'Total zooplankton concentration             '/
      data tname(3,45)/'millimole C meter-3                         '/
      data tname(1,46)/'T_detritus                                  '/
      data tname(2,46)/'Total detritus concentration                '/
      data tname(3,46)/'millimole C meter-3  s                      '/
      data tname(1,47)/'Chlor_T                                     '/
      data tname(2,47)/'Chlorophyll concentration                   '/
      data tname(3,47)/'milligram meter-3                           '/
c
      data tbterm(1) /'Total                                       '/
      data tbterm(2) /'Zonal Advection                             '/
      data tbterm(3) /'Meridional Advection                        '/
      data tbterm(4) /'Vertical Advection                          '/
      data tbterm(5) /'Zonal Diffusion                             '/
      data tbterm(6) /'Meridional Diffusion                        '/
      data tbterm(7) /'Vertical Diffusion                          '/
      data tbterm(8) /'Source/Sink                                 '/
      data tbterm(9) /'Boundary Relaxation                         '/
c
      end
