      subroutine book(color_flg,icolor,xscale,yscale,xshift,yshift,
     *                cline)
c
c=======================================================================
c                                                                    ===
c  This subroutine draws the little books in the Harvard logo.       ===
c                                                                    ===
c  On Input:                                                         ===
c                                                                    ===
c  COLOR_FLG   Indicates whether doing color plotting (integer).     ===
c  ICOLOR      The color code to fill inside of book (integer).      ===
c  XSCALE      The scaling factor for the x-coordinates (real).      ===
c  XSHIFT      The x-coordinate translation (real).                  ===
c  YSCALE      The scaling factor for the y-coordinates (real).      ===
c  YSHIFT      The y-coordinate translation (real).                  ===
c  CLINE       Flag governing the drawing of the centerline (logical)===
c                 CLINE = .true.   ->  draw whole line.              ===
c                 CLINE = .false.  ->  skip middle LFRAC fraction.   ===
c                                                                    ===
c  Calls:  clrbox                                                    ===
c                                                                    ===
c  NCAR Calls:  curve                                                ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define global data.
c-----------------------------------------------------------------------
c
#include <pconst.h>
c
c-----------------------------------------------------------------------
c  Define local data
c-----------------------------------------------------------------------
c
      integer icline,n_bk,nmax
      real    lfrac
      parameter (icline=8, lfrac=r3, n_bk=49, nmax=7)
c
      logical cline
      integer color_flg,icolor,k,n
      integer n_line(11)
      real    dy,xscale,xshift,yscale,yshift
      real x(n_bk),y(n_bk)
      real x_bk(n_bk),y_bk(n_bk),x_line(nmax,11),y_line(nmax,11)
c
      data  x_bk  / 0.0000, 0.0121, 0.0202, 0.0363, 0.0524, 0.0685,
     *              0.0847, 0.0927, 0.2097, 0.2298, 0.2379, 0.2540,
     *              0.2702, 0.2863, 0.3024, 0.3105, 0.3226, 0.3226,
     *              0.3387, 0.3710, 0.3710, 0.3387, 0.3226, 0.3226,
     *              0.3387, 0.3710, 0.3710, 0.3387, 0.3226, 0.3226,
     *              0.1855, 0.1774, 0.1613, 0.1452, 0.1371, 0.0000,
     *              0.0000,-0.0161,-0.0484,-0.0484,-0.0161, 0.0000,
     *              0.0000,-0.0161,-0.0484,-0.0484,-0.0161, 0.0000,
     *              0.0000/
      data  y_bk  / 0.0000, 0.0000, 0.0059, 0.0118, 0.0176, 0.0118,
     *              0.0059, 0.0000, 0.0000, 0.0000, 0.0059, 0.0118,
     *              0.0176, 0.0118, 0.0059, 0.0000, 0.0000,-0.0353,
     *             -0.0471,-0.0471,-0.0706,-0.0824,-0.0941,-0.1882,
     *             -0.2000,-0.2000,-0.2235,-0.2471,-0.2588,-0.2824,
     *             -0.2824,-0.2941,-0.3000,-0.2941,-0.2824,-0.2824,
     *             -0.2588,-0.2471,-0.2235,-0.2000,-0.2000,-0.1882,
     *             -0.0941,-0.0824,-0.0706,-0.0471,-0.0471,-0.0353,
     *              0.0000/
      data x_line / 0.1371, 0.1371, 0.0000, 0.0000, 0.0000, 0.0000,
     *              0.0000, 0.1855, 0.1855, 0.0000, 0.0000, 0.0000,
     *              0.0000, 0.0000, 0.0202, 0.0202, 0.0000, 0.0000,
     *              0.0000, 0.0000, 0.0000, 0.0524, 0.0524, 0.0000,
     *              0.0000, 0.0000, 0.0000, 0.0000, 0.0524, 0.0202,
     *              0.0000, 0.0000, 0.0000, 0.0000, 0.0000, 0.0202,
     *              0.1371, 0.1452, 0.1613, 0.1774, 0.1855, 0.3024,
     *              0.0524, 0.2702, 0.0000, 0.0000, 0.0000, 0.0000,
     *              0.0000, 0.1613, 0.1613, 0.0000, 0.0000, 0.0000,
     *              0.0000, 0.0000, 0.3024, 0.3024, 0.0000, 0.0000,
     *              0.0000, 0.0000, 0.0000, 0.2702, 0.2702, 0.0000,
     *              0.0000, 0.0000, 0.0000, 0.0000, 0.3024, 0.2702,
     *              0.0000, 0.0000, 0.0000, 0.0000, 0.0000/
      data y_line /-0.2824,-0.2706, 0.0000, 0.0000, 0.0000, 0.0000,
     *              0.0000,-0.2824,-0.2706, 0.0000, 0.0000, 0.0000,
     *              0.0000, 0.0000, 0.0059,-0.2706, 0.0000, 0.0000,
     *              0.0000, 0.0000, 0.0000, 0.0176,-0.2471, 0.0000,
     *              0.0000, 0.0000, 0.0000, 0.0000,-0.2471,-0.2706,
     *              0.0000, 0.0000, 0.0000, 0.0000, 0.0000,-0.2706,
     *             -0.2706,-0.2588,-0.2471,-0.2588,-0.2706,-0.2706,
     *             -0.2471,-0.2471, 0.0000, 0.0000, 0.0000, 0.0000,
     *              0.0000, 0.0000,-0.2471, 0.0000, 0.0000, 0.0000,
     *              0.0000, 0.0000, 0.0059,-0.2706, 0.0000, 0.0000,
     *              0.0000, 0.0000, 0.0000, 0.0176,-0.2471, 0.0000,
     *              0.0000, 0.0000, 0.0000, 0.0000,-0.2706,-0.2471,
     *              0.0000, 0.0000, 0.0000, 0.0000, 0.0000/
      data n_line / 2, 2, 2, 2, 2, 7, 2, 2, 2, 2, 2/
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
c-----------------------------------------------------------------------
c  Draw the book outline.
c-----------------------------------------------------------------------
c
      do 10 n=1,n_bk
        x(n)=xshift+x_bk(n)*xscale
        y(n)=yshift+y_bk(n)*yscale
 10   continue
      if(color_flg.eq.1) call clrbox(x,y,n_bk,icolor)
      call curve(x,y,n_bk)
c
c-----------------------------------------------------------------------
c  Draw the book details.
c-----------------------------------------------------------------------
c
      do 30 k=1,icline-1
        do 20 n=1,n_line(k)
          x(n)=xshift+x_line(n,k)*xscale
          y(n)=yshift+y_line(n,k)*yscale
 20     continue
        call curve(x,y,n_line(k))
 30   continue
c
      do 40 n=1,n_line(icline)
        x(n)=xshift+x_line(n,icline)*xscale
        x(n+2)=x(n)
        y(n)=yshift+y_line(n,icline)*yscale
        y(n+2)=y(n)
 40   continue
      if(cline) then
        dy=(y(2)-y(1))*p5
       else
        dy=(c1-lfrac)*(y(2)-y(1))*p5
      endif
      y(2)=y(1)+dy
      y(3)=y(4)-dy
      call curve(x,y,2)
      call curve(x(3),y(3),2)
c
      do 60 k=icline+1,11
        do 50 n=1,n_line(k)
          x(n)=xshift+x_line(n,k)*xscale
          y(n)=yshift+y_line(n,k)*yscale
 50     continue
        call curve(x,y,n_line(k))
 60   continue
      return
      end
