      subroutine cntcolor(f,mm,m,n,fmin,fmax,icnt,ipos,lmsk)
c
c=======================================================================
c                                                                    ===
c  This routine contours in color (solid fill) and draws color bar.  ===
c  It assumes  that the User has  call SET previously for properly   ===
c  positioning of the color map.  Color palette is selected by the   ===
c  User and stored in common block COLPAL.                           ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define global data.
c-----------------------------------------------------------------------
c
#include <param.h>
#include <pconst.h>
#include <cntwkspa.h>
#include <colpal.h>
#include <fmask.h>
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
      integer fill,i,icnt,ipos,isu,liwku,lmsk,lrwku,m,mm,n
      real cint,clv,fmax,fmin,zmn,zmx
      real f(mm,n)
      external colram
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
c-----------------------------------------------------------------------
c  Initialize area map.
c-----------------------------------------------------------------------
c
      call arinam(iam,lam)
c
c-----------------------------------------------------------------------
c  If land masking, paint the entire plot window with blue water.
c-----------------------------------------------------------------------
c
      lmask=lmsk
      if(lmsk.gt.0) then
        fill=0
        call landmask(fill)
        if(msk) then
          fill=1
          call landmask(fill)
        endif
      endif
c
c-----------------------------------------------------------------------
c  Set CONPACK options.
c-----------------------------------------------------------------------
c
c  Prevent CONPACK from setting the viewport.
c
      call cpseti('SET - do-set-call flag',0)
c
c  Set mapping to that provided by the User.
c
      call cpseti('MAP - mapping flag',3)
c
c  Set "out of range" value to control contouring.
c
      call cpsetr ('ORV - Out of Range Value',orval)
c
c  Set special value feature.
c
      call cpsetr('SPV - special value',spval1)
c
c  Set  NCL-1  contour levels,  splitting the range into NCL equal
c  bands, one for each of the NCL colors available.  Specify those
c  levels, and define exactly what is to be done at each level.
c
      call cpseti('CLS - contour level selector',0)
      call cpseti('NCL - number of contour levels',ncl-1)
      cint=(fmax-fmin)/float(ncl)
      do 10 i=1,ncl-1
        clv=fmin+float(i)*cint
        call cpseti('PAI - parameter index array',i)
        call cpsetr('CLV - contour level',clv)
        call cpseti('CLU - contour level use',1)
        call cpseti('AIB - area indentifier below level',i)
        call cpseti('AIA - area indentifier above level',i+1)
  10  continue
c
c  Provide more room for X and Y coordinates defining contours lines.
c
      call cpseti('RWC - real workspace for contours',300)
c
c-----------------------------------------------------------------------
c  Initialize the drawing of the contour plot.
c-----------------------------------------------------------------------
c
      call cprect(f,mm,m,n,rwrk,lrwk,iwrk,liwk)
      call cpgetr('ZMN - minimum value found',zmn)
      call cpgetr('ZMX - maximum value found',zmx)
c
c-----------------------------------------------------------------------
c  Put contour lines into area map.
c-----------------------------------------------------------------------
c
      call cpclam(f,rwrk,iwrk,iam)
c
c-----------------------------------------------------------------------
c  Color the map.
c-----------------------------------------------------------------------
c
      call arpram(iam,0,0,0)
      call arscam(iam,xcs,ycs,mcs,iai,iag,mai,colram)
c
c-----------------------------------------------------------------------
c  Put contour lines over the color map.
c-----------------------------------------------------------------------
c
      if(icnt.eq.1) then
#ifndef whitelines
        call gsplci(1)
# else
        call gsplci(0)
#endif
        call cpcldr(f,rwrk,iwrk)
#ifdef whitelines
        call gsplci(1)
#endif
      endif
c
c-----------------------------------------------------------------------
c  If land masking, retrieve, project, and add the selected coastlines
c  to a new area map and then paint land areas.  Notice that the area
c  map is re-initialized.
c-----------------------------------------------------------------------
c
      if((lmsk.gt.0).and.(.not.msk)) then
        fill=1
        call arinam(iam,lam)
        call landmask(fill)
        call arpram(iam,0,0,0)
        call arscam(iam,xcs,ycs,mcs,iai,iag,mai,colram)
      endif
c
c-----------------------------------------------------------------------
c  Report the work space used.
c-----------------------------------------------------------------------
c
      call cpgeti('RWU - real workspace usage',lrwku)
      call cpgeti('IWU - integer workspace usage',liwku)
      isu=lam-(iam(6)-iam(5)-1)
      write(6,20) lrwku,lrwk,liwku,liwk,isu,lam
  20  format(/' CNTCOLOR - real workspace used: ',4x,i6,5x,'given: ',
     *       i6,/10x,'- integer workspace used: ',1x,i6,5x,'given: ',
     *       i6,/9x,'- space used in area mask: ',i6,5x,'given: ',i7/)
c
c-----------------------------------------------------------------------
c  Zero-out contour level array to facilitate overlays, if any.
c  Set back defaults.
c-----------------------------------------------------------------------
c
      do 30 i=1,ncl-1
        call cpseti('PAI - parameter index array',i)
        call cpsetr('CLV - contour level',c0)
  30  continue
c
c-----------------------------------------------------------------------
c  Draw color bar.
c-----------------------------------------------------------------------
c
      call colorbar(ncl,fmin,fmax,ipos)
      return
      end
