      function cntint(ifield,level,fmin,fmax,z,km,cont,iflds,ilevs)
c
c=======================================================================
c                                                                    ===
c  This routine determines contour interval.                         ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define global data.
c-----------------------------------------------------------------------
c
#include <pconst.h>
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
      integer ifield,iflds,ilevs,k,km,level,ncl,nl
      real cint,cintsgn,fint,fmax,fmin,p
      real cont(iflds,ilevs),z(km)
      real cntint
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
c  Compute contour interval: about NCL contour lines.
c
      ncl=15
      fint=(fmax-fmin)/float(ncl)
      if(fint.ne.c0) then
        p=10**(ifix(alog10(fint)+c5000)-c5000)
        fint=max(aint(fint/p),c1)*p
      else
        fint=c0
      endif
c
c  Extract contour interval from provided plot data file.
c
      if(level.le.2*km) then
        cint=cont(ifield,level)
      elseif(level.eq.0) then
        cint=cont(ifield,1)
      else
        do 10 k=1,km
          if(float(level).gt.abs(z(k))) then
            if(k.lt.km) then
              cint=min(cont(ifield,k),cont(ifield,k+1))
            else
              cint=cont(ifield,k)
            endif
          endif
  10    continue
      endif
c
c  If the specified contour interval needs to be modified, activate the
c  no drawing of zero-contour lines (set negative contour interval)
c  if requested.
c
      cintsgn=c1
      if(cint.lt.c0) cintsgn=cm1
c
c  Select contour interval: computed or provided.
c
      if(cint.ne.c0) then
        nl=int((fmax-fmin)/abs(cint))+1
      else
        nl=2*ncl
      endif
      if(nl.ge.2*ncl) then
        cntint=cint
c       cntint=fint*cintsgn
      else
        cntint=cint
      endif
      return
      end
