      subroutine colram(xam,yam,nam,ai,ag,nai)
c
c=======================================================================
c                                                                    ===
c  The arrays XAM and YAM,  for indices 1 to NAM,  contain the       ===
c  X and Y coordinates of points defining a polygon.  The area       ===
c  identifiers in the array AI,  each with an associated group       ===
c  identifier in the array AG,  tell us whether the polygon is       ===
c  to be color-filled or not.                                        ===
c                                                                    ===
c=======================================================================
c
#include <param.h>
#include <cntwkspa.h>
#include <colpal.h>
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
      integer cindx,i,ai1,ai3,ici,mapaci,nai,nam
      integer ai(nai),ag(nai)
      real xam(nam),yam(nam)
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
c  Check if scrach array space is appropriate.
c
      if(nai.gt.mai) then
        write(6,10) mai,nai
  10    format(' COLRAM - underdimensioned arrays: AI, AG: ',2i6)
      elseif(nam.gt.mcs) then
        write(6,20) mcs,nam
  20    format(' COLRAM - underdimensioned arrays: XAM, YAM: ',2i6)
      endif
c
c-----------------------------------------------------------------------
c  Find the area identifiers for the area realtive to groups 1 and 3.
c  The first of these tell us whether the area is over land or water,
c  and the second tell us what contour band the area is in.
c-----------------------------------------------------------------------
c
      ai1=-1
      ai3=-1
      do 40 i=1,nai
        if(ag(i).eq.1) ai1=ai(i)
        if(ag(i).eq.3) ai3=ai(i)
c       print 30, i,ag(i),ai(i),mapaci(ai1),nam
  30    format(i4,' Group = ',i5,'  Area = ',i5,' Land Index = ',i5,
     *         ' Npts = ',i5)
  40  continue
      ici=mapaci(ai1)
      if(((1.le.ai3).and.(ai3.le.ncl)).and.(ici.ne.1)) ici=1
c
c-----------------------------------------------------------------------
c  Reset flags if not color masking land and water.
c-----------------------------------------------------------------------
c
      if(lmask.eq.0) ai1=-1
c
c-----------------------------------------------------------------------
c  Color-fill the area, using brown for any area over land, a color
c  depending on the contour level, and blue for any area over water
c  elsewhere.
c-----------------------------------------------------------------------
c
      if(ai3.gt.0) then
        cindx=ai3+1
        call gsfaci(cindx)
        call gfa(nam-1,xam,yam)
c       print 50, nam,ici,ai1,ai3
  50    format('Water: ',5x,' npts = ',i5,3x,'ici = ',i5,3x,'ai1 = ',
     *         i5,3x,'ai3 = ',i5/)
      elseif((ai1.gt.0).and.(ici.ne.1)) then
        cindx=ncl+2
        call gsfaci(cindx)
        call gfa(nam-1,xam,yam)
c       print 60, nam,ici,ai1,ai3
  60    format('Land: ',5x,' npts = ',i5,3x,'ici = ',i5,3x,'ai1 = ',i5,
     *         3x,'ai3 = ',i5/)
      endif
      return
      end
