      subroutine exitus(module)
c
c=======================================================================
c                                                                    ===
c  This routine is used to terminate execution during abnormal       ===
c  computations.   All output units  are properly  flushed and       ===
c  closed.                                                           ===
c                                                                    ===
c  On Input:                                                         ===
c                                                                    ===
c     MODULE   routine issuing termination (character)               ===
c                                                                    ===
c  Require common blocks                                             ===
c                                                                    ===
c     INPCDF, PLTFLD                                                 ===
c                                                                    ===
c  Calls:                                                            ===
c                                                                    ===
c     CLSGKS  (NCAR GKS library)                                     ===
c     NCCLOS  (NetCDF library)                                       ===
c                                                                    ===
c=======================================================================
c
c=======================================================================
c  Define global data.
c=======================================================================
c
#include <inpcdf.h>
#include <pltfld.h>
#include <pltncar.h>
c
c=======================================================================
c  Define local data.
c=======================================================================
c
      character*(*) module
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
c  Close opened NetCDF files.
c
      if (module(1:4).ne.'DONE') then
         call ncclos(ncinp1id,rcode)
         if((iref.eq.2).or.(iref.eq.3)) call ncclos(ncinp2id,rcode)
      endif
c
c  Close GKS software.
c
      if (mod(nframe,npage).ne.0) call frame
      call clsgks
c
c  Indicate which routine issued abnormal termination.
c
      if(module(1:4).eq.'DONE') then
        print 10, module
  10    format(a)
      else
        print 20, module
  20    format(/,' Execution abnormally terminated in module: ',a,/)
      endif
      stop
      end
