      subroutine flddif (np,f1,f2)
c
c=======================================================================
c                                                                    ===
c  This routines takes a difference of the two input fields except   ===
c  flagged points.  Those points are returned as flagged.            ===
c                                                                    ===
c  ------                                                            ===
c  Input:                                                            ===
c  ------                                                            ===
c                                                                    ===
c  NP...The number of points in the two fields.                      ===
c  F1...The field to be subtracted from.                             ===
c  F2...The field to be subtracted.                                  ===
c                                                                    ===
c  -------                                                           ===
c  Output:                                                           ===
c  -------                                                           ===
c                                                                    ===
c  F1...The difference field.                                        ===
c                                                                    ===
c=======================================================================
c
c
c-----------------------------------------------------------------------
c  Define global data.
c-----------------------------------------------------------------------
c
#include <pconst.h>
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
      integer n,np
      real    f1(np),f2(np)
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
      do 10 n = 1, np
c
         if (max(f1(n),f2(n)).lt.min(spval0,spval1)) then
            f1(n) = f1(n) - f2(n)
           else
            f1(n) = spval1
         end if
c
  10  continue
c
      return
      end
