      subroutine hbackground(day,cint,fmin,fmax,frms,icolor,class,idfld,
     *                       level)
c
c=======================================================================
c                                                                    ===
c  This routine draws background plot like grid, coastlines, top     ===
c  and bottom titles, and various overlays.                          ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define global data.
c-----------------------------------------------------------------------
c
#include <cdefs.h>
#include <pconst.h>
#include <pltio.h>
#include <pltlab.h>
#include <pltncar.h>
c
c   Cludge to enable animation of drifters.
c
#include <pltfld.h>
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
      integer cntplt,i,class,icolor,idfld,level
#ifndef otto_tick
     &       ,ix,iy,lenstr
#else
     &       ,ii
#endif
      real cint,day,dellat,dellon,dummy,fllab,fmax,fmin,fontsize,fntscl,
     *     frms,ftlab,x,xlab,xp,x1,x2,y,ylab,yp,y1,y2
      real xgrid(301),ygrid(301)
#ifdef otto_tick
      integer ist,ind,di,slen,sbgn,send
      real    dels,s0,s1,work(2)
#endif
#ifndef otto_tick
      character*2 ychar
      character*3 xchar
#else
      character*20 xchar,ychar
#endif
c
c   Cludge to enable animation of drifters.
c
      real    ltcmid
      logical first
#if !defined lowchr | defined otto_tick
      parameter (fntscl=c1)
#else
      parameter (fntscl=1.2)
#endif
#if !defined mediumfont
      parameter (cntplt=1,fontsize=c10*fntscl)
#elif defined otto_tick
      parameter (cntplt=1,fontsize=12.5*fntscl)
#else
      parameter (cntplt=1,fontsize=15.0*fntscl)
#endif
c
c   Cludge to enable animation of drifters.
c
      save ltcmid,first
c
      data first/.true./
c
c=======================================================================
c  Begin executive code.
c=======================================================================
c
c  Set plotting frame.
c
      call set(fl,fr,fb,ft,ul,ur,ub,ut,1)
c
c-----------------------------------------------------------------------
c  Draw domain box and grid.
c-----------------------------------------------------------------------
c
      call dombox
c
c  Set line pattern: solid lines (65535) or dash lines (43690).
c
      call dashdb(65535)
c
c  Draw iso-latitude grid-lines and write labels.
c
      fllab=fl-r100
      xlab=ul+(fllab-fl)*(ur-ul)/(fr-fl)
#ifndef otto_tick
      if(pblat.ge.c0) then
        y=float(int(pblat))+c1
      else
        y=float(int(pblat))
      endif
      do 20 while (y.le.ptlat)
#else
      work(1) = pblat
      work(2) = ptlat
      call set_lltick (work,fb,ft,dels,s0,s1,ist,ind,di)
c
      do 20 ii = ist, ind, di
        y = dels*float(ii)
#endif
        call maptrn(y,pllon,x1,y1)
        call maptrn(y,prlon,x2,y2)
        if((iproj.eq.1).or.(iproj.eq.2)) then
          call lined(x1,y1,x2,y2)
        elseif(iproj.eq.3) then
          dellon=(prlon-pllon)/c300
          do 10 i=1,301
            xp=pllon+float(i-1)*dellon
            yp=y
            call maptrn(yp,xp,xgrid(i),ygrid(i))
  10      continue
          call curved(xgrid,ygrid,301)
        endif
#ifndef otto_tick
        iy=int(y)
        if((0.le.abs(iy)).and.(abs(iy).lt.10)) then
          write(ychar,'(i1)') abs(iy)
          lenstr=1
        elseif((10.le.abs(iy)).and.(abs(iy).lt.100)) then
          write(ychar,'(i2)') abs(iy)
          lenstr=2
        endif
        call PLTCHR(xlab,y1,ychar(1:lenstr),fontsize,c0,c1)
        y=y+float(igrid)
#else
        call setllstr (y,'N','S',ychar)
        call length (ychar,slen,sbgn,send)
        call PLTCHR(xlab,y1,ychar(sbgn:send),fontsize,c0,c1)
#endif
  20  continue
c
c  Draw iso-longitude grid-lines and write labels.
c
      ftlab=ft+p015
      ylab=ub+(ftlab-fb)*(ut-ub)/(ft-fb)
#ifndef otto_tick
      if(pllon.ge.c0) then
        x=float(int(pllon))+c1
      else
        x=float(int(pllon))
      endif
      do 40 while (x.le.prlon)
#else
      work(1) = pllon
      work(2) = prlon
      call set_lltick (work,fl,fr,dels,s0,s1,ist,ind,di)
c
      do 40 ii = ist, ind, di
        x = dels*float(ii)
#endif
        call maptrn(pblat,x,x1,y1)
        call maptrn(ptlat,x,x2,y2)
        if((iproj.eq.1).or.(iproj.eq.2)) then
          call lined(x1,y1,x2,y2)
        elseif(iproj.eq.3) then
          dellat=( ptlat-pblat )/c300
          do 30 i=1,301
            xp=x
            yp=pblat+float(i-1)*dellat
            call maptrn(yp,xp,xgrid(i),ygrid(i))
  30      continue
          call curved(xgrid,ygrid,301)
        endif
#ifndef otto_tick
        ix=int(x)
        if((0.le.abs(ix)).and.(abs(ix).lt.10)) then
          write(xchar,'(i1)') abs(ix)
          lenstr=1
        elseif((10.le.abs(ix)).and.(abs(ix).lt.100)) then
          write(xchar,'(i2)') abs(ix)
          lenstr=2
        elseif((100.le.abs(ix)).and.(abs(ix).lt.1000)) then
          write(xchar,'(i3)') abs(ix)
          lenstr=3
        endif
        call PLTCHR(x2,ylab,xchar(1:lenstr),fontsize,c0,c0)
        x=x+float(igrid)
#else
        call setllstr (x,'E','W',xchar)
        call length (xchar,slen,sbgn,send)
c        call PLTCHR(x2,ylab,xchar(sbgn:send),fontsize,c0,c1)
        call PLTCHR(x2,ylab,xchar(sbgn:send),fontsize,c0,c0)
#endif
  40  continue
c
c  Read coastlines and islands and plot them.
c
      if(cst) call draw_line(inpcst,0)
c
c  Read isobath and plot it.
c
#ifdef whitelines
      if (icnt.eq.0) call gsplci(0)
#endif
      if (bth) call draw_line(inpbth,0)
#ifdef whitelines
      if (icnt.eq.0) call gsplci(1)
#endif
c
c  Read Lagrangian trajectories or hydrographic stations and plot them.
c
      if(trk) then
        read(inptrk,*) dummy
        rewind(inptrk)
        if(dummy.ge.spvgeo) then
c
c   Cludge to enable animation of drifters.
c
          if (first) then
             ltcut  = -2.0*(ljoff+day) - 1.0
             ltcmid = ltcut
             first  = .false.
          endif
          ltcold = ltcmid
#ifndef xanilag
          ltcmid = ltcut
#endif
          ltcut = ljoff + day
c
          call draw_line(inptrk,1)
        else
          call draw_line(inptrk,2)
        endif
      endif
c
c-----------------------------------------------------------------------
c  Write map titles.
c-----------------------------------------------------------------------
c
      call maptitles(day,cint,fmin,fmax,frms,icolor,class,idfld,level,
     *               cntplt)
c
c-----------------------------------------------------------------------
c  Draw veritas logo.
c-----------------------------------------------------------------------
c
      if((ipltpg.eq.1).and.(pltlogo)) call veritas(icolor)
c
#if defined saclant
c-----------------------------------------------------------------------
c  Draw SACLANT logo.
c-----------------------------------------------------------------------
c
      if((ipltpg.eq.1).and.(pltlogo))
     &   call plot_sac (0.76,0.995,0.16,0.16,icolor)
c     &   call plot_sac (0.852,0.995,0.129,0.129,icolor)
c
# elif defined cmast
c-----------------------------------------------------------------------
c  Draw CMAST logo.
c-----------------------------------------------------------------------
c
      if((ipltpg.eq.1).and.(pltlogo))
     &   call plot_cma (0.76,0.995,0.16,0.16,icolor)
c     &   call plot_cma (0.852,0.995,0.129,0.129,icolor)
c
#endif
c-----------------------------------------------------------------------
c  Draw any application.
c-----------------------------------------------------------------------
c
      call draw_user
      return
      end
