      subroutine headln (unit)
c
c=======================================================================
c                                                                    ===
c  This routine writes a date stamp header to an echo file.          ===
c                                                                    ===
c  On Input:                                                         ===
c                                                                    ===
c     UNIT   Unit number of the echo file.  (integer)                ===
c                                                                    ===
c  Common Blocks:                                                    ===
c                                                                    ===
c  /VERSION/                                                         ===
c                                                                    ===
c     MODEL   The name of the model or code.  (character)            ===
c     VNUM    Version number.  (character)                           ===
c                                                                    ===
c  Calls:  GET_DATE, LENGTH                                          ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define global data.
c-----------------------------------------------------------------------
c
#include <version.h>
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
      integer     bgn,bgn2,lenstr,lnstr2,nd,nd2,unit
      character*8  fmt
      character*44 date_str
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
c-----------------------------------------------------------------------
c  Write date stamp in echo file, if one can be created.
c-----------------------------------------------------------------------
c
      call get_date (date_str)
      call length (date_str,lenstr,bgn,nd)
      if(lenstr.gt.0) then
        write (fmt,10) (80-lenstr)/2
        write (unit,fmt) date_str(bgn:nd)
      endif
c
c-----------------------------------------------------------------------
c  Write model name and version number.
c-----------------------------------------------------------------------
c
      call length (model,lenstr,bgn,nd)
      call length (vnum,lnstr2,bgn2,nd2)
      write (unit,20) model(bgn:nd),vnum(bgn2:nd2)
c
      return
c
  10  format ('(/',i2,'x,a)')
  20  format (/a,',  Version ',a)
c
      end
