c
c=======================================================================
c  Include file "inpcdf.h".
c=======================================================================
#ifndef rmdocinc
c
c  CLASS1    field classification for primary NetCDF file: 1=PE, 2=QG.
c  CLASS2    field classification for secondary NetCDF file: 1=PE, 2=QG.
c  COUNT     indices specifying the multidimensional edge lengths from
c            the corner of the hyperslab of data values to read.
c  DINNAM    generic returned dimension name (character).
c  MAXTIM    length of time vectors
c  NCINP1ID  NetCDF ID for primary file.
c  NCINP2ID  NetCDF ID for secondary file.
c  NTIME1    size of TIME dimension in primary NetCDF file.
c  NTIME2    size of TIME dimension in secondary NetCDF file.
c  NT1SHF    size of T1SHF dimension in primary NetCDF file.
c  NT1SMF    size of T1SMF dimension in primary NetCDF file.
c  NT1SWF    size of T1SWH dimension in primary NetCDF file.
c  NT1SWR    size of T1SWR dimension in primary NetCDF file.
c  NT2SHF    size of T2SHF dimension in secondary NetCDF file.
c  NT2SMF    size of T2SMF dimension in secondary NetCDF file.
c  NT2SWF    size of T2SWH dimension in secondary NetCDF file.
c  NT2SWR    size of T2SWR dimension in secondary NetCDF file.
c  LTYPE1    length global "type" attribute for primary NetCDF file.
c  LTYPE2    length global "type" attribute for secondary NetCDF file.
c  PECLASS   flag for fields having PE classification.
c  QGCLASS   flag for fields having QG classification.
c  RCODE     error code returned by NetCDF library (0 for no errors).
c  START     indices specifying the multidimensional index of the corner
c            of the hyperslab of data values to read.
c  VARID     generic ID for arbitrary variables in NetCDF files.
c  TIME1     TIME coordinate values in primary NetCDF file.
c  TIME2     TIME coordinate values in secondary NetCDF file.
c  TINDX     TIME dimension index of current field.
c  TYPE1     global "type" attribute for primary NetCDF file.
c  TYPE2     global "type" attribute for secondary NetCDF file.
c  T1SHF     TIME coordinate for SHF in primary NetCDF file.
c  T1SMF     TIME coordinate for SMF in primary NetCDF file.
c  T1SWF     TIME coordinate for SWF in primary NetCDF file.
c  T1SWR     TIME coordinate for SWR in primary NetCDF file.
c  T2SHF     TIME coordinate for SHF in secondary NetCDF file.
c  T2SMF     TIME coordinate for SMF in secondary NetCDF file.
c  T2SWF     TIME coordinate for SWF in secondary NetCDF file.
c  T2SWR     TIME coordinate for SWR in secondary NetCDF file.
c  XINDX     index for first dimension a vector.
c  YINDX     index for second dimension of a vector.
c  ZINDX     index for third dimension of a vector.
c
c=======================================================================
#endif
c
      integer   maxtim,peclass,qgclass,xindx,yindx,zindx       
      parameter (maxtim=2000, peclass=1, qgclass=2, xindx=1, yindx=2,
     &           zindx=3)
c
      integer class1,class2,ncinp1id,ncinp2id,ntime1,ntime2,nt1shf,
     &        nt1smf,nt1swf,nt1swr,nt2shf,nt2smf,nt2swf,nt2swr,ltype1,
     &        ltype2,rcode,tindx,varid
      integer          count(10),start(10)
      common /inpicdf/ class1,class2,ncinp1id,ncinp2id,tindx,ntime1,
     &                 ntime2,nt1shf,nt1smf,nt1swf,nt1swr,nt2shf,nt2smf,
     &               nt2swf,nt2swr,ltype1,ltype2,rcode,varid,count,start
c
      real time1(maxtim),time2(maxtim),t1shf(maxtim),t1smf(maxtim),
     &     t1swf(maxtim),t1swr(maxtim),t2shf(maxtim),t2smf(maxtim),
     &                 t2swf(maxtim),t2swr(maxtim)
      common /inpfcdf/ time1,time2,t1shf,t1smf,t1swf,t1swr,t2shf,t2smf,
     &                 t2swf,t2swr
c
      character*128    dimnam,type1,type2
      common /inpccdf/ dimnam,type1,type2
