      subroutine landmask(fill)
c
c=======================================================================
c                                                                    ===
c  This routine retrieves, projects, and adds the coastlines and     ===
c  islands, if any, to the area map.                                 ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define global data.
c-----------------------------------------------------------------------
c
#include <param.h>
#include <pconst.h>
#include <cntwkspa.h>
#include <colpal.h>
#include <pltncar.h>
#include <pltio.h>
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
      logical pen_up
      integer fill,ic,idl,idr,igp,ios
      real del,dellat,dellon,facb,facl,facr,fact,lon,lat
      real x(5),y(5)
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
c  Fill entire model domain with water.
c
      if(fill.eq.0) then
        dellat=ptlat-pblat
        dellon=prlon-pllon
        if(pllon.gt.c0) then
          facl=dellon*r1000
          facr=-dellon*r1000
        else
          facl=-dellon*r1000
          facr=dellon*r1000
        endif
        if(pblat.gt.c0) then
          facb=dellat*r200
          fact=-dellat*r200
        else
          facb=-dellat*r200
          fact=dellat*r200
        endif
        call maptrn(pblat+facb,pllon+facl,x(1),y(1))
        call maptrn(ptlat+fact,pllon+facl,x(2),y(2))
        call maptrn(ptlat+fact,prlon+facr,x(3),y(3))
        call maptrn(pblat+facb,prlon+facr,x(4),y(4))
        x(5)=x(1)
        y(5)=y(1)
        call clrbox(x,y,5,ncl+3)
c
      elseif(fill.eq.1) then
c
c-----------------------------------------------------------------------
c  Check if user provided the land boundary data to mask.  If not,
c  use EZMAP dataset.  Turn off the drawing of coastlines by routine
c  HBACKGROUND.
c-----------------------------------------------------------------------
c
        addezmap=.false.
        if(cst) then
          add=.true.
          cst=.false.
        endif
c
c-----------------------------------------------------------------------
c  Add frame perimeter to the area map and if ADD is false add EZMAP
c  boundary outlines. (See routine MAPEOD).
c-----------------------------------------------------------------------
c
        call mapbla(iam)
c
c-----------------------------------------------------------------------
c  Add User land boundaries to area map.  Each land boundaries
c  segment is assumed to have the land to its right when looking
c  from the position of the first point toward the second point of
c  the segment.  The right edge identifier is assigned to 233 (land)
c  whereas the left edge identifier is assigned to 2 (water).
c-----------------------------------------------------------------------
c
        if(add) then
          igp=1
          ic=0
          idr=223
          idl=2
          del=p5
c
c Read coastlines, islands and lakes and add then to the area map.
c
          read (inpcst,*,iostat=ios) lat,lon
c
          do 10 while (ios.eq.0)
            if ((lon.eq.spvgeo).and.(lat.eq.spvgeo)) then
              pen_up=.true.
             elseif (pen_up) then
              call mapiqa (iam,igp,idl,idr)
              call mapita (lat,lon,0,iam,igp,idl,idr)
              pen_up=.false.
             else
              call mapita (lat,lon,1,iam,igp,idl,idr)
            endif
            read (inpcst,*,iostat=ios) lat,lon
  10      continue
c
          call mapiqa (iam,igp,idl,idr)
          rewind (inpcst)
c
        endif
      endif
c
      return
      end
