      subroutine length (string,slen,bgn,end)
c
c-------------------------------------------------------------------------------
c     This subroutine determines the length of a character string minus any    |
c     leading or trailing blanks.                                              |
c                                                                              |
c     Calls:  none                                                             |
c                                                                              |
c     Arguments:                                                               |
c                                                                              |
c     bgn......Integer.  Position of first nonblank character in string.       |
c                 {output}                                                     |
c     end......Integer.  Position of last nonblank character in string.        |
c                 {output}                                                     |
c     slen.....Integer.  Number of character in string exclusive of leading &  |
c                 trailing blanks.   {output}                                  |
c     string...Character.  String to be examined.   {input}                    |
c-------------------------------------------------------------------------------
c
      character*(*) string,blank*1
      integer slen,bgn,end
c
      parameter (blank = ' ')
c
c=======================================================================
c     Begin executable code.                                           #
c=======================================================================
c
c-----------------------------------------------------------------------
c     Initialize beginning and ending pointers for the search.         |
c-----------------------------------------------------------------------
c
      end = len(string)
      bgn = 1
c
c-----------------------------------------------------------------------
c     Search for first nonblank character.                             |
c-----------------------------------------------------------------------
c
      do 10 while ((string(bgn:bgn) .eq. blank) .and. (bgn .lt. end))
         bgn = bgn + 1
 10   continue
c
c-----------------------------------------------------------------------
c     Search for last nonblank character.                              |
c-----------------------------------------------------------------------
c
      do 20 while ((string(end:end) .eq. blank) .and. (end .gt. 1))
         end = end - 1
 20   continue
c
c-----------------------------------------------------------------------
c     Determine length exclusive of leading & trailing blanks.         |
c-----------------------------------------------------------------------
c
      if (end .ge. bgn) then
         slen = end - bgn + 1
        else
         slen = 0
      end if
c
      return
      end
