      subroutine maptitles(day,cint,fmin,fmax,frms,icolor,class,idfld,
     *                     level,plttyp)
c
c=======================================================================
c                                                                    ===
c  This routine writes all map titles which depend on the number of  ===
c  plots per page, and number of fields per page.                    ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define global data.
c-----------------------------------------------------------------------
c
#include <cdefs.h>
#include <pconst.h>
#include <inpcdf.h>
#include <pltfld.h>
#include <pltio.h>
#include <pltlab.h>
#include <pltncar.h>
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
      integer class,cntplt,i,icolor,iday,idfld,ie,is,julian,level,
     *        lenbot,lenstr,month,plttyp,secplt,vindx
      integer lnblk
      real cint,day,fmax,fmin,fntscl,fontsize1,fontsize2,fontsize3,
     *     fontsize4,frms,fx,fy,headjust,ln1,ln2,rday,ttl1,ttl2,ttl3,
     *     ttl4,xhead,xlab,yearday,ylab
      logical      graph
      character*22 datelab
      character*80  text,toplab
      character*128 varnam
#ifndef lowchr
      parameter (fntscl=c1)
#else
      parameter (fntscl=1.2)
#endif
      parameter (cntplt=1,secplt=2,
     *           fontsize4=c5*fntscl,graph=.true.,
#if !defined saclant & !defined cmast & !defined mediumfont
     *           fontsize1=c20*fntscl,fontsize3=c7*fntscl,xhead=0.23,
     *           headjust=-c1
# elif defined saclant | defined cmast
     *           fontsize1=20.0*fntscl,fontsize3=c10*fntscl,
     *           xhead=0.48125,headjust=c0
# else
     *           fontsize1=c20*fntscl,fontsize3=15.0*fntscl,xhead=0.23,
     *           headjust=-c1
#endif
#ifndef mediumfont
     *           ,fontsize2=c10*fntscl
# else
     *           ,fontsize2=0.75*fontsize1
#endif
#if !defined saclant & !defined cmast
     *           ,ttl1=0.97, ttl2=0.94, ttl3=0.91, ttl4=0.88,
     *            ln1=fontsize1, ln2=fontsize2)
# else
     *           ,ttl1=0.99, ttl2=0.94, ttl3=0.89, ttl4=0.86,
     *            ln1=fontsize2, ln2=fontsize1)
#endif
c
c=======================================================================
c  Begin executable code
c=======================================================================
c
c-----------------------------------------------------------------------
c  Get data date label.
c-----------------------------------------------------------------------
c
      if(wdate) then
        if((type1(1:ltype1).eq.'OA').or.
     *     (type1(1:ltype1).eq.'FM MODEL').or.
     *     (type1(1:ltype1).eq.'PE_INITIAL').or.
     *     (type1(1:ltype1).eq.'PE FORCING')) then
          rday=day
        else
          rday=day+yday
        endif
        if(rday.gt.c366) then
          julian=2440000+int(rday)
          call caldate(julian,month,iday,iyear,yearday)
          yearday = yearday + (rday-int(rday))
          call datestr(iyear,yearday,datelab)
        else
          call datestr(iyear,rday,datelab)
        endif
      else
        datelab='           '
      endif
c
c  Set first part of the date label.
c
      if((type1(1:ltype1).eq.'PE MODEL').or.
     *   (type1(1:ltype1).eq.'QG MODEL')) then
        if(day.eq.c0) then
          daylab='               Nowcast'
        elseif((iref.eq.3).or.(iref.eq.4)) then
          write(daylab,10) day
  10      format(f7.2,' Day Difference')
        else
          write(daylab,20) day
  20      format('  ',f7.2,' Day Forecast')
        endif
      else
        daylab='               Nowcast'
      endif
c
c-----------------------------------------------------------------------
c  Write top titles.
c-----------------------------------------------------------------------
c
      if(ipltpg.eq.1) then
        call set(c0,c1,c0,c1,c0,c1,c0,c1,1)
        if(wrthdr) then
          toplab=pltitle(1)
          lenstr=lnblk(toplab,len(toplab))
#ifdef natounc
          call PLTCHR(.01,c1,'NATO Unclassified',0.71*fontsize2,90.,c1)
          call PLTCHR(c1,.015,'NATO Unclassified',0.71*fontsize2,c0,c1)
#endif
          call PLTCHR (xhead,ttl1,toplab(1:lenstr),ln1,c0,headjust)
          toplab=pltitle(2)
          lenstr=lnblk(toplab,len(toplab))
          call PLTCHR (xhead,ttl2,toplab(1:lenstr),ln2,c0,headjust)
          toplab=pltitle(3)
          lenstr=lnblk(toplab,len(toplab))
          call PLTCHR (xhead,ttl3,toplab(1:lenstr),fontsize2,c0,
     &                 headjust)
        endif
c
c  If needed, over-write fourth title and use bottom date title instead.
c
        if((nfields.gt.1).or.(nlevels.gt.1)) then
          if(wdate) then
#ifndef nocast
            text=daylab//' : '//datelab
#else
            text=datelab
#endif
          else
            text=daylab
          endif
          lenstr=lnblk(text,len(text))
          do 30 i=1,lenstr
            if(text(i:i).ne.' ') goto 40
  30      continue
  40      is=i
          toplab=text(is:lenstr)
        else
          toplab=pltitle(4)
        endif
        lenstr=lnblk(toplab,len(toplab))
        if(wrthdr) then
          call PLTCHR (xhead,ttl4,toplab(1:lenstr),fontsize2,c0,
     &                 headjust)
        endif
c
c-----------------------------------------------------------------------
c  Write current date label.
c-----------------------------------------------------------------------
c
        if(wrtdate) then
          lenstr=lnblk(date_str,len(date_str))
          if(plttyp.eq.cntplt) then
            call plchmq(0.98,0.02,date_str(1:lenstr),fontsize4,c0,c1)
          elseif(plttyp.eq.secplt) then
            call plchmq(0.98,0.99,date_str(1:lenstr),fontsize4,c0,c1)
          endif
        endif
c
c-----------------------------------------------------------------------
c  Write input filename label.
c-----------------------------------------------------------------------
c
        if(wrtfnam) then
          if(icolor.eq.0) text=fname(2)
          if(icolor.eq.1) text=fname(3)
          lenstr=lnblk(text,len(text))
          do 50 i=lenstr,1,-1
            if(text(i:i).eq.'/') goto 60
  50      continue
  60      is=i+1
          ie=lenstr-i
          if(plttyp.eq.cntplt) then
            xlab=p98
            ylab=r100
          elseif(plttyp.eq.secplt) then
            xlab=p98
            ylab=p98
          endif
          call plchmq(xlab,ylab,text(is:lenstr),fontsize4,c0,c1)
        endif
      endif
c
c-----------------------------------------------------------------------
c  Write bottom label.
c-----------------------------------------------------------------------
c
c  Field name and depth (or level) is the bottom label.
c
      if((nfields.gt.1).or.(nlevels.gt.1)) then
        if(plttyp.eq.cntplt) then
          call depth_lab(class,idfld,level,botlab)
          lenbot=lnblk(botlab,len(botlab))
        elseif(plttyp.eq.secplt) then
          if(class.eq.peclass) then
            call id2fldnam(idfld,peclass,graph,varnam,vindx,botlab)
          elseif(class.eq.qgclass) then
            call id2fldnam(idfld,qgclass,graph,varnam,vindx,botlab)
          endif
          lenbot=lnblk(botlab,len(botlab))
        endif
c
c  The date is the bottom label.
c
      else
        if(wdate) then
#ifndef nocast
          botlab=daylab//' : '//datelab
#else
          botlab=datelab
#endif
        else
          botlab=daylab
        endif
        lenbot=lnblk(botlab,len(botlab))
      endif
c
c  Write bottom label.
c
      call set(fl,fr,fb,ft,ul,ur,ub,ut,1)
      fx=fl+p5*(fr-fl)
      if(plttyp.eq.cntplt) then
        fy=fb-p035
      elseif(plttyp.eq.secplt) then
        fy=fb-r20
      endif
      xlab=ul+(fx-fl)*(ur-ul)/(fr-fl)
      ylab=ub+(fy-fb)*(ut-ub)/(ft-fb)
      if(wrtblab) then
        call PLTCHR(xlab,ylab,botlab(1:lenbot),fontsize2,c0,c0)
      endif
c
c-----------------------------------------------------------------------
c  Write MIN, MAX and CI label.
c-----------------------------------------------------------------------
c
      if((scalar1.or.scalar2).and.(icolor.eq.0)) then
        write(text,70) fmin,fmax,abs(cint)
  70    format('Min=',1pe11.4,2x,'Max=',1pe11.4,2x,'CI=',1pe11.4)
      elseif(vector1.and.((iref.eq.3).or.(iref.eq.4))) then
        write(text,80) fmax,frms
  80    format('Max=',1pe11.4,2x,'RMS=',1pe11.4)
      else
        write(text,90) fmin,fmax
  90    format('Min=',1pe11.4,2x,'Max=',1pe11.4)
      endif
      lenstr=lnblk(text,len(text))
      if(plttyp.eq.cntplt) then
        fx=fl
        fy=fb-r100
      elseif(plttyp.eq.secplt) then
        fx=fl
        fy=fb-r35
      endif
      xlab=ul+(fx-fl)*(ur-ul)/(fr-fl)
      ylab=ub+(fy-fb)*(ut-ub)/(ft-fb)
      if(wrtrang) then
        call PLTCHR(xlab,ylab,text(1:lenstr),fontsize3,c0-0.1,-c1-0.3)
      endif
      return
      end
