      subroutine pevintsp (n,x,y,spv,ni,xi,yi)
c
c=======================================================================
c                                                                    ===
c  Given arrays X and Y of length N, which tabulate a function,      ===
c  Y = F(X),  with the Xs  in ascending order, and given array       ===
c  XI of lenght NI, this routine returns a linear interpolated       ===
c  array YI.                                                         ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
      integer i,j,n,ni
      real    dx,intval,spv,totx,xbot
      real x(n),y(n),xi(ni),yi(ni)
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
      do 20 j = 1, ni
c
         i = 1
         dx = 2.0*x(1)
         xbot = dx
         totx   = 0.0
         if (y(i).ne.spv) then
            intval = 0.0
          else
            intval = spv
         end if
c
         do 10 while ((xbot.lt.xi(j)) .and. (y(i).ne.spv) .and.(i.lt.n))
            intval = intval + y(i)*dx
            totx = totx + dx
            i = i + 1
            dx = 2.0*(x(i)-xbot)
            xbot = xbot + dx
  10     end do
c
         if (y(i).ne.spv) then
            if (xbot.gt.xi(j)) dx=dx-(xbot-xi(j))
            intval = intval + y(i)*dx
            totx = totx + dx
         end if
c
         if (intval.ne.spv) then
            yi(j) = intval/totx
          else
            yi(j) = spv
         end if
c
 20   continue
c
      return
      end
