c
c=======================================================================
c  Include file "pltncar.h"
c=======================================================================
#ifndef rmdocinc
c
c  ADD       logical switch to a add User coastlines to area map.
c  ADDEZMAP  logical switch to a add EZMAP coastlines to area map.
c  ALLBARLAB logical switch to label all colorbar bands.
c  CONT      countour interval per field per level (real array)
c  DS        grid spacing in inches (real).
c  ESC_CHAR  escape character to be used in special NCAR strings
c  ICINT     contour level selection switch (integer):
c            ICINT = 0  use contour interval provided by the USER
c            ICINT = 1  select contour interval internally
c  IFILL     switch to mask area below water column: [0] no, [1] yes.
c  IGRID     map longitude/latitude grid separation (integer).
c  IPLTPG    counter for the current map in the page (integer).
c  ISKIP     vector sampling in the x-direction (integer).
c  ITOPO     switch to impose and mask bathymetry data: [0] no, [1] yes.
c  JSKIP     vector sampling in the y-direction (integer).
c  PBLAT     map bottom latitude (integer; negative SOUTH).
c  PTLAT     map top latitude (integer; negative SOUTH).
c  PLLON     map left longitude (integer; negative WEST).
c  PLTLOGO   logical switch to activate drawing of Harvard Logo.
c  PRLON     map right longitude (integer; negative WEST).
c  NPAGE     number of plots per page: one, two, or four (integer).
c  SCLMAP    scale factor for map labels (real).
c  THETA     domain rotation angle in radians (real).
c  VINTRP    switch for vertical intepolation (integer):
c            [0] linear, [1] cubic splines.
c  VLAT      latitude to place velocity vector scale (real; negative
c            SOUTH).
c  VLNG      longitude to place velocity vector scale (real; negative
c            WEST).
c  VPER      percentage of maximum vector magnitude below which the
c            drawing of vectors are ommited because too small (real).
c  VSCLE     maximum vector magnitude for arrow scaling (real).
c  WRTBLAB   logical switch to activate writing of bottom title.
c  WRTDATE   logical switch to activate writing of current date.
c  WRTFNAM   logical switch to activate writing of input filename.
c  WRTHDR    logical switch to activate writing of header titles.
c  WRTRANG   logical switch to activate writing of range of field.
c
c=======================================================================
#endif
c
       integer cfld,clev
       parameter (cfld=150,clev=50)
c
      logical add,addezmap,allbarlab,pltlogo,wrtblab,wrtdate,wrtfnam,
     &                  wrthdr,wrtrang
      common /lpltncar/ add,addezmap,allbarlab,pltlogo,wrtblab,wrtdate,
     &                  wrtfnam,wrthdr,wrtrang
c
      integer icnt,ifill,igrid,ipltpg,iproj,iskip,itopo,jskip,lmsk,
     &                  nframe,npage,vintrp
      common /ipltncar/ icnt,ifill,igrid,ipltpg,iproj,iskip,itopo,jskip,
     &                  lmsk,nframe,npage,vintrp
c
      real asize,ds,fb,fl,fr,ft,pblat,pllon,
     &     pmax,pmin,prlon,ptlat,rmax,rmin,sclmap,ub,ul,ur,ut,vlat,
     &     vlng,vper,vscle
      real              cont(cfld,clev)
      common /fpltncar/ asize,ds,fb,fl,fr,ft,pblat,pllon,pmax,pmin,
     &                  prlon,ptlat,rmax,rmin,sclmap,ub,ul,ur,ut,vlat,
     &     vlng,vper,vscle,cont
c
      character*1           esc_char
      common     /cpltncar/ esc_char
