c
c=======================================================================
c  Include file "qgfldid.h".
c=======================================================================
c
#ifndef rmdocinc
c  QG fields classification:
c
c   QG1ERS  SBL tracer 1  error scale  (phytoplankton).
c   QG1OER  SBL tracer 1  error  (phytoplankton).
c   QG1OMN  SBL tracer 1  mean  (phytoplankton).
c   QG1SER  SBL tracer 1  scaled error  (phytoplankton).
c   QG2ERS  SBL tracer 2  error scale  (zooplankton).
c   QG2OER  SBL tracer 2  error  (zooplankton).
c   QG2OMN  SBL tracer 2  mean  (zooplankton).
c   QG2SER  SBL tracer 2  scaled error  (zooplankton).
c   QG3ERS  SBL tracer 3  error scale  (nitrate).
c   QG3OER  SBL tracer 3  error  (nitrate).
c   QG3OMN  SBL tracer 3  mean  (nitrate).
c   QG3SER  SBL tracer 3  scaled error  (nitrate).
c   QG4ERS  SBL tracer 4  error scale  (ammonium).
c   QG4OER  SBL tracer 4  error  (ammonium).
c   QG4OMN  SBL tracer 4  mean  (ammonium).
c   QG4SER  SBL tracer 4  scaled error  (ammonium).
c   QG5ERS  SBL tracer 5  error scale  (detritus).
c   QG5OER  SBL tracer 5  error  (detritus).
c   QG5OMN  SBL tracer 5  mean  (detritus).
c   QG5SER  SBL tracer 5  scaled error  (detritus).
c   QG6ERS  SBL tracer 6  error scale  (PON).
c   QG6OER  SBL tracer 6  error  (PON).
c   QG6OMN  SBL tracer 6  mean  (PON).
c   QG6SER  SBL tracer 6  scaled error  (PON).
c   QG7ERS  SBL tracer 7  error scale  (DON).
c   QG7OER  SBL tracer 7  error  (DON).
c   QG7OMN  SBL tracer 7  mean  (DON).
c   QG7SER  SBL tracer 7  scaled error  (DON).
c   QG8ERS  SBL tracer 8  error scale  (bacteria).
c   QG8OER  SBL tracer 8  error  (bacteria).
c   QG8OMN  SBL tracer 8  mean  (bacteria).
c   QG8SER  SBL tracer 8  scaled error  (bacteria).
c   QG9ERS  SBL tracer 9  error scale  (chlorophyll).
c   QG9OER  SBL tracer 9  error  (chlorophyll).
c   QG9OMN  SBL tracer 9  mean  (chlorophyll).
c   QG9SER  SBL tracer 9  scaled error  (chlorophyll).
c   QG10ER  SBL tracer 10 error scale  (cod).
c   QG10OE  SBL tracer 10 error  (cod).
c   QG10OM  SBL tracer 10 mean  (cod).
c   QG10SE  SBL tracer 10 scaled error  (cod).
c   QG11ER  SBL tracer 11 error scale  (CELLNO3).
c   QG11OE  SBL tracer 11 error  (CELLNO3).
c   QG11OM  SBL tracer 11 mean  (CELLNO3).
c   QG11SE  SBL tracer 11 scaled error  (CELLNO3).
c   QG12ER  SBL tracer 12 error scale  (CELLNH4).
c   QG12OE  SBL tracer 12 error  (CELLNH4).
c   QG12OM  SBL tracer 12 mean  (CELLNH4).
c   QG12SE  SBL tracer 12 scaled error  (CELLNH4).
c   QGAPSI  analized streamfunction (nondimensional)
c   QGAVOR  analized vorticity (nondimensional)
c   QGBATH  bottom topography (m)
c   QGDANO  density anomaly (sigma-1000)
c   QGDENB  QG bottom density
c   QGDENT  QG top density
c   QGDHER  dynamic height error
c   QGDHMN  dynamic height mean (dyn m)
c   QGDHRS  dynamic height error scale (dyn m)
c   QGDHSR  dynamic height scaled error
c   QGDYNH  dynamic height (dyn m)
c   QGEMAG  horizontal Ekman velocity vector magnitude (cm/s)
c   QGEVEC  horizontal Ekman velocity vectors (cm/s)
c   QGEVNM  Ekman velocity normal to section (cm/s).
c   QGEVTN  Ekman velocity tangential to section (cm/s).
c   QGEVXC  zonal Ekman velocity component (cm/s)
c   QGEVYC  meridional Ekman velocity component (cm/s)
c   QGFXAH  Accumulated Heat Flux (W/m^2)
c   QGFXBY  buoyancy flux (W/m^2)
c   QGFXEP  water flux: E-P (W/m^2)
c   QGFXLH  latent heat flux (W/m^2)
c   QGFXLW  long wave radiation (W/m^2)
c   QGFXNS  net surface heat flux (W/m^2)
c   QGFXSH  sensible heat flux (W/m^2)
c   QGFXSW  short wave radiation (W/m^2)
c   QGFXTH  total heat flux (W/m^2)
c   QGHSTA  hydrographic cruise track stations
c   QGLTRK  Lagrangian drifter trajectories
c   QGMASK  land/sea mask
c   QGMMLB  mixed layer buoyancy (m/s^2)
c   QGMMLT  mixed layer temperature (deg C)
c   QGMPSI  streamfunction (nondimensional)
c   QGMSSE  sea surface elevation (cm)
c   QGMSSS  sea surface salinity (PSU)
c   QGMSST  sea surface temperature (deg C)
c   QGMVOR  vorticity (nondimensional)
c   QGPVEC  horizontal velocity vectors from streamfunction (cm/s)
c   QGPVNM  velocity normal to section from streamfunction (cm/s).
c   QGPVTN  velocity tangential to section from streamfunction (cm/s).
c   QGP2DH  dynamic heigth from streamfunction (dyn m)
c   QGSALT  salinity (PSU)
c   QGSBLB  SBL buoyancy (m/s^2)
c   QGSBLE  entrainment rate
c   QGSBLH  mixed layer depth (m)
c   QGSBLM  equilibrium depth (m)
c   QGSBLS  SBL salinity (PSU)
c   QGSBLT  SBL temperature (deg C)
c   QGSBLW  SBL vertical velocity (cm/s)
c   QGSBL1  SBL tracer 1  (phytoplankton)
c   QGSBL2  SBL tracer 2  (zooplankton)
c   QGSBL3  SBL tracer 3  (nitrate)
c   QGSBL4  SBL tracer 4  (ammonium)
c   QGSBL5  SBL tracer 5  (detritus)
c   QGSBL6  SBL tracer 6  (PON)
c   QGSBL7  SBL tracer 7  (DON)
c   QGSBL8  SBL tracer 8  (bacteria)
c   QGSBL9  SBL tracer 9  (chlorophyll)
c   QGSB10  SBL tracer 10 (cod)
c   QGSB11  SBL tracer 11 (CELLNO3)
c   QGSB12  SBL tracer 12 (CELLNH4)
c   QGSERS  salinity error scale
c   QGSIGT  Sigma-t (kg/m^3)
c   QGSNDS  sound speed (m/s)
c   QGSNM   surface of no-motion (m).
c   QGSNMM  surface of no-motion mean (m).
c   QGSNMR  surface of no-motion error (m).
c   QGSNMS  surface of no-motion error scale (m).
c   QGSNSR  surface of no-motion scaled error.
c   QGSOER  salinity error
c   QGSOMN  salinity mean (PSU)
c   QGSSER  salinity scaled error
c   QGTEMP  temperature (deg C)
c   QGTERS  temperature error scale
c   QGTOER  temperature error
c   QGTOMN  temperature mean (deg C)
c   QGTSER  temperature scaled error
c   QGUVEL  zonal velocity component (cm/s)
c   QGVMAG  horizontal velocity vector magnitude (cm/s)
c   QGVNRM  velocity normal to section (cm/s).
c   QGVTNG  velocity tangential to section (cm/s).
c   QGVVEC  horizontal velocity vectors (cm/s)
c   QGVVEL  meridional velocity component (cm/s)
c   QGWVZT  vertical velocity at PE tracer points (cm/s)
c   QGWVZV  vertical velocity at PE velocity points (cm/s)
c   QGWSHV  horizontal wind stress vectors (Pa)
c   QGWSVM  horizontal wind stress vector magnitude (Pa)
c   QGWSXC  zonal wind stress component (Pa)
c   QGWSYC  meridional wind stress component (Pa)
c   QGXPOS  grid x-positions (Cartesian or spherical)
c   QGYPOS  grid y-positions (Cartesian or spherical)
c
c=======================================================================
c
#endif
      integer qgapsi,qgavor,qgbath,qgdano,qgdenb,qgdent,qgdher,qgdhmn,
     *        qgdynh,qgemag,qgevec,qgevnm,qgevtn,qgevxc,qgevyc,qgfxah,
     *        qgfxby,qgfxep,qgfxlh,qgfxlw,qgfxns,qgfxsh,qgfxsw,qgfxth,
     *        qghsta,qgltrk,qgmask,qgmmlb,qgmmlt,qgmpsi,qgmsse,qgmsss,
     *        qgmsst,qgmvor,qgsalt,qgsblb,qgpvec,qgpvnm,qgpvtn,qgp2dh,
     *        qgsble,qgsblh,qgsblm,qgsbls,qgsblt,qgsblw,qgsbl1,qgsbl2,
     *        qgsbl3,qgsbl4,qgsbl5,qgsbl6,qgsbl7,qgsbl8,qgsbl9,qgsb10,
     &        qgsb11,qgsb12,qgsigt,qgsnds,qgsnm ,qgsnmm,qgsnmr,qgsnms,
     &        qgsnsr,qgsoer,qgsomn,qgtemp,qgtoer,qgtomn,qguvel,qgvmag,
     *        qgvnrm,qgvtng,qgvvec,qgvvel,qgwvzt,qgwvzv,qgwshv,qgwsvm,
     *        qgwsxc,qgwsyc,qgxpos,qgypos,qgdhsr,qgsser,qgtser,qgdhrs,
     &        qgsers,qgters
      integer qg1oer,qg2oer,qg3oer,qg4oer,qg5oer,qg6oer,qg7oer,qg8oer,
     *        qg1omn,qg2omn,qg3omn,qg4omn,qg5omn,qg6omn,qg7omn,qg8omn,
     *        qg1ser,qg2ser,qg3ser,qg4ser,qg5ser,qg6ser,qg7ser,qg8ser,
     *        qg1ers,qg2ers,qg3ers,qg4ers,qg5ers,qg6ers,qg7ers,qg8ers,
     *        qg9oer,qg9omn,qg9ser,qg9ers,qg10oe,qg10om,qg10se,qg10er,
     *        qg11oe,qg11om,qg11se,qg11er,qg12oe,qg12om,qg12se,qg12er
      parameter (qgapsi=3  ,qgavor=4  ,qgbath=6  ,qgdano=71 ,qgdenb=8  ,
     *           qgdent=7  ,qgdher=100,qgdhmn=200,qgdynh=5  ,qgemag=39 ,
     *           qgevec=28 ,qgevnm=47 ,qgevtn=48 ,qgevxc=29 ,qgevyc=30 ,
     *           qgfxah=80 ,qgfxby=38 ,qgfxep=37 ,qgfxlh=73 ,qgfxlw=76 ,
     *           qgfxns=79 ,qgfxsh=74 ,qgfxsw=75 ,qgfxth=72 ,qghsta=19 ,
     *           qgltrk=18 ,qgmask=92 ,qgmmlb=21 ,qgmmlt=22 ,qgmpsi=1  ,
     *           qgmsse=17 ,qgmsss=27 ,qgmsst=23 ,qgmvor=2  ,qgpvec=9  ,
     *           qgpvnm=45 ,qgpvtn=46 ,qgp2dh=42 ,qgsalt=12 ,qgsblb=40 ,
     *           qgsble=31 ,qgsblh=20 ,qgsblm=25 ,qgsbls=26 ,qgsblt=24 ,
     *           qgsblw=32 ,qgsbl1=51 ,qgsbl2=52 ,qgsbl3=53 ,qgsbl4=54 ,
     *           qgsbl5=55 ,qgsbl6=56 ,qgsbl7=57 ,qgsbl8=58 ,qgsbl9=59 ,
     *           qgsb10=60 ,qgsb11=61 ,qgsb12=62 ,qgsigt=70 ,qgsnds=63 ,
     &           qgsnm =96 ,qgsnmm=201,qgsnmr=101,qgsnms=401,qgsnsr=301,
     *           qgsoer=106,qgsomn=206,qgtemp=11 ,qgtoer=105,qgtomn=205,
     *           qguvel=15 ,qgvmag=41 ,qgvnrm=43 ,qgvtng=44 ,qgvvec=10 ,
     *           qgvvel=16 ,qgwvzt=14 ,qgwvzv=13 ,qgwshv=33 ,qgwsvm=36 ,
     &           qgwsxc=34 ,qgwsyc=35 ,qgxpos=90 ,qgypos=91 )
      parameter (qg1oer=107,qg2oer=108,qg3oer=109,qg4oer=110,qg5oer=111,
     *           qg6oer=112,qg7oer=113,qg8oer=114,qg9oer=115,qg10oe=116,
     &           qg11oe=117,qg12oe=118)
      parameter (qg1omn=207,qg2omn=208,qg3omn=209,qg4omn=210,qg5omn=211,
     *           qg6omn=212,qg7omn=213,qg8omn=214,qg9omn=215,qg10om=216,
     *           qg11om=217,qg12om=218)
      parameter (qgdhsr=300,qgsser=306,qg1ser=307,qg2ser=308,qg3ser=309,
     *           qg4ser=310,qg5ser=311,qg6ser=312,qg7ser=313,qg8ser=314,
     *           qg9ser=315,qg10se=316,qg11se=317,qg12se=318,qgtser=305)
      parameter (qgdhrs=400,qgsers=406,qg1ers=407,qg2ers=408,qg3ers=409,
     *           qg4ers=410,qg5ers=411,qg6ers=412,qg7ers=413,qg8ers=414,
     *           qg9ers=415,qg10er=416,qg11er=417,qg12er=418,qgters=405)
c
      integer qtid(maxtrc),qterid(maxtrc),qtmnid(maxtrc),qserid(maxtrc),
     *                  qrmsid(maxtrc)
      common /iqgfldid/ qtid,qterid,qtmnid,qserid,qrmsid
