      subroutine qgvintsp (n,x,y,spv,ni,xi,yi)
c
c=======================================================================
c                                                                    ===
c  Given arrays X and Y of length N, which tabulate a function,      ===
c  Y = F(X),  with the Xs  in ascending order, and given array       ===
c  XI of lenght NI, this routine returns a linear interpolated       ===
c  array YI.                                                         ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
      integer i,j,n,ni
      real    dx,intval,spv,totx,ybot
      real x(n),y(n),xi(ni),yi(ni)
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
      do 20 j = 1, ni
c
         i = 2
         totx   = 0.0
         if ((y(1).ne.spv).and.(y(2).ne.spv)) then
            intval = 0.0
          else
            intval = spv
         end if
c
         do 10 while ((x(i).lt.xi(j)) .and. (y(i).ne.spv) .and. 
     &                (intval.ne.spv) .and. (i.lt.n))
            dx = x(i) - x(i-1)
            intval = intval + 0.5*(y(i)+y(i-1))*dx
            totx = totx + dx
            i = i + 1
  10     end do
c
         if ((y(i).ne.spv) .and. (intval.ne.spv)) then
            if (x(i).gt.xi(j)) then
               dx = xi(j) - x(i-1)
               ybot = y(i-1) + dx/(x(i)-x(i-1))*(y(i)-y(i-1))
             else
               dx = x(i) - x(i-1)
               ybot = y(i)
            end if
            intval = intval + 0.5*(ybot+y(i-1))*dx
            totx = totx + dx
         end if
c
         if (intval.ne.spv) then
            yi(j) = intval/totx
          else
            yi(j) = spv
         end if
c
 20   continue
c
      return
      end
