      subroutine readpal(iunit)
c
c=======================================================================
c                                                                    ===
c  This routine reads color palette and sets common block COLPAL.    ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define global data.
c-----------------------------------------------------------------------
c
#include <colpal.h>
#include <pltio.h>
#include <pltncar.h>
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
      integer ib,ig,index,ir,iunit,n
      real b,g,r
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
      read(iunit,*) ncl,ipal
c
c  Set switch to label all color bar bands.
c
      allbarlab=.false.
      if(ipal.lt.0) allbarlab=.true.
      ipal=abs(ipal)
c
      if(ncl.gt.252) then
        write(stdout,10) ncl
  10    format(' READPAL - only 255 colors allowed, NCL = ',i5)
        stop
      endif
      if((ipal.lt.1).or.(ipal.gt.3)) then
        write(stdout,20) ipal
  20    format(' READPAL - illegal color palette type, IPAL = ',i5)
        stop
      endif
c
c  Read backgound,foreground,and NCL color bands.
c  (Notice reading NCL+2 records)
c
      do 30 n=1,ncl+2
        read(iunit,*) index,ir,ig,ib,r,g,b
        if(ipal.eq.1) then
          icolpal(n)=index
        elseif(ipal.eq.2) then
          rgbpal(1,n)=float(ir)
          rgbpal(2,n)=float(ig)
          rgbpal(3,n)=float(ib)
        elseif(ipal.eq.3) then
          rgbpal(1,n)=r
          rgbpal(2,n)=g
          rgbpal(3,n)=b
         endif
  30  continue
      return
      end
