      subroutine resetview (fl,fr,fb,ft,pllon,prlon,pblat,ptlat)
c
c=======================================================================
c                                                                    ===
c  This routine attempts to reset the viewport to preserve           ===
c  geographic aspect ratios.                                         ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define global data.
c-----------------------------------------------------------------------
c
#include <pconst.h>
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
      real ddist,dx,dy,fb,fl,fr,ft,midpt,pblat,pllon,prlon,ptlat
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
c-----------------------------------------------------------------------
c  Compute the distances between the middle of opposite edges.
c-----------------------------------------------------------------------
c
      dy = (ptlat-pblat)
      dx = (prlon-pllon)*cos(p5*(ptlat+pblat)*deg2rad)
c
c-----------------------------------------------------------------------
c  Reset plot window to reflect physical size.
c-----------------------------------------------------------------------
c
      if ((dx*(ft-fb)).gt.(dy*(fr-fl))) then
         midpt = p5*(fb+ft)
         ddist = p5*(ft-fb)*(dy*(fr-fl))/(dx*(ft-fb))
         fb    = midpt - ddist
         ft    = midpt + ddist
       elseif ((dy*(fr-fl)).gt.(dx*(ft-fb))) then
         midpt = p5*(fl+fr)
         ddist = p5*(fr-fl)*(dx*(ft-fb))/(dy*(fr-fl))
         fl    = midpt - ddist
         fr    = midpt + ddist
      end if
c
      return
      end
