      subroutine sec_frame(icolor)
c
c=======================================================================
c                                                                    ===
c  This routine sets viewport space for the current section map on   ===
c  the page.                                                         ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define global data.
c-----------------------------------------------------------------------
c
#include <param.h>
#include <colpal.h>
#include <fldpos.h>
#include <pltio.h>
#include <pltncar.h>
#include <secpos.h>
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
      logical debug
      integer icolor
      real xb(5),yb(5)
c
      save debug
c
      data debug /.false./
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
c-----------------------------------------------------------------------
c  Set viewport according to the number of maps per page.
c-----------------------------------------------------------------------
c
      call viewport(fl,fr,fb,ft,sclmap,ipltpg,npage,icolor,wrthdr,
     *              pltlogo)
c
c-----------------------------------------------------------------------
c  Set plotting frame.
c-----------------------------------------------------------------------
c
      ul=x(1)
      ur=x(ims)
      ut=zsec(1)
      ub=zsec(kms)
      call set(fl,fr,fb,ft,ul,ur,ub,ut,1)
c
c-----------------------------------------------------------------------
c  Fill the entire section with water color.
c-----------------------------------------------------------------------
c
      if(icolor.eq.1) then
        xb(1)=ul
        xb(2)=ul
        xb(3)=ur
        xb(4)=ur
        xb(5)=xb(1)
        yb(1)=ub
        yb(2)=ut
        yb(3)=ut
        yb(4)=ub
        yb(5)=yb(1)
        call clrbox(xb,yb,5,ncl+3)
      endif
c
c-----------------------------------------------------------------------
c  Report viewport information.
c-----------------------------------------------------------------------
c
      if(debug) then
        write(6,900) 'plots/page  ',npage
        write(6,910) 'current plot',ipltpg
        write(6,920) 'frame left  ',fl
        write(6,920) 'frame right ',fr
        write(6,920) 'frame bottom',fb
        write(6,920) 'frame top   ',ft
        write(6,920) 'Lon 1       ',pllon
        write(6,920) 'Lat 1       ',prlon
        write(6,920) 'Lon 2       ',pblat
        write(6,920) 'Lat 2       ',ptlat
        write(6,920) 'box Xmin    ',ul
        write(6,920) 'box Xmax    ',ur
        write(6,920) 'box Zmin    ',ub
        write(6,930) 'box Zmax    ',ut
      endif
c
      return
c
 900  format (/' SEC_FRAME - ',a,' = ',i4)
 910  format (' SEC_FRAME - ',a,' = ',i4)
 920  format (' SEC_FRAME - ',a,' = ',f9.4)
 930  format (' SEC_FRAME - ',a,' = ',f9.4/)
c
      end
