      subroutine time_indx(tindx,day,time,ntime,type,ltype)
c
c=======================================================================
c                                                                    ===
c  This routine determines the time dimension index for the current  ===
c  field to read.                                                    ===
c                                                                    ===
c  On Input:                                                         ===
c                                                                    ===
c     DAY     day to read (real).                                    ===
c     TIME    input time coordinate (real array).                    ===
c     NTIME   size of TIME dimension (integer).                      ===
c     TYPE    global "type" attribute in input NetCDF (character).   ===
c     LTYPE   length of TYPE in input NetCDF (integer).              ===
c                                                                    ===
c  On Output:                                                        ===
c                                                                    ===
c     TINDX   time dimension index of field to read.                 ===
c                                                                    ===
c  Require common blocks:                                            ===
c                                                                    ===
c     SCALES                                                         ===
c                                                                    ===
c  Calls:                                                            ===
c                                                                    ===
c     EXITUS                                                         ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define global data.
c-----------------------------------------------------------------------
c
#include <pconst.h>
#include <scales.h>
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
      integer n,ntime,ltype,tindx
      real day,tday
      real time(ntime)
      character*(*) type
c
c=======================================================================
c  Begin Executable code.
c=======================================================================
c
      tindx=0
      if(type(1:ltype).eq.'PE MODEL') then
        do 10 n=1,ntime
          tday=time(n)*sec2day
          if((abs(tday-day)).lt.(p5*dtts*sec2day)) tindx=n
  10    continue
        if(day.gt.(tday+p5*dtts*sec2day)) call exitus('DONE')
      elseif((type(1:ltype).eq.'PE_INITIAL').or.
     *       (type(1:ltype).eq.'PE FORCING').or.
     *       (type(1:ltype).eq.'FM MODEL').or.
     *       (type(1:ltype).eq.'OA')) then
        do 20 n=1,ntime
          if(time(n).eq.day) tindx=n
  20    continue
        if(day.gt.time(ntime)) call exitus('DONE')
      elseif(type(1:ltype).eq.'QG MODEL') then
        do 30 n=1,ntime
          tday=time(n)*sec2day
          if((abs(tday-day)).lt.(p5*qgdt*sec2day)) tindx=n
  30    continue
        if(day.gt.(tday+p5*qgdt*sec2day)) call exitus('DONE')
      endif
      return
      end
