      subroutine vecmag(vmag,u,v,im,m,n,vmin,vmax,spv,spval)
c
c=======================================================================
c                                                                    ===
c  Given a vector field with components U and V, this routine        ===
c  computes the vector magnitude  VMAG  and finds the minimum        ===
c  and maximum (VMIN,VMAX) vector magnitude values.                  ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define global data.
c-----------------------------------------------------------------------
c
#include <pconst.h>
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
       integer i,im,ip,j,n,m
       real spv,spval,vmax,vmin
       real u(*),v(*),vmag(*)
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
      vmin=spval1
      vmax=-spval1
      do 20 j=1,n
        do 10 i=1,m
          ip=i+(j-1)*im
          if((u(ip).ge.spv).or.(v(ip).ge.spv)) then
            vmag(ip)=spval
          else
            vmag(ip)=sqrt(u(ip)*u(ip)+v(ip)*v(ip))
            vmin=min(vmin,vmag(ip))
            vmax=max(vmax,vmag(ip))
          endif
 10     continue
 20   continue
      return
      end
