c
c=======================================================================
c  Include file "veritas.h"
c=======================================================================
c
#ifndef rmdocinc
c  This file contains the declarations and data statements for the
c  coordinates of the shield boundary,  initial book positions and
c  letter locations.
c
c  Parameters:
c
c  N_SHLD  Number of data points in shield boundary (integer).
c
c  Variables:
c
c  XBKBGN  X-coordinate of the book starting positions (real array).
c  XC_LET  The x-coordinate for a centered letter (real).
c  XL_LET  The x-coordinate for a letter on the left page (real).
c  XR_LET  The x-coordinate for a letter on the right page (real).
c  X_SHLD  The x-coordinates of the shield boundary (real array).
c  YBKBGN  The y-coordinate of the book starting positions (real array).
c  YC_LET  The y-coordinate for a centered letter (real).
c  YL_LET  The y-coordinate for a letter on the left page (real).
c  YR_LET  The y-coordinate for a letter on the right page (real).
c  Y_SHLD  The y-coordinates of the shield boundary (real array).
c
c=======================================================================
c
#endif
      integer n_shld
      parameter (n_shld=44)
c
      real x_shld(n_shld),y_shld(n_shld),xbkbgn(3),ybkbgn(3),xl_let,
     *     yl_let,xc_let,yc_let,xr_let,yr_let
c
      data x_shld / 0.0000, 1.0000, 1.0000, 0.9919, 0.9839, 0.9677,
     *              0.9516, 0.9355, 0.9194, 0.8871, 0.8710, 0.8548,
     *              0.8226, 0.7903, 0.7581, 0.7258, 0.6935, 0.6613,
     *              0.6290, 0.5968, 0.5645, 0.5323, 0.5000, 0.4677,
     *              0.4355, 0.4032, 0.3710, 0.3387, 0.3065, 0.2742,
     *              0.2419, 0.2097, 0.1774, 0.1452, 0.1290, 0.1129,
     *              0.0806, 0.0645, 0.0484, 0.0323, 0.0161, 0.0081,
     *              0.0000, 0.0000/
      data y_shld / 0.0000, 0.0000,-0.2235,-0.3059,-0.3529,-0.4588,
     *             -0.5294,-0.5706,-0.6059,-0.6647,-0.6941,-0.7176,
     *             -0.7588,-0.7941,-0.8294,-0.8588,-0.8824,-0.9059,
     *             -0.9294,-0.9529,-0.9706,-0.9882,-1.0000,-0.9882,
     *             -0.9706,-0.9529,-0.9294,-0.9059,-0.8824,-0.8588,
     *             -0.8294,-0.7941,-0.7588,-0.7176,-0.6941,-0.6647,
     *             -0.6059,-0.5706,-0.5294,-0.4588,-0.3529,-0.3059,
     *             -0.2235, 0.0000/
      data xbkbgn / 0.0968, 0.5806, 0.3387/
      data ybkbgn /-0.1294,-0.1294,-0.5294/
      data xl_let,xc_let,xr_let / 0.1069, 0.1613, 0.2157/
      data yl_let,yc_let,yr_let /-0.1235,-0.1235,-0.1235/
