      subroutine vernum (verstr,ver,rel)
c
c=======================================================================
c                                                                    ===
c  This routine parses the version string for the version number.    ===
c                                                                    ===
c  ------                                                            ===
c  Input:                                                            ===
c  ------                                                            ===
c                                                                    ===
c     VERSTR   String starting with the version number.   (string)   ===
c                                                                    ===
c  -------                                                           ===
c  Output:                                                           ===
c  -------                                                           ===
c                                                                    ===
c     VER      Version number.                            (integer)  ===
c     REL      Release number.                            (integer)  ===
c                                                                    ===
c  Calls:  LENGTH                                                    ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
      integer ptr,rel,sbn,sln,snd,ver
      character*13  fmt
      character*(*) verstr
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
c-----------------------------------------------------------------------
c  Determine filled range of string.
c-----------------------------------------------------------------------
c
      call length (verstr,sln,sbn,snd)
c
c-----------------------------------------------------------------------
c  Extract version number.
c-----------------------------------------------------------------------
c
c  -------------------------------------
c  --- Look for end of version data. ---
c  -------------------------------------
c
      ptr = sbn
c
      do 10 while ( (ichar(verstr(ptr:ptr)).gt.47) .and.
     &              (ichar(verstr(ptr:ptr)).lt.58) .and. (ptr.lt.snd) )
         ptr = ptr + 1
  10  continue
c
      if ( (ichar(verstr(ptr:ptr)).lt.48) .or.
     &                                  (ichar(verstr(ptr:ptr)).gt.57) )
     &   ptr = ptr - 1
c
c  ----------------------------
c  --- Read version number. ---
c  ----------------------------
c
      write (fmt,900) ptr-sbn+1
      read  (verstr(sbn:ptr),fmt) ver
c
c-----------------------------------------------------------------------
c  Extract release number.
c-----------------------------------------------------------------------
c
c  -------------------------------------------
c  --- Look for beginning of release data. ---
c  -------------------------------------------
c
      if (ptr.lt.snd) then
c
         sbn = ptr + 1
c
         do 20 while ( ((ichar(verstr(sbn:sbn)).lt.48).or.
     &                (ichar(verstr(sbn:sbn)).gt.57)).and.(sbn.lt.snd) )
            sbn = sbn + 1
  20     continue
c
         if ( (ichar(verstr(sbn:sbn)).lt.48) .or.
     &                                  (ichar(verstr(sbn:sbn)).gt.57) )
     &      sbn = sbn + 1
c
         ptr = sbn
c
      end if
c
      if (ptr.lt.snd) then
c
c     -------------------------------------
c     --- Look for end of release data. ---
c     -------------------------------------
c
         do 30 while ( (ichar(verstr(ptr:ptr)).gt.47) .and.
     &                 (ichar(verstr(ptr:ptr)).lt.58) .and.(ptr.lt.snd))
            ptr = ptr + 1
  30     continue
c
         if ( (ichar(verstr(ptr:ptr)).lt.48) .or.
     &                                  (ichar(verstr(ptr:ptr)).gt.57) )
     &      ptr = ptr - 1
c
c     ----------------------------
c     --- Read release number. ---
c     ----------------------------
c
         write (fmt,900) ptr-sbn+1
         read  (verstr(sbn:ptr),fmt) rel
c
      end if
c
      return
c
 900  format ('(i',i10,')')
c
      end
