      subroutine viewport(fl,fr,fb,ft,sclmap,ipltpg,npage,icolor,
     *                    wrthdr,pltlogo)
c
c=======================================================================
c                                                                    ===
c  This routine sets the viewport coordinates in the fractional      ===
c  system according to the number of plots per page and current      ===
c  plot in the page.                                                 ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define global data.
c-----------------------------------------------------------------------
c
#include <pconst.h>
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
      logical first,landscape,pltlogo,portrait,small,wrthdr
      integer icolor,ipltpg,npage
      real fb,fl,fr,ft,pgb,pgl,pgr,pgt,sclmap,vb,vl,vr,vt,wdthbar
c
      save first,landscape,portrait,pgb,pgl,pgr,pgt
c
      data first /.true./
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
c  Set page dimensions in inches.
c
      if(first) then
        ipltpg=0
        if((npage.eq.1).or.(npage.eq.2)) then
          portrait=.true.
          landscape=.false.
          pgl=c0
          pgr=c8+p5
          pgb=c0
          pgt=c11
        elseif(npage.eq.4) then
          portrait=.false.
          landscape=.true.
          pgl=c0
          pgr=c11
          pgb=c0
          pgt=c8+p5
        endif
        first=.false.
      endif
c
c  Set offset due to color bar
c
      if(icolor.eq.0) then
        wdthbar=c0
      else
        wdthbar=c1
      endif
c
c  Determine size of plot pannels acording to the presence of plot
c  titles and logo.
c
      if((.not.pltlogo).and.(.not.wrthdr)) then
        small=.false.
      else
        small=.true.
      endif
c
c  Set viewport coordinates of the edges in inches.
c
      if((ipltpg+1).gt.npage) ipltpg=0
      ipltpg=ipltpg+1
      if(small) then
        if(npage.eq.1) then
          vl=c1
          vr=c10-wdthbar
          vb=c2
          vt=c8+p75
          sclmap=c1
        elseif((npage.eq.2).and.(ipltpg.eq.1)) then
          vl=c2
          vr=c9-wdthbar
          vb=c5+p5
          vt=c9
          sclmap=c1
        elseif((npage.eq.2).and.(ipltpg.eq.2)) then
           vl=c2
           vr=c9-wdthbar
           vb=p75
           vt=c4+p25
           sclmap=c1
         elseif((npage.eq.4).and.(ipltpg.eq.1)) then
           vl=p75
           vr=5.4375-wdthbar
           vb=c5+p5
           vt=c9
           sclmap=p5
         elseif((npage.eq.4).and.(ipltpg.eq.2)) then
           vl=c6+p25
           vr=10.9375-wdthbar
           vb=c5+p5
           vt=c9
           sclmap=p5
         elseif((npage.eq.4).and.(ipltpg.eq.3)) then
           vl=p75
           vr=5.4375-wdthbar
           vb=p75
           vt=c4+p25
           sclmap=p5
         elseif((npage.eq.4).and.(ipltpg.eq.4)) then
           vl=c6+p25
           vr=10.9375-wdthbar
           vb=p75
           vt=c4+p25
           sclmap=p5
         endif
      else
        if(npage.eq.1) then
          vl=c1
          vr=c10-wdthbar
          vb=c2
          vt=c10
          sclmap=c1
        elseif((npage.eq.2).and.(ipltpg.eq.1)) then
          vl=c2
          vr=c9-wdthbar
          vb=c6
          vt=c10
          sclmap=c1
        elseif((npage.eq.2).and.(ipltpg.eq.2)) then
          vl=c2
          vr=c9-wdthbar
          vb=p75
          vt=c4+p75
          sclmap=c1
        elseif((npage.eq.4).and.(ipltpg.eq.1)) then
          vl=p75
          vr=5.4375-wdthbar
          vb=c6
          vt=c10
          sclmap=p5
        elseif((npage.eq.4).and.(ipltpg.eq.2)) then
          vl=c6+p25
          vr=10.9375-wdthbar
          vb=c6
          vt=c10
          sclmap=p5
        elseif((npage.eq.4).and.(ipltpg.eq.3)) then
          vl=p75
          vr=5.4375-wdthbar
          vb=p75
          vt=c4+p75
          sclmap=p5
        elseif((npage.eq.4).and.(ipltpg.eq.4)) then
          vl=c6+p25
          vr=10.9375-wdthbar
          vb=p75
          vt=c4+p75
          sclmap=p5
        endif
      endif
c
c  Set normalized viewport coordinates.
c
      if(portrait) then
        fl=vl/(pgt-pgb)
        fr=vr/(pgt-pgb)
        fb=vb/(pgt-pgb)
        ft=vt/(pgt-pgb)
      elseif(landscape) then
        fl=vl/(pgr-pgl)
        fr=vr/(pgr-pgl)
        fb=vb/(pgr-pgl)
        ft=vt/(pgr-pgl)
      endif
      return
      end
